within ;
package Simulation_models
  record Refprop_Propane "Refprop.Propane"
    extends TILMedia.VLEFluidTypes.BaseVLEFluid(
      final fixedMixingRatio=true,
      final nc_propertyCalculation=1,
      final vleFluidNames={""},
      final mixingRatio_propertyCalculation={1},
      final concatVLEFluidName="Refprop.PROPANE");
    annotation ();
  end Refprop_Propane;

  record Refprop_Ammonia "Refprop.Ammonia"
    extends TILMedia.VLEFluidTypes.BaseVLEFluid(
      final fixedMixingRatio=true,
      final nc_propertyCalculation=1,
      final vleFluidNames={""},
      final mixingRatio_propertyCalculation={1},
      final concatVLEFluidName="Refprop.Ammonia");
    annotation ();
  end Refprop_Ammonia;

  model Case1_Supermarket

    output Real Comp_MT_W;
    output Real Comp_MT_relDisp;
    output Real Comp_LT_W;
    output Real Comp_LT_relDisp;
    output Real Ref_duty_MT;
    output Real Ref_duty_LT;
    output Real Comp_Parallel_W;

    output Real Heat_duty_PreH;
    output Real Heat_duty_ReH;
    output Real Heat_duty_SpaceH;
    output Real Duty_DryC_DHW;
    output Real Duty_DryC_SH;
    output Real COP_ref;
    output Real COP_heat_gross;
    output Real COP_heat_net;
    output Real Net_HR_Supermarket_SH;
    output Real Net_HR_Supermarket_DHW;

    output Real R290_Comp_W;
    output Real R290_Comp_n;
    output Real R290_Heat_duty;
    output Real R290_COP;
    output Real R290_relDisp;
    output Real Delivered_SH;

    TIL.LiquidComponents.Pumps.SimplePump simplePump(
      presetVariableType="m_flow",
      use_volumeFlowRateInput=false,
      m_flowFixed=0.05,
      use_massFlowRateInput=true) annotation (Placement(transformation(
          extent={{-8,-8},{8,8}},
          rotation=0,
          origin={0,280})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC sensor_T_degC
      annotation (Placement(transformation(extent={{-258,256},{-250,264}})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC sensor_T_degC1
      annotation (Placement(transformation(extent={{-22,258},{-14,266}})));
    TIL.OtherComponents.Controllers.PIController PI_DHW_Pump(
      controllerType="PI",
      invertFeedback=true,
      yMax=1,
      yInitial=0.06,
      Ti=0.01,
      k=0.1,
      yMin=0.01)
      annotation (Placement(transformation(extent={{-52,268},{-40,280}})));
    Modelica.Blocks.Sources.RealExpression waterSetpoint(y=70)
      annotation (Placement(transformation(extent={{-78,264},{-58,284}})));
    TIL.VLEFluidComponents.Sensors.Sensor_T_degC CO2_GC_OutletTemp
      annotation (Placement(transformation(extent={{-288,222},{-280,230}})));
    TIL.VLEFluidComponents.PressureStateElements.PressureState pressureState(
        pInitial=8500000)
      annotation (Placement(transformation(extent={{24,210},{36,222}})));
    TIL.VLEFluidComponents.Sensors.StatePoint statePoint1(stateViewerIndex=1)
      annotation (Placement(transformation(extent={{4,218},{12,226}})));
    TIL.VLEFluidComponents.Sensors.Sensor_T_degC sensor_T_degC2
      annotation (Placement(transformation(extent={{-12,218},{-4,226}})));
    TIL.VLEFluidComponents.Sensors.Sensor_T_degC sensor_T_degC6
      annotation (Placement(transformation(extent={{-206,194},{-198,202}})));
    TIL.VLEFluidComponents.Sensors.Sensor_T_degC sensor_T_degC7
      annotation (Placement(transformation(extent={{-126,194},{-118,202}})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC sensor_T_degC8
      annotation (Placement(transformation(extent={{-226,248},{-218,256}})));
    TIL.VLEFluidComponents.Valves.OrificeValve highPressureValve(
        use_effectiveFlowAreaInput=true) annotation (Placement(transformation(
          extent={{-8,-4},{8,4}},
          rotation=-90,
          origin={-334,146})));
    TIL.OtherComponents.Controllers.PIController highPressure_Controller(
      controllerType="PI",
      yMax=1e-4,
      invertFeedback=true,
      yMin=1e-9,
      yInitial=1e-8,
      Ti=0.01,
      k=1e-8)
      annotation (Placement(transformation(extent={{-294,152},{-306,140}})));
    Modelica.Blocks.Sources.RealExpression highPressureSetPoint(y=85e5)
      annotation (Placement(transformation(extent={{-256,136},{-276,156}})));
    TIL.VLEFluidComponents.Sensors.Sensor_p sensor_p
      annotation (Placement(transformation(extent={{-316,162},{-308,170}})));

    TIL.VLEFluidComponents.PressureStateElements.PressureState pressureState2(
        pressureStateID=2, pInitial=3000000)
      annotation (Placement(transformation(extent={{-206,-2},{-194,10}})));
    TIL.HeatExchangers.FinAndTube.GasVLEFluid.ParallelFlowHX MT_Evaporator(
      pressureStateID=2,
      fixedPressureDropInitialVLEFluid=false,
      fixedTInitialWall=false,
      gasCellFlowType="flow B-A",
      nCells=2,
      initVLEFluid="linearEnthalpyDistribution",
      hInitialVLEFluid_Cell1=213e3,
      hInitialVLEFluid_CellN=440e3,
      redeclare TIL.HeatExchangers.FinAndTube.Geometry.KKI001 hxGeometry(
        finnedTubeLength=1,
        nSerialTubes=10,
        nParallelTubes=15),
      redeclare model TubeSideHeatTransferModel =
          TIL.HeatExchangers.FinAndTube.TransportPhenomena.TubeSideHeatTransfer.ConstantAlpha
          (constantAlpha=2500),
      redeclare model FinSideHeatTransferModel =
          TIL.HeatExchangers.FinAndTube.TransportPhenomena.FinSideHeatTransfer.ConstantAlpha
          (constantAlpha=150),
      TInitialWall=278.15)
      annotation (Placement(transformation(extent={{-146,-18},{-118,10}})));
    TIL.GasComponents.Fans.SimpleFan MT_evaporator_fan(use_volumeFlowRateInput=
          true)
      annotation (Placement(transformation(extent={{-66,-42},{-50,-26}})));
    TIL.GasComponents.Volumes.Volume volume(volume=15, TInitial=275.15)
      annotation (Placement(transformation(
          extent={{-4,-8},{4,8}},
          rotation=0,
          origin={-164,-62})));
    TIL.OtherComponents.Thermal.HeatBoundary heatBoundary(
      boundaryType="Q_flow",
      Q_flowFixed(displayUnit="kW") = -12000,
      use_heatFlowRateInput=true) annotation (Placement(transformation(
          extent={{-4,-6},{4,6}},
          rotation=0,
          origin={-214,-50})));
    TIL.GasComponents.Sensors.Sensor_T_degC sensor_T annotation (Placement(
          transformation(
          extent={{-4,4},{4,-4}},
          rotation=180,
          origin={-194,-24})));
    TIL.OtherComponents.Controllers.PIController PI_MT_Fan(
      controllerType="PI",
      invertFeedback=true,
      yMin=1e-5,
      yInitial=1,
      Ti=100,
      yMax=10,
      k=1)
      annotation (Placement(transformation(extent={{-126,-40},{-114,-28}})));
    Modelica.Blocks.Sources.RealExpression MTSetpoint(y=2)
      annotation (Placement(transformation(extent={{-160,-44},{-140,-24}})));
    TIL.VLEFluidComponents.Sensors.Sensor_q sensor_q
      annotation (Placement(transformation(extent={{-64,10},{-56,18}})));
    TIL.VLEFluidComponents.Sensors.Sensor_q sensor_q1
      annotation (Placement(transformation(extent={{-226,8},{-218,16}})));
    TIL.VLEFluidComponents.Separators.IdealSeparator highPressureReceiver(
      pressureStateID=3,
      initialFillingLevel=0.8,
      V=0.03)
      annotation (Placement(transformation(extent={{-316,48},{-302,72}})));
    TIL.VLEFluidComponents.Sensors.Sensor_q refrigerantQualityreceiver
      annotation (Placement(transformation(extent={{-310,116},{-302,124}})));
    TIL.VLEFluidComponents.Sensors.StatePoint statePoint5(stateViewerIndex=5)
      annotation (Placement(transformation(extent={{-360,100},{-352,108}})));
    TIL.VLEFluidComponents.Sensors.Sensor_q sensor_q3(useTimeConstant=true,
        initialSensorValue=1)
      annotation (Placement(transformation(extent={{-120,100},{-112,108}})));
    TIL.VLEFluidComponents.Valves.OrificeValve highPressureValve1(
        use_effectiveFlowAreaInput=true) annotation (Placement(transformation(
          extent={{-8,-4},{8,4}},
          rotation=0,
          origin={-78,96})));
    TIL.OtherComponents.Controllers.PIController highPressure_Controller1(
      controllerType="PI",
      yMax=1e-4,
      invertFeedback=true,
      yMin=1e-9,
      yInitial=1e-8,
      Ti=0.01,
      k=1e-8) annotation (Placement(transformation(
          extent={{6,6},{-6,-6}},
          rotation=0,
          origin={-64,110})));
    Modelica.Blocks.Sources.RealExpression Receiver_pressureSetpoint(y=40e5)
      annotation (Placement(transformation(
          extent={{10,-10},{-10,10}},
          rotation=0,
          origin={-38,110})));
    TIL.VLEFluidComponents.PressureStateElements.PressureState pressureState3(
        pressureStateID=3, pInitial=4000000)
      annotation (Placement(transformation(extent={{-332,58},{-320,70}})));
    TIL.VLEFluidComponents.Sensors.Sensor_p sensor_p1(initialSensorValue=
          4000000, useTimeConstant=false)
      annotation (Placement(transformation(extent={{-106,100},{-98,108}})));
    TIL.VLEFluidComponents.Valves.OrificeValve MT_expansion_valve(
        use_effectiveFlowAreaInput=true)
      annotation (Placement(transformation(extent={{-252,0},{-236,8}})));
    TIL.VLEFluidComponents.Sensors.Sensor_superheating sensor_superheating
      annotation (Placement(transformation(extent={{-80,10},{-72,18}})));
    Modelica.Blocks.Sources.RealExpression MT_SH_Setpoint(y=5) annotation (
        Placement(transformation(
          extent={{10,-10},{-10,10}},
          rotation=0,
          origin={-98,28})));
    TIL.OtherComponents.Controllers.PIController PI_MT_Control_Valve(
      controllerType="PI",
      yMax=1e-3,
      invertFeedback=true,
      k=1e-6,
      yInitial=1e-6,
      yMin=1e-12,
      Ti=1) annotation (Placement(transformation(extent={{-120,22},{-132,34}})));
    TIL.VLEFluidComponents.Sensors.Sensor_q sensor_q4
      annotation (Placement(transformation(extent={{-280,10},{-272,18}})));
    TIL.VLEFluidComponents.Compressors.EffCompressor MT_Compressor(
      use_mechanicalPort=true,
      use_relDisplacementInput=true,
      displacement=1.5e-5)
      annotation (Placement(transformation(extent={{44,140},{60,156}})));
    TIL.VLEFluidComponents.JunctionElements.VolumeJunction junction(
      pressureStateID=2,
      volume=1e-4,
      hInitial=450e3) annotation (Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=90,
          origin={52,96})));
    TIL.VLEFluidComponents.Sensors.Sensor_p sensor_p2
      annotation (Placement(transformation(extent={{64,120},{72,128}})));
    TIL.OtherComponents.Controllers.PIController PI_MT_Compressor(
      controllerType="PI",
      invertFeedback=true,
      initType="initialOutput",
      k=1e-5,
      Ti=100,
      yMax=4,
      yMin=1,
      yInitial=1)
      annotation (Placement(transformation(extent={{106,136},{94,148}})));
    Modelica.Blocks.Sources.RealExpression MT_pressureSetpoint(y=30e5)
      annotation (Placement(transformation(
          extent={{10,-10},{-10,10}},
          rotation=0,
          origin={128,142})));
    TIL.VLEFluidComponents.PressureStateElements.PressureState pressureState4(
        pressureStateID=4, pInitial=1300000)
      annotation (Placement(transformation(extent={{-186,-244},{-174,-232}})));
    TIL.HeatExchangers.FinAndTube.GasVLEFluid.ParallelFlowHX LT_Evaporator(
      fixedPressureDropInitialVLEFluid=false,
      fixedTInitialWall=false,
      gasCellFlowType="flow B-A",
      hInitialVLEFluid=220e3,
      pressureStateID=4,
      nCells=2,
      initVLEFluid="linearEnthalpyDistribution",
      hInitialVLEFluid_Cell1=213e3,
      hInitialVLEFluid_CellN=440e3,
      redeclare model TubeSideHeatTransferModel =
          TIL.HeatExchangers.FinAndTube.TransportPhenomena.TubeSideHeatTransfer.ConstantAlpha
          (constantAlpha=2500),
      redeclare model FinSideHeatTransferModel =
          TIL.HeatExchangers.FinAndTube.TransportPhenomena.FinSideHeatTransfer.ConstantAlpha
          (constantAlpha=150),
      redeclare TIL.HeatExchangers.FinAndTube.Geometry.KKI001 hxGeometry(
        nSerialTubes=5,
        finnedTubeLength=1,
        nParallelTubes=15),
      TInitialWall=253.15)
      annotation (Placement(transformation(extent={{-136,-258},{-108,-230}})));
    TIL.GasComponents.Fans.SimpleFan LT_evaporator_fan(use_volumeFlowRateInput=
          true)
      annotation (Placement(transformation(extent={{-86,-294},{-70,-278}})));
    TIL.GasComponents.Volumes.Volume LT_Cabinet(volume=10, TInitial=253.15)
      annotation (Placement(transformation(
          extent={{-4,-8},{4,8}},
          rotation=0,
          origin={-156,-306})));
    TIL.OtherComponents.Thermal.HeatBoundary heatBoundary1(
      boundaryType="Q_flow",
      Q_flowFixed(displayUnit="kW") = -3000,
      use_heatFlowRateInput=true) annotation (Placement(transformation(
          extent={{-4,-6},{4,6}},
          rotation=0,
          origin={-204,-288})));
    TIL.GasComponents.Sensors.Sensor_T_degC sensor_T1 annotation (Placement(
          transformation(
          extent={{-4,4},{4,-4}},
          rotation=180,
          origin={-186,-272})));
    TIL.OtherComponents.Controllers.PIController PI_LT_fan(
      controllerType="PI",
      invertFeedback=true,
      yMin=1e-5,
      yInitial=1,
      k=0.1,
      Ti=100,
      yMax=5)
      annotation (Placement(transformation(extent={{-112,-292},{-100,-280}})));
    Modelica.Blocks.Sources.RealExpression LTSetpoint1(y=-20)
      annotation (Placement(transformation(extent={{-140,-296},{-120,-276}})));
    TIL.VLEFluidComponents.Sensors.Sensor_q sensor_q6
      annotation (Placement(transformation(extent={{-208,-234},{-200,-226}})));
    TIL.VLEFluidComponents.Valves.OrificeValve LT_expansion_valve(
        use_effectiveFlowAreaInput=true)
      annotation (Placement(transformation(extent={{-230,-242},{-214,-234}})));
    TIL.VLEFluidComponents.Sensors.Sensor_superheating sensor_superheating1
      annotation (Placement(transformation(extent={{-64,-234},{-56,-226}})));
    Modelica.Blocks.Sources.RealExpression LT_SH_Setpoint1(y=5) annotation (
        Placement(transformation(
          extent={{10,-10},{-10,10}},
          rotation=0,
          origin={-90,-208})));
    TIL.OtherComponents.Controllers.PIController PI_LT_Control_Valve(
      controllerType="PI",
      yMax=1e-3,
      invertFeedback=true,
      k=1e-6,
      yInitial=4e-7,
      yMin=1e-12,
      Ti=1)
      annotation (Placement(transformation(extent={{-110,-214},{-122,-202}})));
    TIL.VLEFluidComponents.Sensors.Sensor_q sensor_q7
      annotation (Placement(transformation(extent={{-298,-228},{-290,-220}})));
    TIL.VLEFluidComponents.Compressors.EffCompressor LT_Compressor(
      use_mechanicalPort=true,
      use_relDisplacementInput=true,
      displacement=7e-6)
      annotation (Placement(transformation(extent={{42,-200},{58,-184}})));
    TIL.VLEFluidComponents.Sensors.Sensor_p sensor_p3
      annotation (Placement(transformation(extent={{84,-232},{92,-224}})));
    TIL.OtherComponents.Controllers.PIController PI_LT_Compressor(
      controllerType="PI",
      invertFeedback=true,
      k=1e-5,
      Ti=100,
      yMax=4,
      yMin=1,
      yInitial=1)
      annotation (Placement(transformation(extent={{106,-212},{94,-200}})));
    Modelica.Blocks.Sources.RealExpression LT_PressureSetPoint(y=15e5)
      annotation (Placement(transformation(extent={{138,-216},{118,-196}})));
    TIL.VLEFluidComponents.JunctionElements.VolumeJunction junction1(
      pressureStateID=2,
      volume=1e-4,
      hInitial=450e3) annotation (Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=90,
          origin={52,4})));
    TIL.VLEFluidComponents.Valves.DirectionalControlValve
      parallelCompressorValve(use_switchingPositionInput=true) annotation (
        Placement(transformation(
          extent={{-8,6},{8,-6}},
          rotation=-90,
          origin={-150,116})));
    Modelica.Blocks.Sources.RealExpression parallelComp_startup(y=0.20)
      annotation (Placement(transformation(
          extent={{-10,-10},{10,10}},
          rotation=0,
          origin={-212,144})));
    TIL.OtherComponents.Controllers.PIController PI_parallelValve(
      controllerType="PI",
      initType="initialOutput",
      invertFeedback=true,
      k=1,
      yInitial=0.5,
      yMax=0.9999,
      yMin=1e-4)
      annotation (Placement(transformation(extent={{-180,138},{-168,150}})));
    TIL.VLEFluidComponents.Sensors.Sensor_m_flow sensor_m_flow(useTimeConstant=
          true, initialSensorValue=0.001)
      annotation (Placement(transformation(extent={{-32,150},{-24,158}})));
    Modelica.Blocks.Sources.RealExpression Duty_FH(y=sensor_H_flow_outFH.sensorValue
           - sensor_H_flow_inFH.sensorValue)
      annotation (Placement(transformation(extent={{544,626},{524,646}})));
    Modelica.Blocks.Sources.RealExpression Duty_DHW(y=sensor_H_flow_DHWout.sensorValue
           - sensor_H_flow_DHWin.sensorValue)
      annotation (Placement(transformation(extent={{578,626},{558,646}})));
    TIL.LiquidComponents.Sensors.Sensor_H_flow sensor_H_flow_DHWin
      annotation (Placement(transformation(extent={{-330,290},{-322,298}})));
    TIL.LiquidComponents.Sensors.Sensor_H_flow sensor_H_flow_DHWout
      annotation (Placement(transformation(extent={{-32,240},{-24,248}})));
    Modelica.Blocks.Sources.RealExpression Net_duty_total_supermarket(y=
          Net_duty_FH_Supermarket.y + Net_duty_DHW_Supermarket.y)
      annotation (Placement(transformation(extent={{712,604},{692,624}})));
    TIL.OtherComponents.Mechanical.RotatoryBoundary rotatoryBoundary(use_nInput
        =false, nFixed=50)
      annotation (Placement(transformation(extent={{92,152},{84,172}})));
    TIL.OtherComponents.Mechanical.RotatoryBoundary rotatoryBoundary1(
        use_nInput=false, nFixed=50)
      annotation (Placement(transformation(extent={{82,-202},{74,-182}})));
    Modelica.Blocks.Sources.RealExpression Supermarket_compressor_power(y=
          MT_Compressor.shaftPower + LT_Compressor.shaftPower +
          parallelCompressor.shaftPower)
      annotation (Placement(transformation(extent={{544,602},{524,622}})));
    Modelica.Blocks.Sources.RealExpression COP_heating(y=(
          Net_duty_FH_Supermarket.y + Net_duty_DHW_Supermarket.y)/
          Supermarket_compressor_power.y)
      annotation (Placement(transformation(extent={{750,604},{730,624}})));
    TIL.VLEFluidComponents.Sensors.Sensor_q sensor_q2
      annotation (Placement(transformation(extent={{64,82},{72,90}})));
    TIL.VLEFluidComponents.Sensors.Sensor_H_flow sensor_H_flow_MTin
      annotation (Placement(transformation(extent={{-182,0},{-174,8}})));
    TIL.VLEFluidComponents.Sensors.Sensor_H_flow sensor_H_flow_MTout
      annotation (Placement(transformation(extent={{-102,0},{-94,8}})));
    Modelica.Blocks.Sources.RealExpression MT_refrigeration_duty(y=(
          sensor_H_flow_MTout.sensorValue - sensor_H_flow_MTin.sensorValue) + (
          sensor_H_flow_MTout1.sensorValue - sensor_H_flow_MTin1.sensorValue))
      annotation (Placement(transformation(extent={{580,602},{560,622}})));
    Modelica.Blocks.Sources.RealExpression LT_refrigeration_duty(y=
          sensor_H_flow_LTout.sensorValue - sensor_H_flow_LTin.sensorValue)
      annotation (Placement(transformation(extent={{544,584},{524,604}})));
    TIL.VLEFluidComponents.Sensors.Sensor_H_flow sensor_H_flow_LTin
      annotation (Placement(transformation(extent={{-158,-242},{-150,-234}})));
    TIL.VLEFluidComponents.Sensors.Sensor_H_flow sensor_H_flow_LTout
      annotation (Placement(transformation(extent={{-96,-242},{-88,-234}})));
    Modelica.Blocks.Sources.RealExpression COP_refrigeration(y=(
          MT_refrigeration_duty.y + LT_refrigeration_duty.y)/
          Supermarket_compressor_power.y)
      annotation (Placement(transformation(extent={{750,584},{730,604}})));
    TIL.VLEFluidComponents.Sensors.Sensor_q sensor_q8
      annotation (Placement(transformation(extent={{-244,98},{-236,106}})));
    TIL.VLEFluidComponents.Compressors.EffCompressor parallelCompressor(
        use_mechanicalPort=true, displacement=1e-6)
      annotation (Placement(transformation(extent={{16,162},{0,178}})));
    TIL.OtherComponents.Controllers.PIController PI_parallelCompressor(
      controllerType="PI",
      initType="initialOutput",
      invertFeedback=true,
      k=1,
      yMax=100,
      yInitial=20,
      use_activeInput=false,
      yMin=1e-4)
      annotation (Placement(transformation(extent={{-56,170},{-44,182}})));
    Modelica.Blocks.Sources.RealExpression parallelSetpoint(y=40e5) annotation
      (Placement(transformation(
          extent={{-10,-10},{10,10}},
          rotation=0,
          origin={-74,176})));
    TIL.VLEFluidComponents.Sensors.Sensor_p sensor_p4(initialSensorValue=
          3900000, useTimeConstant=false)
      annotation (Placement(transformation(extent={{-74,158},{-66,166}})));
    TIL.VLEFluidComponents.JunctionElements.VolumeJunction highPressureJuntion(
      pressureStateID=1,
      volume=1e-4,
      hInitial=520e3) annotation (Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=90,
          origin={52,184})));
    TIL.OtherComponents.Mechanical.RotatoryBoundary rotatoryBoundary2(
        use_nInput=true)
      annotation (Placement(transformation(extent={{-18,160},{-10,180}})));
    TIL.VLEFluidComponents.Sensors.Sensor_m_flow sensor_m_flow1(useTimeConstant
        =true, initialSensorValue=0.001)
      annotation (Placement(transformation(extent={{-138,92},{-130,100}})));
    TIL.GasComponents.Sensors.Sensor_T_degC sensor_T_degC3
      annotation (Placement(transformation(extent={{-142,-308},{-134,-300}})));
    TIL.GasComponents.Sensors.Sensor_T_degC sensor_T_degC9
      annotation (Placement(transformation(extent={{-142,-64},{-134,-56}})));
    inner TIL.SystemInformationManager sim(
      redeclare TILMedia.VLEFluidTypes.TILMedia_CO2 vleFluidType1,
      redeclare TILMedia.GasTypes.TILMedia_MoistAir gasType1,
      redeclare TILMedia.LiquidTypes.TILMedia_Water liquidType1,
      redeclare Simulation_models.Refprop_Propane vleFluidType2)
      annotation (Placement(transformation(extent={{494,514},{514,534}})));
    TIL.LiquidComponents.Tubes.Tube DHW_tank_middle(
      redeclare model TubeSideHeatTransferModel =
          TIL.LiquidComponents.Tubes.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=0),
      redeclare model PressureDropModel =
          TIL.LiquidComponents.Tubes.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      nCells=20,
      tubeGeometry(
        nParallelTubes=1,
        innerDiameter=1,
        length=4.075),
      TInitialLiquid=333.15) annotation (Placement(transformation(
          extent={{-16,-4},{16,4}},
          rotation=90,
          origin={-48,488})));

    TIL.LiquidComponents.Tubes.Tube DHW_tank_top(
      redeclare model TubeSideHeatTransferModel =
          TIL.LiquidComponents.Tubes.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=0),
      redeclare model PressureDropModel =
          TIL.LiquidComponents.Tubes.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      nCells=5,
      tubeGeometry(innerDiameter=0.7, length=0.01),
      TInitialLiquid=278.15) annotation (Placement(transformation(
          extent={{-8,-2},{8,2}},
          rotation=90,
          origin={-48,546})));

    TIL.LiquidComponents.JunctionElements.VolumeJunction junction7 annotation (
        Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=90,
          origin={-48,516})));
    TIL.LiquidComponents.Boundaries.Boundary cityWaterInlet(boundaryType="p",
        TFixed=278.15)
      annotation (Placement(transformation(extent={{-32,430},{-24,450}})));
    TIL.LiquidComponents.Boundaries.Boundary DHW_Consumer_port(m_flowFixed=0.1,
        use_massFlowRateInput=true)
      annotation (Placement(transformation(extent={{16,550},{8,570}})));
    TIL.LiquidComponents.Sensors.Sensor_H_flow DHW_deliver_out
      annotation (Placement(transformation(extent={{-28,556},{-20,564}})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC DHW_Consumer_temp
      annotation (Placement(transformation(extent={{-4,562},{4,570}})));
    TIL.LiquidComponents.Sensors.Sensor_m_flow sensor_m_flow3
      annotation (Placement(transformation(extent={{-96,512},{-88,520}})));
    TIL.LiquidComponents.JunctionElements.VolumeJunction junction8 annotation (
        Placement(transformation(
          extent={{-4,4},{4,-4}},
          rotation=90,
          origin={-48,460})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC sensor_T_degC16
      annotation (Placement(transformation(extent={{-20,468},{-12,476}})));
    TIL.LiquidComponents.Sensors.Sensor_m_flow sensor_m_flow6 annotation (
        Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=90,
          origin={-48,528})));
    TIL.HeatExchangers.FinAndTube.MoistAirLiquid.ParallelFlowHX DryCooler_DHW(
      initLiquid="constantTemperature",
      nCells=2,
      redeclare TIL.HeatExchangers.FinAndTube.Geometry.KKI001 hxGeometry(
          nSerialTubes=30, nParallelTubes=10),
      redeclare model TubeSideHeatTransferModel =
          TIL.HeatExchangers.FinAndTube.TransportPhenomena.TubeSideHeatTransfer.ConstantAlpha
          (constantAlpha=600),
      redeclare model FinSideHeatTransferModel =
          TIL.HeatExchangers.FinAndTube.TransportPhenomena.FinSideHeatTransfer.ConstantAlpha
          (constantAlpha=150),
      TInitialLiquid=288.15)
      annotation (Placement(transformation(extent={{-250,454},{-222,426}})));
    TIL.GasComponents.Boundaries.Boundary boundary1(boundaryType="p")
      annotation (Placement(transformation(
          extent={{-4,-10},{4,10}},
          rotation=90,
          origin={-210,474})));
    TIL.GasComponents.Boundaries.Boundary boundary4(
      m_flowFixed=1,
      boundaryType="p",
      use_temperatureInput=true,
      TFixed=278.15) annotation (Placement(transformation(
          extent={{-4,-10},{4,10}},
          rotation=-90,
          origin={-288,476})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC Temperature_after_drycooler
      annotation (Placement(transformation(extent={{-340,442},{-332,450}})));
    TIL.GasComponents.Fans.SimpleFan simpleFan(use_volumeFlowRateInput=true,
        eta=0.4) annotation (Placement(transformation(
          extent={{-8,-8},{8,8}},
          rotation=-90,
          origin={-268,448})));
    TIL.OtherComponents.Controllers.PIController PI_Drycooler_DHW(
      controllerType="PI",
      initType="initialOutput",
      use_activeInput=false,
      use_y_notActive=false,
      invertFeedback=true,
      Ti=10,
      yInitial=1,
      k=1,
      yMin=1e-5,
      yMax=10)
      annotation (Placement(transformation(extent={{-318,498},{-306,510}})));
    TIL.LiquidComponents.Tubes.Tube SpaceHeating_tank(
      redeclare model TubeSideHeatTransferModel =
          TIL.LiquidComponents.Tubes.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=0),
      redeclare model PressureDropModel =
          TIL.LiquidComponents.Tubes.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      nCells=10,
      tubeGeometry(
        nParallelTubes=1,
        innerDiameter=1,
        length=6.366),
      TInitialLiquid=306.15) annotation (Placement(transformation(
          extent={{16,-4},{-16,4}},
          rotation=90,
          origin={214,366})));

    TIL.LiquidComponents.JunctionElements.VolumeJunction junction10 annotation
      (Placement(transformation(
          extent={{-4,4},{4,-4}},
          rotation=-90,
          origin={214,420})));
    TIL.LiquidComponents.JunctionElements.VolumeJunction junction11 annotation
      (Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=90,
          origin={214,318})));
    TIL.LiquidComponents.Boundaries.Boundary boundary5(boundaryType="m_flow",
        use_massFlowRateInput=true)
      annotation (Placement(transformation(extent={{272,470},{264,490}})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC SH_temperature_delivered
      annotation (Placement(transformation(extent={{220,486},{228,494}})));
    TIL.LiquidComponents.Sensors.Sensor_m_flow sensor_m_flow7 annotation (
        Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=90,
          origin={214,330})));
    TIL.LiquidComponents.Sensors.Sensor_m_flow sensor_m_flow8 annotation (
        Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=90,
          origin={214,390})));
    TIL.LiquidComponents.Tubes.Tube SpaceHeating_tank_top(
      redeclare model TubeSideHeatTransferModel =
          TIL.LiquidComponents.Tubes.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=0),
      redeclare model PressureDropModel =
          TIL.LiquidComponents.Tubes.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      nCells=10,
      tubeGeometry(
        nParallelTubes=1,
        innerDiameter=0.5,
        length=0.5),
      TInitialLiquid=306.15) annotation (Placement(transformation(
          extent={{16,-4},{-16,4}},
          rotation=90,
          origin={214,458})));

    TIL.LiquidComponents.Sensors.Sensor_m_flow sensor_m_flow9 annotation (
        Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=90,
          origin={214,432})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC SpaceHeating_tank_bottomTemp
      annotation (Placement(transformation(extent={{220,342},{228,350}})));
    TIL.LiquidComponents.Pumps.SimplePump simplePump2(
      presetVariableType="m_flow",
      use_massFlowRateInput=true,
      use_volumeFlowRateInput=false) annotation (Placement(transformation(
          extent={{8,-8},{-8,8}},
          rotation=270,
          origin={78,418})));
    Modelica.Blocks.Sources.RealExpression floorHeatingSetpoint1(y=33)
      annotation (Placement(transformation(extent={{32,366},{52,386}})));
    TIL.OtherComponents.Controllers.PIController PI_FH_pump1(
      controllerType="PI",
      invertFeedback=true,
      Ti=0.01,
      k=1e-2,
      yMax=5,
      yInitial=3,
      yMin=0.01) annotation (Placement(transformation(
          extent={{-6,6},{6,-6}},
          rotation=90,
          origin={72,392})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC sensor_T_degC10
      annotation (Placement(transformation(extent={{24,400},{32,408}})));
    TIL.LiquidComponents.Boundaries.Boundary boundary(boundaryType="p", TFixed=
          301.15)
      annotation (Placement(transformation(extent={{144,270},{152,290}})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC sensor_T_degC4
      annotation (Placement(transformation(extent={{-144,360},{-136,368}})));
    TIL.LiquidComponents.JunctionElements.VolumeJunction junction2 annotation (
        Placement(transformation(
          extent={{-4,4},{4,-4}},
          rotation=90,
          origin={214,296})));
    TIL.LiquidComponents.JunctionElements.VolumeJunction junction3 annotation (
        Placement(transformation(
          extent={{-4,4},{4,-4}},
          rotation=90,
          origin={214,404})));

    TIL.VLEFluidComponents.Sensors.Sensor_q sensor_q9(vleFluidType=sim.vleFluidType2)
      annotation (Placement(transformation(extent={{508,212},{516,220}})));
    TIL.VLEFluidComponents.Sensors.Sensor_q condenser_outlet_quality(
        vleFluidType=sim.vleFluidType2)
      annotation (Placement(transformation(extent={{336,214},{344,222}})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC sensor_T_degC5
      annotation (Placement(transformation(extent={{542,298},{550,306}})));
    TIL.HeatExchangers.Plate.VLEFluidLiquid.ParallelFlowHX R290_Condenser(
      vleFluidType_a=sim.vleFluidType2,
      pressureStateID=7,
      redeclare model PressureDropModel_a =
          TIL.HeatExchangers.Plate.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      redeclare model PressureDropModel_b =
          TIL.HeatExchangers.Plate.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      hInitialVLEFluid_a=600e3,
      redeclare TIL.HeatExchangers.Plate.Geometry.Example hxGeometry(
        numberOfPlates=100,
        length=0.5,
        width=0.2),
      initVLEFluid_a="linearEnthalpyDistribution",
      hInitialVLEFluid_a_CellN=290e3,
      hInitialVLEFluid_a_Cell1=640e3,
      nCells=3,
      redeclare model HeatTransferModel_a =
          TIL.HeatExchangers.Plate.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=2500),
      redeclare model HeatTransferModel_b =
          TIL.HeatExchangers.Plate.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=1000),
      TInitialLiquid_b=301.15,
      pStart_a=1300000)
      annotation (Placement(transformation(extent={{482,274},{454,302}})));

    TIL.VLEFluidComponents.PressureStateElements.PressureState pressureState7(
      vleFluidType=sim.vleFluidType2,
      pressureStateID=7,
      pInitial=1350000)
      annotation (Placement(transformation(extent={{460,200},{472,212}})));
    TIL.VLEFluidComponents.Sensors.Sensor_p sensor_p5(vleFluidType=sim.vleFluidType2)
      annotation (Placement(transformation(extent={{484,212},{492,220}})));
    TIL.LiquidComponents.Pumps.SimplePump R290_WaterPump(presetVariableType=
          "m_flow", use_massFlowRateInput=true) annotation (Placement(
          transformation(
          extent={{-8,-8},{8,8}},
          rotation=-90,
          origin={516,296})));
    TIL.OtherComponents.Controllers.PIController PI_R290_WaterPump(
      controllerType="PI",
      yInitial=0.5,
      use_activeInput=true,
      use_y_notActive=true,
      invertFeedback=true,
      yMin=1e-6,
      yMax=5,
      Ti=10,
      k=1) annotation (Placement(transformation(extent={{532,310},{520,322}})));
    Modelica.Blocks.Sources.RealExpression FH_setpoint_HP(y=33)
      annotation (Placement(transformation(extent={{580,316},{560,336}})));
    TIL.LiquidComponents.Sensors.Sensor_H_flow H_flow_W_inlet
      annotation (Placement(transformation(extent={{422,292},{430,300}})));
    TIL.LiquidComponents.Sensors.Sensor_H_flow H_flow_W_outlet
      annotation (Placement(transformation(extent={{490,292},{498,300}})));
    TIL.VLEFluidComponents.Sensors.Sensor_m_flow sensor_m_flow10(vleFluidType=
          sim.vleFluidType2)
      annotation (Placement(transformation(extent={{504,142},{512,150}})));
    TIL.VLEFluidComponents.PressureStateElements.PressureState pressureState9(
      vleFluidType=sim.vleFluidType2,
      pressureStateID=8,
      pInitial=340000)
      annotation (Placement(transformation(extent={{418,140},{430,152}})));
    TIL.HeatExchangers.Plate.VLEFluidLiquid.ParallelFlowHX R290_Evaporator(
      vleFluidType_a=sim.vleFluidType2,
      redeclare model PressureDropModel_a =
          TIL.HeatExchangers.Plate.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      redeclare model PressureDropModel_b =
          TIL.HeatExchangers.Plate.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      initVLEFluid_a="constantEnthalpy",
      hInitialVLEFluid_a=600e3,
      redeclare TIL.HeatExchangers.Plate.Geometry.Example hxGeometry(
        numberOfPlates=100,
        length=0.5,
        width=0.2),
      pressureStateID=8,
      nCells=3,
      redeclare model HeatTransferModel_a =
          TIL.HeatExchangers.Plate.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=2500),
      redeclare model HeatTransferModel_b =
          TIL.HeatExchangers.Plate.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=1000),
      TInitialLiquid_b=301.15,
      pStart_a=1300000)
      annotation (Placement(transformation(extent={{370,152},{398,124}})));

    TIL.VLEFluidComponents.Sensors.Sensor_superheating sensor_superheating2(
        vleFluidType=sim.vleFluidType2)
      annotation (Placement(transformation(extent={{404,152},{412,160}})));
    TIL.VLEFluidComponents.Valves.OrificeValve R290_Expvalve(vleFluidType=sim.vleFluidType2,
        use_effectiveFlowAreaInput=true) annotation (Placement(transformation(
          extent={{-8,-4},{8,4}},
          rotation=-90,
          origin={326,188})));
    TIL.OtherComponents.Controllers.PIController PI_R290_ExpValve(
      controllerType="PI",
      initType="initialOutput",
      invertFeedback=true,
      yMax=1e-2,
      yInitial=1e-5,
      Ti=5,
      yMin=1e-10,
      use_activeInput=true,
      use_y_notActive=true,
      k=1e-6)
      annotation (Placement(transformation(extent={{352,182},{340,194}})));
    Modelica.Blocks.Sources.RealExpression Superheat_setpoint(y=5)
      annotation (Placement(transformation(extent={{394,180},{374,200}})));
    TIL.LiquidComponents.Boundaries.Boundary boundary2(
      m_flowFixed=0.5,
      boundaryType="p",
      TFixed=283.15)
      annotation (Placement(transformation(extent={{318,98},{326,118}})));
    TIL.LiquidComponents.Boundaries.Boundary boundary3(
      boundaryType="m_flow",
      m_flowFixed=-2,
      TFixed=278.15)
      annotation (Placement(transformation(extent={{444,96},{436,116}})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC sensor_T_degC11
      annotation (Placement(transformation(extent={{330,112},{338,120}})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC sensor_T_degC12
      annotation (Placement(transformation(extent={{426,110},{434,118}})));
    TIL.VLEFluidComponents.Sensors.Sensor_p sensor_p6(vleFluidType=sim.vleFluidType2)
      annotation (Placement(transformation(extent={{462,152},{470,160}})));
    TIL.VLEFluidComponents.Compressors.EffCompressor R290_Compressor(
      vleFluidType=sim.vleFluidType2,
      use_mechanicalPort=true,
      use_relDisplacementInput=true,
      displacement=1e-4)
      annotation (Placement(transformation(extent={{514,172},{530,188}})));
    TIL.VLEFluidComponents.Sensors.Sensor_T_degC sensor_T_degC13(vleFluidType=
          sim.vleFluidType2)
      annotation (Placement(transformation(extent={{306,154},{314,162}})));
    TIL.OtherComponents.Mechanical.RotatoryBoundary rotatoryBoundary3(
        use_nInput=true)
      annotation (Placement(transformation(extent={{552,170},{544,190}})));
    Modelica.Blocks.Sources.RealExpression R290_HP_duty(y=H_flow_W_outlet.sensorValue
           - H_flow_W_inlet.sensorValue)
      annotation (Placement(transformation(extent={{544,534},{524,554}})));
    Modelica.Blocks.Sources.RealExpression COP_R290_HP(y=R290_HP_duty.y/
          R290_Compressor.summary.P_shaft)
      annotation (Placement(transformation(extent={{708,548},{688,568}})));
    Modelica.Blocks.Logical.Hysteresis hysteresis(uHigh=33, uLow=28.1)
      annotation (Placement(transformation(extent={{674,170},{654,190}})));
    Modelica.Blocks.Logical.Not not1
      annotation (Placement(transformation(extent={{644,174},{632,186}})));
    Modelica.Blocks.Sources.RealExpression On_off_trigger_HP(y=
          SpaceHeating_tank.summary.arrays.T_degC_liq_cell[10])
      annotation (Placement(transformation(extent={{754,178},{734,198}})));
    TIL.VLEFluidComponents.Sensors.Sensor_q sensor_q10(vleFluidType=sim.vleFluidType2)
      annotation (Placement(transformation(extent={{486,152},{494,160}})));
    Modelica.Blocks.Sources.BooleanExpression booleanExpression1(y=not1.y)
      annotation (Placement(transformation(extent={{580,302},{560,322}})));
    Modelica.Blocks.Sources.RealExpression Pump_off_value(y=1e-8)
      annotation (Placement(transformation(extent={{478,316},{498,336}})));
    Modelica.Blocks.Logical.Switch switch1
      annotation (Placement(transformation(extent={{710,170},{690,190}})));
    Modelica.Blocks.Sources.RealExpression On_off_trigger_HP1(y=
          SpaceHeating_tank.summary.arrays.T_degC_liq_cell[9])
      annotation (Placement(transformation(extent={{754,162},{734,182}})));
    Modelica.Blocks.Sources.RealExpression Valve_not_active(y=5e-6)
      annotation (Placement(transformation(extent={{390,198},{370,218}})));
    Modelica.Blocks.Sources.BooleanExpression booleanExpression(y=not1.y)
      annotation (Placement(transformation(extent={{390,162},{370,182}})));
    TIL.VLEFluidComponents.JunctionElements.VolumeJunction junction4(
      volume=1e-4,
      pressureStateID=3,
      hInitial=213e3) annotation (Placement(transformation(
          extent={{4,4},{-4,-4}},
          rotation=90,
          origin={-310,4})));
    TIL.VLEFluidComponents.JunctionElements.VolumeJunction junction5(
      volume=1e-4,
      pressureStateID=3,
      hInitial=213e3) annotation (Placement(transformation(
          extent={{4,4},{-4,-4}},
          rotation=90,
          origin={-310,-116})));
    TIL.HeatExchangers.FinAndTube.GasVLEFluid.ParallelFlowHX MT_Evaporator1(
      pressureStateID=2,
      fixedPressureDropInitialVLEFluid=false,
      fixedTInitialWall=false,
      gasCellFlowType="flow B-A",
      nCells=2,
      initVLEFluid="linearEnthalpyDistribution",
      hInitialVLEFluid_Cell1=213e3,
      hInitialVLEFluid_CellN=440e3,
      redeclare model FinSideHeatTransferModel =
          TIL.HeatExchangers.FinAndTube.TransportPhenomena.FinSideHeatTransfer.ConstantAlpha
          (constantAlpha=150),
      redeclare model TubeSideHeatTransferModel =
          TIL.HeatExchangers.FinAndTube.TransportPhenomena.TubeSideHeatTransfer.ConstantAlpha
          (constantAlpha=2500),
      redeclare TIL.HeatExchangers.FinAndTube.Geometry.KKI001 hxGeometry(
        finnedTubeLength=1,
        nSerialTubes=10,
        nParallelTubes=15),
      TInitialWall=278.15)
      annotation (Placement(transformation(extent={{-138,-138},{-110,-110}})));
    TIL.GasComponents.Fans.SimpleFan MT_evaporator_fan1(use_volumeFlowRateInput
        =true)
      annotation (Placement(transformation(extent={{-56,-170},{-40,-154}})));
    TIL.GasComponents.Volumes.Volume volume1(volume=15, TInitial=275.15)
      annotation (Placement(transformation(
          extent={{-4,-8},{4,8}},
          rotation=0,
          origin={-158,-182})));
    TIL.OtherComponents.Thermal.HeatBoundary heatBoundary2(
      boundaryType="Q_flow",
      Q_flowFixed(displayUnit="kW") = -12000,
      use_heatFlowRateInput=true) annotation (Placement(transformation(
          extent={{-4,-6},{4,6}},
          rotation=0,
          origin={-200,-170})));
    TIL.GasComponents.Sensors.Sensor_T_degC sensor_T2 annotation (Placement(
          transformation(
          extent={{-4,4},{4,-4}},
          rotation=180,
          origin={-186,-144})));
    TIL.OtherComponents.Controllers.PIController PI_MT_Fan1(
      controllerType="PI",
      invertFeedback=true,
      yInitial=1,
      yMin=1e-5,
      Ti=100,
      yMax=10,
      k=1)
      annotation (Placement(transformation(extent={{-82,-168},{-70,-156}})));
    Modelica.Blocks.Sources.RealExpression MTSetpoint2(y=2)
      annotation (Placement(transformation(extent={{-116,-172},{-96,-152}})));
    TIL.VLEFluidComponents.Sensors.Sensor_q sensor_q11
      annotation (Placement(transformation(extent={{-50,-112},{-42,-104}})));
    TIL.VLEFluidComponents.Sensors.Sensor_q sensor_q12
      annotation (Placement(transformation(extent={{-218,-112},{-210,-104}})));
    TIL.VLEFluidComponents.Valves.OrificeValve MT_expansion_valve1(
        use_effectiveFlowAreaInput=true)
      annotation (Placement(transformation(extent={{-244,-120},{-228,-112}})));
    TIL.VLEFluidComponents.Sensors.Sensor_superheating sensor_superheating3
      annotation (Placement(transformation(extent={{-72,-110},{-64,-102}})));
    Modelica.Blocks.Sources.RealExpression MT_SH_Setpoint1(y=5) annotation (
        Placement(transformation(
          extent={{10,-10},{-10,10}},
          rotation=0,
          origin={-90,-92})));
    TIL.OtherComponents.Controllers.PIController PI_MT_Control_Valve1(
      controllerType="PI",
      yMax=1e-3,
      invertFeedback=true,
      k=1e-6,
      yInitial=1e-6,
      yMin=1e-12,
      Ti=1)
      annotation (Placement(transformation(extent={{-112,-98},{-124,-86}})));
    TIL.VLEFluidComponents.Sensors.Sensor_H_flow sensor_H_flow_MTin1
      annotation (Placement(transformation(extent={{-174,-120},{-166,-112}})));
    TIL.VLEFluidComponents.Sensors.Sensor_H_flow sensor_H_flow_MTout1
      annotation (Placement(transformation(extent={{-94,-120},{-86,-112}})));
    TIL.GasComponents.Sensors.Sensor_T_degC sensor_T_degC14
      annotation (Placement(transformation(extent={{-134,-184},{-126,-176}})));
    TIL.VLEFluidComponents.Sensors.Sensor_q sensor_q13
      annotation (Placement(transformation(extent={{-284,-114},{-276,-106}})));
    TIL.VLEFluidComponents.JunctionElements.VolumeJunction junction6(
      pressureStateID=2,
      volume=1e-4,
      hInitial=450e3) annotation (Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=90,
          origin={50,-116})));
    TILFileReader.FileReader Spaceheating_spring(fileType=TILFileReader.Internals.FileTypes.CSVFile,
        fileName="C:/spring_demand.csv")
      annotation (Placement(transformation(extent={{292,504},{312,524}})));
    TILFileReader.Variables.RealVariableName SH_demand(interpolationMethod=
          TILFileReader.Internals.InterpolationMethods.NoInterpolation,
        variableName="Massflow")
      annotation (Placement(transformation(extent={{304,472},{284,492}})));
    TILFileReader.FileReader Spaceheating_reader1(fileType=TILFileReader.Internals.FileTypes.CSVFile,
        fileName="C:/Refrigeration_loads.csv")
      annotation (Placement(transformation(extent={{-366,-122},{-346,-102}})));
    TILFileReader.Variables.RealVariableName MT_duty_output(
      interpolationMethod=TILFileReader.Internals.InterpolationMethods.NoInterpolation,

      variableName="MT_duty",
      factor=0.5)
      annotation (Placement(transformation(extent={{-350,-182},{-330,-162}})));

    TILFileReader.Variables.RealVariableName LT_duty_output(
      interpolationMethod=TILFileReader.Internals.InterpolationMethods.NoInterpolation,

      variableName="LT_duty",
      factor=1)
      annotation (Placement(transformation(extent={{-370,-300},{-350,-280}})));

    TILFileReader.FileReader fileReader(fileName="C:/DHW_demand.csv",
        decimalSeparator=TILFileReader.Internals.DecimalSeparators.ColonSeparator)
      annotation (Placement(transformation(extent={{50,558},{70,578}})));
    TILFileReader.Variables.RealVariableName DHW_demand(variableName="Massflow")
      annotation (Placement(transformation(extent={{62,522},{42,542}})));
    TIL.LiquidComponents.Sensors.Sensor_H_flow H_flow_SH_out
      annotation (Placement(transformation(extent={{236,476},{244,484}})));
    TIL.LiquidComponents.Sensors.Sensor_H_flow H_flow_SH_in
      annotation (Placement(transformation(extent={{172,276},{180,284}})));
    Modelica.Blocks.Sources.RealExpression Actual_Delivered_duty_SpaceHeating(y
        =H_flow_SH_out.sensorValue - H_flow_SH_in.sensorValue)
      annotation (Placement(transformation(extent={{544,558},{524,578}})));
    TIL.HeatExchangers.FinAndTube.MoistAirLiquid.ParallelFlowHX DryCooler_FH(
      initLiquid="constantTemperature",
      nCells=2,
      redeclare model FinSideHeatTransferModel =
          TIL.HeatExchangers.FinAndTube.TransportPhenomena.FinSideHeatTransfer.ConstantAlpha
          (constantAlpha=150),
      redeclare TIL.HeatExchangers.FinAndTube.Geometry.KKI001 hxGeometry(
          nSerialTubes=20),
      redeclare model TubeSideHeatTransferModel =
          TIL.HeatExchangers.FinAndTube.TransportPhenomena.TubeSideHeatTransfer.ConstantAlpha
          (constantAlpha=600),
      TInitialLiquid=288.15)
      annotation (Placement(transformation(extent={{-198,374},{-170,346}})));
    TIL.GasComponents.Fans.SimpleFan simpleFan1(use_volumeFlowRateInput=true,
        eta=0.4) annotation (Placement(transformation(
          extent={{-8,-8},{8,8}},
          rotation=-90,
          origin={-236,368})));
    TIL.GasComponents.Boundaries.Boundary boundary6(
      m_flowFixed=1,
      boundaryType="p",
      use_temperatureInput=true,
      TFixed=278.15) annotation (Placement(transformation(
          extent={{-4,-10},{4,10}},
          rotation=0,
          origin={-280,368})));
    TIL.GasComponents.Boundaries.Boundary boundary7(
      m_flowFixed=1,
      boundaryType="p",
      use_temperatureInput=false,
      TFixed=283.15) annotation (Placement(transformation(
          extent={{-4,-10},{4,10}},
          rotation=-90,
          origin={-152,408})));
    TIL.OtherComponents.Controllers.PIController PI_Drycooler_FH(
      controllerType="PI",
      initType="initialOutput",
      use_activeInput=false,
      use_y_notActive=false,
      integralParameterType="Ti",
      invertFeedback=true,
      Ti=10,
      k=1,
      yMin=1e-5,
      yInitial=1,
      yMax=2)
      annotation (Placement(transformation(extent={{-266,386},{-254,398}})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC sensor_T_degC17
      annotation (Placement(transformation(extent={{-238,328},{-230,336}})));
    Modelica.Blocks.Sources.RealExpression ReturnTempSetpoint1(y=28)
      annotation (Placement(transformation(extent={{-302,382},{-282,402}})));
    TIL.GasComponents.Sensors.Sensor_T_degC sensor_T_degC18
      annotation (Placement(transformation(extent={{-176,386},{-168,394}})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC Temperature_after_drycooler1
      annotation (Placement(transformation(extent={{-190,434},{-182,442}})));
    TIL.GasComponents.Sensors.Sensor_T_degC sensor_T_degC19
      annotation (Placement(transformation(extent={{-232,466},{-224,474}})));
    Modelica.Blocks.Sources.RealExpression ReturnTempSetpoint3(y=5)
      annotation (Placement(transformation(extent={{-422,494},{-402,514}})));
    Modelica.Blocks.Sources.RealExpression SpaceHeatingTank_Setpoint(y=33)
      annotation (Placement(transformation(extent={{610,124},{590,144}})));
    Modelica.Blocks.Sources.RealExpression SpaceHeatingTank_TopLayerTemp(y=
          SpaceHeating_tank.summary.arrays.T_degC_liq_cell[1])
      annotation (Placement(transformation(extent={{610,98},{590,118}})));
    Modelica.Blocks.Logical.Switch switch2
      annotation (Placement(transformation(extent={{582,190},{562,170}})));
    Modelica.Blocks.Sources.RealExpression On_frequenze(y=50)
      annotation (Placement(transformation(extent={{620,150},{600,170}})));
    Modelica.Blocks.Sources.RealExpression Off_frequenze(y=1)
      annotation (Placement(transformation(extent={{620,184},{600,204}})));
    TIL.VLEFluidComponents.Sensors.Sensor_T_degC LT_dischargeTemp
      annotation (Placement(transformation(extent={{72,-168},{80,-160}})));
    TIL.VLEFluidComponents.Sensors.Sensor_T_degC MT_dischargeTemp
      annotation (Placement(transformation(extent={{70,168},{78,176}})));
    TIL.OtherComponents.Controllers.PIController PI_R290_relDisp(
      controllerType="PI",
      yMin=1,
      yInitial=1,
      k=1,
      Ti=100,
      yMax=2)
      annotation (Placement(transformation(extent={{572,128},{560,140}})));
    TIL.LiquidComponents.Sensors.Sensor_H_flow sensor_H_flow_inFH annotation (
        Placement(transformation(
          extent={{-4,4},{4,-4}},
          rotation=270,
          origin={-180,260})));
    TIL.LiquidComponents.Sensors.Sensor_H_flow sensor_H_flow_outFH annotation (
        Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=90,
          origin={-126,262})));
    Modelica.Blocks.Sources.RealExpression Net_duty_FH_Supermarket(y=Duty_FH.y
           - DryCooler_FH.summary.Q_flow_air)
      annotation (Placement(transformation(extent={{712,626},{692,646}})));
    Modelica.Blocks.Sources.RealExpression Net_duty_DHW_Supermarket(y=Duty_DHW.y
           - DryCooler_DHW.summary.Q_flow_air)
      annotation (Placement(transformation(extent={{750,626},{730,646}})));
    Modelica.Blocks.Sources.RealExpression COP_Supermarket_combined(y=
          COP_refrigeration.y + COP_heating.y)
      annotation (Placement(transformation(extent={{752,562},{732,582}})));
    TILFileReader.FileReader Spaceheating_winter(fileType=TILFileReader.Internals.FileTypes.CSVFile,
        fileName="C:/winter_demand.csv")
      annotation (Placement(transformation(extent={{364,504},{384,524}})));
    TILFileReader.FileReader Spaceheating_fall(fileType=TILFileReader.Internals.FileTypes.CSVFile,
        fileName="C:/fall_demand.csv")
      annotation (Placement(transformation(extent={{342,504},{362,524}})));
    TILFileReader.FileReader Spaceheating_summer(fileType=TILFileReader.Internals.FileTypes.CSVFile,
        fileName="C:/summer_demand.csv")
      annotation (Placement(transformation(extent={{316,504},{336,524}})));
    TILFileReader.Variables.RealVariableName OutsideTemperature(variableName=
          "Tout")
      annotation (Placement(transformation(extent={{320,438},{300,458}})));
    Modelica.Blocks.Sources.RealExpression OutsideTemperatureInput(y=
          OutsideTemperature.value + 273.15)
      annotation (Placement(transformation(extent={{-422,402},{-402,422}})));
    TIL.HeatExchangers.Plate.VLEFluidLiquid.ParallelFlowHX reheatHX(
      pressureStateID=1,
      redeclare model PressureDropModel_a =
          TIL.HeatExchangers.Plate.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      redeclare model PressureDropModel_b =
          TIL.HeatExchangers.Plate.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      redeclare TIL.HeatExchangers.Plate.Geometry.PlateGeometry hxGeometry(
        numberOfPlates=144,
        phi=30,
        wallThickness=0.0009,
        patternAmplitude=0.0006,
        length=0.6,
        width=0.2,
        patternWaveLength=0.12e-3),
      initVLEFluid_a="linearEnthalpyDistribution",
      initLiquid_b="linearTemperatureDistribution",
      nCells=3,
      hInitialVLEFluid_a_Cell1=513e3,
      hInitialVLEFluid_a_CellN=353e3,
      redeclare model HeatTransferModel_b =
          TIL.HeatExchangers.Plate.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=1000),
      redeclare model HeatTransferModel_a =
          TIL.HeatExchangers.Plate.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=2500),
      TInitialVLEFluid_a=358.15,
      TInitialLiquid_b=343.15,
      TInitialLiquid_b_Cell1=343.15,
      TInitialLiquid_b_CellN=301.15)
      annotation (Placement(transformation(extent={{-50,210},{-78,238}})));

    TIL.HeatExchangers.Plate.VLEFluidLiquid.ParallelFlowHX mediumTempHX(
      pressureStateID=1,
      redeclare model PressureDropModel_a =
          TIL.HeatExchangers.Plate.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      redeclare model PressureDropModel_b =
          TIL.HeatExchangers.Plate.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      redeclare TIL.HeatExchangers.Plate.Geometry.PlateGeometry hxGeometry(
        numberOfPlates=144,
        phi=30,
        wallThickness=0.0009,
        patternAmplitude=0.0006,
        length=0.6,
        width=0.2,
        patternWaveLength=0.12e-3),
      initVLEFluid_a="linearEnthalpyDistribution",
      initLiquid_b="linearTemperatureDistribution",
      nCells=3,
      hInitialVLEFluid_a_Cell1=353e3,
      hInitialVLEFluid_a_CellN=270e3,
      redeclare model HeatTransferModel_a =
          TIL.HeatExchangers.Plate.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=2500),
      redeclare model HeatTransferModel_b =
          TIL.HeatExchangers.Plate.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=1000),
      TInitialVLEFluid_a=323.15,
      TInitialLiquid_b=323.15,
      TInitialLiquid_b_Cell1=306.15,
      TInitialLiquid_b_CellN=301.15)
      annotation (Placement(transformation(extent={{-140,210},{-168,238}})));

    TIL.HeatExchangers.Plate.VLEFluidLiquid.ParallelFlowHX preheatHX(
      pressureStateID=1,
      redeclare model PressureDropModel_a =
          TIL.HeatExchangers.Plate.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      redeclare model PressureDropModel_b =
          TIL.HeatExchangers.Plate.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      redeclare TIL.HeatExchangers.Plate.Geometry.PlateGeometry hxGeometry(
        numberOfPlates=144,
        phi=30,
        wallThickness=0.0009,
        patternAmplitude=0.0006,
        length=0.6,
        width=0.2,
        patternWaveLength=0.12e-3),
      initVLEFluid_a="linearEnthalpyDistribution",
      initLiquid_b="linearTemperatureDistribution",
      nCells=3,
      hInitialVLEFluid_a_Cell1=270e3,
      hInitialVLEFluid_a_CellN=213e3,
      redeclare model HeatTransferModel_a =
          TIL.HeatExchangers.Plate.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=2500),
      redeclare model HeatTransferModel_b =
          TIL.HeatExchangers.Plate.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=1000),
      TInitialVLEFluid_a=313.15,
      TInitialLiquid_b=303.15,
      TInitialLiquid_b_Cell1=301.15,
      TInitialLiquid_b_CellN=278.15)
      annotation (Placement(transformation(extent={{-228,210},{-256,238}})));

    TIL.LiquidComponents.Sensors.Sensor_H_flow DHW_deliver_in
      annotation (Placement(transformation(extent={{-36,436},{-44,444}})));
    Modelica.Blocks.Sources.RealExpression Actual_Delivered_duty_DHW(y=
          DHW_deliver_out.sensorValue - DHW_deliver_in.sensorValue)
      annotation (Placement(transformation(extent={{582,558},{562,578}})));
  equation
    Comp_MT_W = MT_Compressor.shaftPower;
    Comp_MT_relDisp = MT_Compressor.relDisplacement;
    Comp_LT_W = LT_Compressor.shaftPower;
    Comp_LT_relDisp = LT_Compressor.relDisplacement;
    Ref_duty_MT = (MT_Evaporator.summary.Q_flow_vle + MT_Evaporator1.summary.Q_flow_vle);
    Ref_duty_LT = LT_Evaporator.summary.Q_flow_vle;
    Comp_Parallel_W = parallelCompressor.shaftPower;

    Heat_duty_PreH = preheatHX.summary.path_b.Q_flow_liq;
    Heat_duty_ReH = reheatHX.summary.path_b.Q_flow_liq;
    Heat_duty_SpaceH = mediumTempHX.summary.path_b.Q_flow_liq;
    Duty_DryC_DHW = DryCooler_DHW.summary.Q_flow_air;
    Duty_DryC_SH = DryCooler_FH.summary.Q_flow_air;

    COP_ref = (Ref_duty_MT + Ref_duty_LT)/(Comp_MT_W + Comp_LT_W);
    COP_heat_gross = (Heat_duty_PreH + Heat_duty_ReH + Heat_duty_SpaceH)/(
      Comp_MT_W + Comp_LT_W);
    COP_heat_net = (Net_HR_Supermarket_SH + Net_HR_Supermarket_DHW)/(Comp_MT_W
       + Comp_LT_W);

    Net_HR_Supermarket_SH = Heat_duty_SpaceH - Duty_DryC_SH;
    Net_HR_Supermarket_DHW = (Heat_duty_PreH + Heat_duty_ReH) - Duty_DryC_DHW;

    R290_Comp_W = R290_Compressor.shaftPower;
    R290_Comp_n = R290_Compressor.n;
    R290_Heat_duty = R290_Condenser.summary.path_b.Q_flow_liq;
    R290_COP = R290_Heat_duty/R290_Compressor.shaftPower;
    R290_relDisp = R290_Compressor.relDisplacement;

    Delivered_SH = Actual_Delivered_duty_SpaceHeating.y;
    connect(highPressure_Controller.y, highPressureValve.effectiveFlowArea_in)
      annotation (Line(points={{-306.4,146},{-329,146}}, color={0,0,127}));
    connect(highPressureSetPoint.y, highPressure_Controller.u_s) annotation (
        Line(points={{-277,146},{-284,146},{-294.4,146}}, color={0,0,127}));
    connect(sensor_p.port, highPressureValve.portA) annotation (Line(
        points={{-312,162},{-334,162},{-334,154}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_p.sensorValue, highPressure_Controller.u_m) annotation (Line(
          points={{-312,168.2},{-300,168.2},{-300,151.8}}, color={0,0,127}));
    connect(sensor_T_degC2.port, pressureState.portB) annotation (Line(
        points={{-8,218},{-8,216},{24,216}},
        color={153,204,0},
        thickness=0.5));
    connect(statePoint1.sensorPort, pressureState.portB) annotation (Line(
        points={{8,218},{8,216},{24,216}},
        color={153,204,0},
        thickness=0.5));
    connect(MT_evaporator_fan.portB, MT_Evaporator.portB_gas) annotation (Line(
        points={{-58,-26},{-58,-26},{-58,-12},{-118,-12}},
        color={255,153,0},
        thickness=0.5));
    connect(MT_evaporator_fan.portA, volume.portB) annotation (Line(
        points={{-58,-42},{-58,-42},{-58,-66},{-160,-66}},
        color={255,153,0},
        thickness=0.5));
    connect(MT_Evaporator.portA_gas, volume.portA) annotation (Line(
        points={{-146,-12},{-180,-12},{-180,-36},{-180,-66},{-168,-66}},
        color={255,153,0},
        thickness=0.5));
    connect(heatBoundary.heatPort, volume.heatPort) annotation (Line(
        points={{-214,-50},{-214,-50},{-164,-50},{-164,-56}},
        color={204,0,0},
        thickness=0.5));
    connect(PI_MT_Fan.y, MT_evaporator_fan.V_flow_in) annotation (Line(points={
            {-113.6,-34},{-113.6,-34},{-108,-34},{-68,-34}}, color={0,0,127}));
    connect(MTSetpoint.y, PI_MT_Fan.u_s) annotation (Line(points={{-139,-34},{-139,
            -34},{-125.6,-34}}, color={0,0,127}));
    connect(sensor_q1.port, pressureState2.portB) annotation (Line(
        points={{-222,8},{-222,4},{-206,4}},
        color={153,204,0},
        thickness=0.5));
    connect(highPressure_Controller1.y, highPressureValve1.effectiveFlowArea_in)
      annotation (Line(points={{-70.4,110},{-70.4,110},{-77,110},{-77,101},{-78,
            101}}, color={0,0,127}));
    connect(Receiver_pressureSetpoint.y, highPressure_Controller1.u_s)
      annotation (Line(points={{-49,110},{-54,110},{-58.4,110}}, color={0,0,127}));
    connect(pressureState3.portA, highPressureReceiver.portInlet) annotation (
        Line(
        points={{-320,64},{-316,64},{-316,64.8},{-314.833,64.8}},
        color={153,204,0},
        thickness=0.5));
    connect(highPressureValve.portB, pressureState3.portB) annotation (Line(
        points={{-334,138},{-334,138},{-334,64},{-332,64}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_q3.port, highPressureValve1.portA) annotation (Line(
        points={{-116,100},{-116,96},{-86,96}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_p1.port, highPressureValve1.portA) annotation (Line(
        points={{-102,100},{-102,96},{-86,96}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_p1.sensorValue, highPressure_Controller1.u_m) annotation (
        Line(points={{-102,106.2},{-86,106.2},{-86,122},{-64,122},{-64,115.8}},
          color={0,0,127}));
    connect(MT_expansion_valve.portB, pressureState2.portB) annotation (Line(
        points={{-236,4},{-236,4},{-206,4}},
        color={153,204,0},
        thickness=0.5));
    connect(MT_SH_Setpoint.y, PI_MT_Control_Valve.u_s) annotation (Line(points=
            {{-109,28},{-100,28},{-120.4,28}}, color={0,0,127}));
    connect(sensor_superheating.sensorValue, PI_MT_Control_Valve.u_m)
      annotation (Line(points={{-76,16.2},{-76,18},{-126,18},{-126,22.2}},
          color={0,0,127}));
    connect(PI_MT_Control_Valve.y, MT_expansion_valve.effectiveFlowArea_in)
      annotation (Line(points={{-132.4,28},{-142,28},{-244,28},{-244,9}}, color
          ={0,0,127}));
    connect(statePoint5.sensorPort, pressureState3.portB) annotation (Line(
        points={{-356,100},{-334,100},{-334,64},{-332,64}},
        color={153,204,0},
        thickness=0.5));
    connect(refrigerantQualityreceiver.port, pressureState3.portB) annotation (
        Line(
        points={{-306,116},{-334,116},{-334,64},{-332,64}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_q4.port, MT_expansion_valve.portA) annotation (Line(
        points={{-276,10},{-276,4},{-252,4}},
        color={153,204,0},
        thickness=0.5));
    connect(highPressureValve1.portB, junction.portB) annotation (Line(
        points={{-70,96},{-70,96},{48,96}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_p2.port, MT_Compressor.portA) annotation (Line(
        points={{68,120},{68,114},{52,114},{52,140}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_p2.sensorValue, PI_MT_Compressor.u_m) annotation (Line(
          points={{68,126.2},{68,126},{100,126},{100,136.2}}, color={0,0,127}));
    connect(LT_evaporator_fan.portB, LT_Evaporator.portB_gas) annotation (Line(
        points={{-78,-278},{-78,-278},{-78,-252},{-108,-252}},
        color={255,153,0},
        thickness=0.5));
    connect(LT_evaporator_fan.portA, LT_Cabinet.portB) annotation (Line(
        points={{-78,-294},{-78,-310},{-82,-310},{-152,-310}},
        color={255,153,0},
        thickness=0.5));
    connect(LT_Evaporator.portA_gas, LT_Cabinet.portA) annotation (Line(
        points={{-136,-252},{-170,-252},{-170,-278},{-170,-310},{-160,-310}},
        color={255,153,0},
        thickness=0.5));
    connect(heatBoundary1.heatPort, LT_Cabinet.heatPort) annotation (Line(
        points={{-204,-288},{-156,-288},{-156,-300}},
        color={204,0,0},
        thickness=0.5));
    connect(PI_LT_fan.y, LT_evaporator_fan.V_flow_in) annotation (Line(points={
            {-99.6,-286},{-99.6,-286},{-88,-286}}, color={0,0,127}));
    connect(LTSetpoint1.y, PI_LT_fan.u_s) annotation (Line(points={{-119,-286},
            {-120,-286},{-118,-286},{-111.6,-286}}, color={0,0,127}));
    connect(sensor_q6.port, pressureState4.portB) annotation (Line(
        points={{-204,-234},{-204,-238},{-186,-238}},
        color={153,204,0},
        thickness=0.5));
    connect(LT_expansion_valve.portB, pressureState4.portB) annotation (Line(
        points={{-214,-238},{-214,-238},{-186,-238}},
        color={153,204,0},
        thickness=0.5));
    connect(LT_SH_Setpoint1.y, PI_LT_Control_Valve.u_s) annotation (Line(points
          ={{-101,-208},{-106,-208},{-110.4,-208}}, color={0,0,127}));
    connect(sensor_superheating1.sensorValue, PI_LT_Control_Valve.u_m)
      annotation (Line(points={{-60,-227.8},{-60,-226},{-70,-226},{-116,-226},{
            -116,-213.8}}, color={0,0,127}));
    connect(PI_LT_Control_Valve.y, LT_expansion_valve.effectiveFlowArea_in)
      annotation (Line(points={{-122.4,-208},{-132,-208},{-222,-208},{-222,-233}},
          color={0,0,127}));
    connect(sensor_q7.port, LT_expansion_valve.portA) annotation (Line(
        points={{-294,-228},{-294,-238},{-230,-238}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_superheating1.port, LT_Compressor.portA) annotation (Line(
        points={{-60,-234},{-60,-238},{50,-238},{50,-200}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_p3.port, LT_Compressor.portA) annotation (Line(
        points={{88,-232},{88,-238},{50,-238},{50,-200}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_p3.sensorValue, PI_LT_Compressor.u_m) annotation (Line(
          points={{88,-225.8},{100,-225.8},{100,-211.8}}, color={0,0,127}));
    connect(LT_PressureSetPoint.y, PI_LT_Compressor.u_s) annotation (Line(
          points={{117,-206},{117,-206},{105.6,-206}}, color={0,0,127}));
    connect(highPressureReceiver.portGas, parallelCompressorValve.portA)
      annotation (Line(
        points={{-303.167,64.8},{-303.167,64.8},{-220,64.8},{-220,116},{-156,
            116}},
        color={153,204,0},
        thickness=0.5));

    connect(parallelComp_startup.y, PI_parallelValve.u_s)
      annotation (Line(points={{-201,144},{-179.6,144}}, color={0,0,127}));
    connect(PI_parallelValve.y, parallelCompressorValve.switchingPosition_in)
      annotation (Line(points={{-167.6,144},{-167.6,144},{-138,144},{-138,116},
            {-143.4,116}}, color={0,0,127}));
    connect(refrigerantQualityreceiver.sensorValue, PI_parallelValve.u_m)
      annotation (Line(points={{-306,122.2},{-174,122.2},{-174,126},{-174,138.2}},
          color={0,0,127}));
    connect(parallelCompressorValve.portC, sensor_m_flow.portA) annotation (
        Line(
        points={{-148,124},{-148,154},{-31,154}},
        color={153,204,0},
        thickness=0.5));
    connect(rotatoryBoundary.rotatoryFlange, MT_Compressor.rotatoryFlange)
      annotation (Line(
        points={{88,162},{88,162},{84,162},{72,162},{72,148},{60,148}},
        color={135,135,135},
        thickness=0.5));
    connect(rotatoryBoundary1.rotatoryFlange, LT_Compressor.rotatoryFlange)
      annotation (Line(
        points={{78,-192},{58,-192}},
        color={135,135,135},
        thickness=0.5));
    connect(pressureState2.portA, sensor_H_flow_MTin.portA) annotation (Line(
        points={{-194,4},{-181,4}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_H_flow_MTin.portB, MT_Evaporator.portA_vle) annotation (Line(
        points={{-175,4},{-146,4}},
        color={153,204,0},
        thickness=0.5));
    connect(MT_Evaporator.portB_vle, sensor_H_flow_MTout.portA) annotation (
        Line(
        points={{-118,4},{-101,4}},
        color={153,204,0},
        thickness=0.5));
    connect(pressureState4.portA, sensor_H_flow_LTin.portA) annotation (Line(
        points={{-174,-238},{-157,-238}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_H_flow_LTin.portB, LT_Evaporator.portA_vle) annotation (Line(
        points={{-151,-238},{-136,-238},{-136,-236}},
        color={153,204,0},
        thickness=0.5));
    connect(LT_Evaporator.portB_vle, sensor_H_flow_LTout.portA) annotation (
        Line(
        points={{-108,-236},{-102,-238},{-95,-238}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_H_flow_LTout.portB, LT_Compressor.portA) annotation (Line(
        points={{-89,-238},{50,-238},{50,-200}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_q8.port, parallelCompressorValve.portA) annotation (Line(
        points={{-240,98},{-240,96},{-220,96},{-220,116},{-156,116}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_m_flow.portB, parallelCompressor.portA) annotation (Line(
        points={{-25,154},{8,154},{8,162}},
        color={153,204,0},
        thickness=0.5));
    connect(parallelSetpoint.y, PI_parallelCompressor.u_s)
      annotation (Line(points={{-63,176},{-55.6,176}}, color={0,0,127}));
    connect(sensor_p4.port, sensor_m_flow.portA) annotation (Line(
        points={{-70,158},{-70,154},{-31,154}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_p4.sensorValue, PI_parallelCompressor.u_m) annotation (Line(
          points={{-70,164.2},{-56,164.2},{-56,164},{-50,164},{-50,170.2}},
          color={0,0,127}));
    connect(parallelCompressor.portB, highPressureJuntion.portB) annotation (
        Line(
        points={{8,178},{8,184},{48,184}},
        color={153,204,0},
        thickness=0.5));
    connect(highPressureJuntion.portC, pressureState.portA) annotation (Line(
        points={{52,188},{52,216},{36,216}},
        color={153,204,0},
        thickness=0.5));
    connect(MT_Compressor.portB, highPressureJuntion.portA) annotation (Line(
        points={{52,156},{52,180}},
        color={153,204,0},
        thickness=0.5));
    connect(rotatoryBoundary2.rotatoryFlange, parallelCompressor.rotatoryFlange)
      annotation (Line(
        points={{-14,170},{0,170}},
        color={135,135,135},
        thickness=0.5));
    connect(PI_parallelCompressor.y, rotatoryBoundary2.n_in) annotation (Line(
          points={{-43.6,176},{-24,176},{-24,170},{-18,170}}, color={0,0,127}));
    connect(parallelCompressorValve.portB, sensor_m_flow1.portA) annotation (
        Line(
        points={{-148,108},{-148,96},{-137,96}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_m_flow1.portB, highPressureValve1.portA) annotation (Line(
        points={{-131,96},{-86,96}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_T_degC9.sensorValue, PI_MT_Fan.u_m) annotation (Line(points=
            {{-138,-58},{-138,-58},{-120,-58},{-120,-39.8}}, color={0,0,127}));
    connect(sensor_T_degC9.port, volume.portB) annotation (Line(
        points={{-138,-64},{-138,-66},{-160,-66}},
        color={255,153,0},
        thickness=0.5));
    connect(sensor_T.port, volume.portA) annotation (Line(
        points={{-194,-28},{-180,-28},{-180,-66},{-168,-66}},
        color={255,153,0},
        thickness=0.5));
    connect(sensor_T_degC3.port, LT_Cabinet.portB) annotation (Line(
        points={{-138,-308},{-138,-310},{-152,-310}},
        color={255,153,0},
        thickness=0.5));
    connect(sensor_T1.port, LT_Cabinet.portA) annotation (Line(
        points={{-186,-276},{-170,-276},{-170,-310},{-160,-310}},
        color={255,153,0},
        thickness=0.5));
    connect(PI_LT_fan.u_m, sensor_T_degC3.sensorValue) annotation (Line(points=
            {{-106,-291.8},{-106,-291.8},{-106,-302},{-138,-302}}, color={0,0,
            127}));
    connect(DHW_tank_top.portB, DHW_deliver_out.portA) annotation (Line(
        points={{-48,554},{-48,560},{-27,560}},
        color={0,170,238},
        thickness=0.5));
    connect(DHW_Consumer_temp.port, DHW_Consumer_port.port) annotation (Line(
        points={{0,562},{0,560},{12,560}},
        color={0,170,238},
        thickness=0.5));
    connect(DHW_tank_middle.portB, junction7.portB) annotation (Line(
        points={{-48,504},{-48,506},{-48,512}},
        color={0,170,238},
        thickness=0.5));
    connect(DHW_tank_middle.portA, junction8.portC) annotation (Line(
        points={{-48,472},{-48,472},{-48,464}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_T_degC16.port, junction8.portA) annotation (Line(
        points={{-16,468},{-16,460},{-44,460}},
        color={0,170,238},
        thickness=0.5));
    connect(junction7.portC, sensor_m_flow6.portA) annotation (Line(
        points={{-48,520},{-48,525}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_m_flow6.portB, DHW_tank_top.portA) annotation (Line(
        points={{-48,531},{-48,538}},
        color={0,170,238},
        thickness=0.5));
    connect(boundary1.port, DryCooler_DHW.portB_gas) annotation (Line(
        points={{-210,474},{-210,448},{-222,448}},
        color={255,153,0},
        thickness=0.5));
    connect(simpleFan.portB, DryCooler_DHW.portA_gas) annotation (Line(
        points={{-260,448},{-260,448},{-250,448}},
        color={255,153,0},
        thickness=0.5));
    connect(boundary4.port, simpleFan.portA) annotation (Line(
        points={{-288,476},{-288,476},{-288,448},{-276,448}},
        color={255,153,0},
        thickness=0.5));
    connect(PI_Drycooler_DHW.y, simpleFan.V_flow_in) annotation (Line(points={{
            -305.6,504},{-305.6,504},{-268,504},{-268,458}}, color={0,0,127}));
    connect(DryCooler_DHW.portA_liq, sensor_H_flow_DHWin.portA) annotation (
        Line(
        points={{-250,432},{-250,432},{-374,432},{-374,294},{-329,294}},
        color={0,170,238},
        thickness=0.5));
    connect(Temperature_after_drycooler.port, DryCooler_DHW.portA_liq)
      annotation (Line(
        points={{-336,442},{-336,442},{-336,432},{-250,432}},
        color={0,170,238},
        thickness=0.5));
    connect(PI_DHW_Pump.y, simplePump.m_flow_in)
      annotation (Line(points={{-39.6,274},{-10,274}}, color={0,0,127}));
    connect(waterSetpoint.y, PI_DHW_Pump.u_s)
      annotation (Line(points={{-57,274},{-51.6,274}}, color={0,0,127}));
    connect(sensor_H_flow_DHWout.portB, simplePump.portA) annotation (Line(
        points={{-25,244},{0,244},{0,272}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_T_degC1.port, simplePump.portA) annotation (Line(
        points={{-18,258},{0,258},{0,272}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_T_degC1.sensorValue, PI_DHW_Pump.u_m) annotation (Line(
          points={{-18,264},{-46,264},{-46,268.2}}, color={0,0,127}));
    connect(sensor_m_flow8.portA, SpaceHeating_tank.portA) annotation (Line(
        points={{214,387},{214,382}},
        color={0,170,238},
        thickness=0.5));
    connect(SpaceHeating_tank.portB, sensor_m_flow7.portB) annotation (Line(
        points={{214,350},{214,333}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_m_flow7.portA, junction11.portC) annotation (Line(
        points={{214,327},{214,322}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_m_flow9.portB, SpaceHeating_tank_top.portB) annotation (Line(
        points={{214,435},{214,438.5},{214,442}},
        color={0,170,238},
        thickness=0.5));
    connect(SpaceHeating_tank_bottomTemp.port, SpaceHeating_tank.portB)
      annotation (Line(
        points={{224,342},{214,342},{214,350}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_T_degC10.sensorValue, PI_FH_pump1.u_m) annotation (Line(
          points={{28,406},{64,406},{64,392},{66.2,392}}, color={0,0,127}));
    connect(PI_FH_pump1.y, simplePump2.m_flow_in) annotation (Line(points={{72,
            398.4},{72,398.4},{72,408}}, color={0,0,127}));
    connect(floorHeatingSetpoint1.y, PI_FH_pump1.u_s) annotation (Line(points={
            {53,376},{72,376},{72,386.4}}, color={0,0,127}));
    connect(junction10.portB, sensor_m_flow9.portA) annotation (Line(
        points={{214,424},{214,429}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_T_degC10.port, simplePump2.portA) annotation (Line(
        points={{28,400},{28,400},{42,400},{44,400},{44,418},{70,418}},
        color={0,170,238},
        thickness=0.5));

    connect(junction2.portC, junction11.portB) annotation (Line(
        points={{214,300},{214,307},{214,314}},
        color={0,170,238},
        thickness=0.5));
    connect(junction10.portC, junction3.portC) annotation (Line(
        points={{214,416},{214,408}},
        color={0,170,238},
        thickness=0.5));
    connect(junction3.portB, sensor_m_flow8.portB) annotation (Line(
        points={{214,400},{214,393}},
        color={0,170,238},
        thickness=0.5));
    connect(PI_R290_WaterPump.y, R290_WaterPump.m_flow_in) annotation (Line(
          points={{519.6,316},{510,316},{510,306}}, color={0,0,127}));
    connect(R290_WaterPump.portA, H_flow_W_outlet.portB) annotation (Line(
        points={{508,296},{497,296}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_q9.port, pressureState7.portA) annotation (Line(
        points={{512,212},{512,206},{472,206}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_p5.port, pressureState7.portA) annotation (Line(
        points={{488,212},{488,206},{472,206}},
        color={153,204,0},
        thickness=0.5));
    connect(FH_setpoint_HP.y, PI_R290_WaterPump.u_s) annotation (Line(points={{
            559,326},{542,326},{542,316},{531.6,316}}, color={0,0,127}));
    connect(R290_Evaporator.portB_a, pressureState9.portB) annotation (Line(
        points={{398,146},{418,146}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_superheating2.port, pressureState9.portB) annotation (Line(
        points={{408,152},{408,146},{418,146}},
        color={153,204,0},
        thickness=0.5));
    connect(R290_Expvalve.portB, R290_Evaporator.portA_a) annotation (Line(
        points={{326,180},{326,146},{370,146}},
        color={153,204,0},
        thickness=0.5));
    connect(condenser_outlet_quality.port, R290_Expvalve.portA) annotation (
        Line(
        points={{340,214},{326,214},{326,196}},
        color={153,204,0},
        thickness=0.5));
    connect(PI_R290_ExpValve.y, R290_Expvalve.effectiveFlowArea_in) annotation
      (Line(points={{339.6,188},{339.6,188},{331,188}}, color={0,0,127}));
    connect(boundary2.port, R290_Evaporator.portA_b) annotation (Line(
        points={{322,108},{350,108},{350,130},{370,130}},
        color={0,170,238},
        thickness=0.5));
    connect(R290_Evaporator.portB_b, boundary3.port) annotation (Line(
        points={{398,130},{414,130},{414,106},{440,106}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_T_degC11.port, R290_Evaporator.portA_b) annotation (Line(
        points={{334,112},{334,112},{350,112},{350,130},{370,130}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_T_degC12.port, boundary3.port) annotation (Line(
        points={{430,110},{430,106},{440,106}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_p6.port, sensor_m_flow10.portA) annotation (Line(
        points={{466,152},{466,146},{505,146}},
        color={153,204,0},
        thickness=0.5));
    connect(R290_Compressor.portB, pressureState7.portA) annotation (Line(
        points={{522,188},{522,206},{512,206},{472,206}},
        color={153,204,0},
        thickness=0.5));
    connect(R290_Compressor.portA, sensor_m_flow10.portB) annotation (Line(
        points={{522,172},{522,172},{522,146},{511,146}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_T_degC13.port, R290_Evaporator.portA_a) annotation (Line(
        points={{310,154},{312,154},{312,146},{370,146}},
        color={153,204,0},
        thickness=0.5));
    connect(rotatoryBoundary3.rotatoryFlange, R290_Compressor.rotatoryFlange)
      annotation (Line(
        points={{548,180},{548,180},{530,180}},
        color={135,135,135},
        thickness=0.5));
    connect(Superheat_setpoint.y, PI_R290_ExpValve.u_s) annotation (Line(points
          ={{373,190},{362,190},{362,188},{351.6,188}},color={0,0,127}));
    connect(hysteresis.y, not1.u)
      annotation (Line(points={{653,180},{645.2,180}}, color={255,0,255}));
    connect(sensor_q10.port, sensor_m_flow10.portA) annotation (Line(
        points={{490,152},{490,146},{505,146}},
        color={153,204,0},
        thickness=0.5));
    connect(booleanExpression1.y, PI_R290_WaterPump.activeInput) annotation (
        Line(points={{559,312},{559,310},{531.6,310},{531.6,312.2}}, color={255,
            0,255}));
    connect(Pump_off_value.y, PI_R290_WaterPump.y_notActive) annotation (Line(
          points={{499,326},{499,326},{526,326},{526,321.8}}, color={0,0,127}));
    connect(pressureState9.portA, sensor_m_flow10.portA) annotation (Line(
        points={{430,146},{505,146}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_T_degC5.sensorValue, PI_R290_WaterPump.u_m) annotation (Line(
          points={{546,304},{526,304},{526,310.2}}, color={0,0,127}));
    connect(R290_WaterPump.portB, junction3.portA) annotation (Line(
        points={{524,296},{524,296},{608,296},{608,404},{218,404}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_T_degC5.port, R290_WaterPump.portB) annotation (Line(
        points={{546,298},{546,298},{546,296},{524,296}},
        color={0,170,238},
        thickness=0.5));
    connect(junction2.portA, H_flow_W_inlet.portA) annotation (Line(
        points={{218,296},{218,296},{388,296},{423,296}},
        color={0,170,238},
        thickness=0.5));
    connect(switch1.y, hysteresis.u)
      annotation (Line(points={{689,180},{676,180}}, color={0,0,127}));
    connect(On_off_trigger_HP.y, switch1.u1)
      annotation (Line(points={{733,188},{712,188}}, color={0,0,127}));
    connect(On_off_trigger_HP1.y, switch1.u3) annotation (Line(points={{733,172},
            {722,172},{712,172}}, color={0,0,127}));
    connect(sensor_superheating2.sensorValue, PI_R290_ExpValve.u_m) annotation
      (Line(points={{408,158.2},{346,158.2},{346,182.2}}, color={0,0,127}));
    connect(Valve_not_active.y, PI_R290_ExpValve.y_notActive) annotation (Line(
          points={{369,208},{362,208},{346,208},{346,193.8}}, color={0,0,127}));
    connect(booleanExpression.y, PI_R290_ExpValve.activeInput) annotation (Line(
          points={{369,172},{369,170},{362,170},{351.6,170},{351.6,178},{351.6,
            184.2}}, color={255,0,255}));
    connect(highPressureReceiver.portLiquid, junction4.portA) annotation (Line(
        points={{-309,48},{-310,48},{-310,8}},
        color={153,204,0},
        thickness=0.5));
    connect(junction4.portB, MT_expansion_valve.portA) annotation (Line(
        points={{-306,4},{-284,4},{-252,4}},
        color={153,204,0},
        thickness=0.5));
    connect(MT_evaporator_fan1.portB, MT_Evaporator1.portB_gas) annotation (
        Line(
        points={{-48,-154},{-48,-154},{-48,-132},{-110,-132}},
        color={255,153,0},
        thickness=0.5));
    connect(MT_evaporator_fan1.portA, volume1.portB) annotation (Line(
        points={{-48,-170},{-48,-170},{-48,-186},{-154,-186}},
        color={255,153,0},
        thickness=0.5));
    connect(MT_Evaporator1.portA_gas, volume1.portA) annotation (Line(
        points={{-138,-132},{-172,-132},{-172,-156},{-172,-186},{-162,-186}},
        color={255,153,0},
        thickness=0.5));
    connect(heatBoundary2.heatPort, volume1.heatPort) annotation (Line(
        points={{-200,-170},{-200,-170},{-158,-170},{-158,-176}},
        color={204,0,0},
        thickness=0.5));
    connect(MTSetpoint2.y, PI_MT_Fan1.u_s) annotation (Line(points={{-95,-162},
            {-95,-162},{-81.6,-162}}, color={0,0,127}));
    connect(sensor_superheating3.sensorValue, PI_MT_Control_Valve1.u_m)
      annotation (Line(points={{-68,-103.8},{-68,-102},{-118,-102},{-118,-97.8}},
          color={0,0,127}));
    connect(PI_MT_Control_Valve1.y, MT_expansion_valve1.effectiveFlowArea_in)
      annotation (Line(points={{-124.4,-92},{-134,-92},{-236,-92},{-236,-111}},
          color={0,0,127}));
    connect(sensor_H_flow_MTin1.portB, MT_Evaporator1.portA_vle) annotation (
        Line(
        points={{-167,-116},{-138,-116}},
        color={153,204,0},
        thickness=0.5));
    connect(MT_Evaporator1.portB_vle, sensor_H_flow_MTout1.portA) annotation (
        Line(
        points={{-110,-116},{-93,-116}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_T_degC14.sensorValue, PI_MT_Fan1.u_m) annotation (Line(
          points={{-130,-178},{-76,-178},{-76,-167.8}}, color={0,0,127}));
    connect(sensor_T_degC14.port, volume1.portB) annotation (Line(
        points={{-130,-184},{-130,-186},{-154,-186}},
        color={255,153,0},
        thickness=0.5));
    connect(sensor_T2.port, volume1.portA) annotation (Line(
        points={{-186,-148},{-172,-148},{-172,-186},{-162,-186}},
        color={255,153,0},
        thickness=0.5));
    connect(junction4.portC, junction5.portA) annotation (Line(
        points={{-310,0},{-310,0},{-310,-112}},
        color={153,204,0},
        thickness=0.5));
    connect(junction5.portB, MT_expansion_valve1.portA) annotation (Line(
        points={{-306,-116},{-276,-116},{-244,-116}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_q13.port, MT_expansion_valve1.portA) annotation (Line(
        points={{-280,-114},{-280,-116},{-244,-116}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_H_flow_MTout1.portB, junction6.portB) annotation (Line(
        points={{-87,-116},{-20,-116},{46,-116}},
        color={153,204,0},
        thickness=0.5));
    connect(LT_Compressor.portB, junction6.portA) annotation (Line(
        points={{50,-184},{50,-184},{50,-120}},
        color={153,204,0},
        thickness=0.5));
    connect(junction6.portC, junction1.portA) annotation (Line(
        points={{50,-112},{50,0},{52,0}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_superheating3.port, junction6.portB) annotation (Line(
        points={{-68,-110},{-68,-116},{46,-116}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_q11.port, junction6.portB) annotation (Line(
        points={{-46,-112},{-46,-116},{46,-116}},
        color={153,204,0},
        thickness=0.5));
    connect(junction5.portC, LT_expansion_valve.portA) annotation (Line(
        points={{-310,-120},{-310,-238},{-288,-238},{-230,-238}},
        color={153,204,0},
        thickness=0.5));
    connect(MT_SH_Setpoint1.y, PI_MT_Control_Valve1.u_s)
      annotation (Line(points={{-101,-92},{-112.4,-92}}, color={0,0,127}));
    connect(MT_expansion_valve1.portB, sensor_H_flow_MTin1.portA) annotation (
        Line(
        points={{-228,-116},{-173,-116},{-173,-116}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_q12.port, sensor_H_flow_MTin1.portA) annotation (Line(
        points={{-214,-112},{-214,-116},{-173,-116}},
        color={153,204,0},
        thickness=0.5));
    connect(SH_demand.value, boundary5.m_flow_in) annotation (Line(points={{286,
            482},{286,482},{272,482}}, color={0,0,127}));
    connect(MT_duty_output.value, heatBoundary.Q_flow_in) annotation (Line(
          points={{-332,-172},{-332,-172},{-252,-172},{-252,-170},{-252,-52},{-218,
            -52}}, color={0,0,127}));
    connect(MT_duty_output.value, heatBoundary2.Q_flow_in) annotation (Line(
          points={{-332,-172},{-252,-172},{-204,-172}}, color={0,0,127}));
    connect(Spaceheating_reader1.tfr_signals, MT_duty_output.tfr_signals)
      annotation (Line(points={{-360,-120},{-360,-136},{-348,-136},{-348,-150},
            {-348,-164},{-344,-164}}, color={127,0,0}));
    connect(Spaceheating_reader1.tfr_signals, LT_duty_output.tfr_signals)
      annotation (Line(points={{-360,-120},{-360,-120},{-360,-188},{-360,-282},
            {-364,-282}}, color={127,0,0}));
    connect(LT_duty_output.value, heatBoundary1.Q_flow_in) annotation (Line(
          points={{-352,-290},{-278,-290},{-208,-290}}, color={0,0,127}));
    connect(fileReader.tfr_signals, DHW_demand.tfr_signals)
      annotation (Line(points={{56,560},{56,560},{56,540}}, color={127,0,0}));
    connect(DHW_demand.value, DHW_Consumer_port.m_flow_in) annotation (Line(
          points={{44,532},{44,532},{38,532},{38,532},{28,532},{28,562},{16,562}},
          color={0,0,127}));
    connect(SpaceHeating_tank_top.portA, H_flow_SH_out.portA) annotation (Line(
        points={{214,474},{214,474},{214,482},{214,480},{237,480}},
        color={0,170,238},
        thickness=0.5));
    connect(H_flow_SH_out.portB, boundary5.port) annotation (Line(
        points={{243,480},{262,480},{268,480}},
        color={0,170,238},
        thickness=0.5));
    connect(SH_temperature_delivered.port, SpaceHeating_tank_top.portA)
      annotation (Line(
        points={{224,486},{214,486},{214,474}},
        color={0,170,238},
        thickness=0.5));
    connect(junction2.portB, H_flow_SH_in.portB) annotation (Line(
        points={{214,292},{214,280},{179,280}},
        color={0,170,238},
        thickness=0.5));
    connect(boundary7.port, DryCooler_FH.portB_gas) annotation (Line(
        points={{-152,408},{-152,408},{-152,368},{-170,368}},
        color={255,153,0},
        thickness=0.5));
    connect(simpleFan1.portB, DryCooler_FH.portA_gas) annotation (Line(
        points={{-228,368},{-210,368},{-198,368}},
        color={255,153,0},
        thickness=0.5));
    connect(sensor_T_degC4.port, DryCooler_FH.portB_liq) annotation (Line(
        points={{-140,360},{-140,352},{-170,352}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_T_degC17.port, DryCooler_FH.portA_liq) annotation (Line(
        points={{-234,328},{-206,328},{-206,352},{-198,352}},
        color={0,170,238},
        thickness=0.5));
    connect(boundary6.port, simpleFan1.portA) annotation (Line(
        points={{-280,368},{-262,368},{-244,368}},
        color={255,153,0},
        thickness=0.5));
    connect(PI_Drycooler_FH.y, simpleFan1.V_flow_in) annotation (Line(points={{
            -253.6,392},{-244,392},{-236,392},{-236,378}}, color={0,0,127}));
    connect(sensor_T_degC17.sensorValue, PI_Drycooler_FH.u_m) annotation (Line(
          points={{-234,334},{-260,334},{-260,386.2}}, color={0,0,127}));
    connect(ReturnTempSetpoint1.y, PI_Drycooler_FH.u_s) annotation (Line(points
          ={{-281,392},{-281,392},{-265.6,392}},color={0,0,127}));
    connect(sensor_T_degC18.port, DryCooler_FH.portB_gas) annotation (Line(
        points={{-172,386},{-166,386},{-166,368},{-170,368}},
        color={255,153,0},
        thickness=0.5));
    connect(Temperature_after_drycooler1.port, DryCooler_DHW.portB_liq)
      annotation (Line(
        points={{-186,434},{-186,434},{-186,432},{-222,432}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_T_degC19.port, DryCooler_DHW.portB_gas) annotation (Line(
        points={{-228,466},{-222,466},{-222,448}},
        color={255,153,0},
        thickness=0.5));
    connect(ReturnTempSetpoint3.y, PI_Drycooler_DHW.u_s) annotation (Line(
          points={{-401,504},{-401,504},{-317.6,504}}, color={0,0,127}));
    connect(Temperature_after_drycooler.sensorValue, PI_Drycooler_DHW.u_m)
      annotation (Line(points={{-336,448},{-312,448},{-312,498.2}}, color={0,0,
            127}));
    connect(simplePump.portB, sensor_m_flow3.portA) annotation (Line(
        points={{0,288},{0,372},{-110,372},{-110,516},{-95,516}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_m_flow3.portB, junction7.portA) annotation (Line(
        points={{-89,516},{-58,516},{-52,516}},
        color={0,170,238},
        thickness=0.5));
    connect(junction8.portA, DryCooler_DHW.portB_liq) annotation (Line(
        points={{-44,460},{-44,460},{106,460},{106,584},{-194,584},{-194,432},{
            -222,432}},
        color={0,170,238},
        thickness=0.5));
    connect(H_flow_W_inlet.portB, R290_Condenser.portB_b) annotation (Line(
        points={{429,296},{442,296},{454,296}},
        color={0,170,238},
        thickness=0.5));
    connect(R290_Condenser.portA_b, H_flow_W_outlet.portA) annotation (Line(
        points={{482,296},{491,296}},
        color={0,170,238},
        thickness=0.5));
    connect(R290_Condenser.portA_a, pressureState7.portB) annotation (Line(
        points={{482,280},{526,280},{526,206},{460,206}},
        color={153,204,0},
        thickness=0.5));
    connect(R290_Condenser.portB_a, R290_Expvalve.portA) annotation (Line(
        points={{454,280},{434,280},{434,238},{326,238},{326,196}},
        color={153,204,0},
        thickness=0.5));
    connect(not1.y, switch2.u2) annotation (Line(points={{631.4,180},{631.4,180},
            {584,180}}, color={255,0,255}));
    connect(On_frequenze.y, switch2.u1) annotation (Line(points={{599,160},{594,
            160},{594,172},{584,172}}, color={0,0,127}));
    connect(Off_frequenze.y, switch2.u3) annotation (Line(points={{599,194},{
            592,194},{592,188},{584,188}}, color={0,0,127}));
    connect(LT_dischargeTemp.port, LT_Compressor.portB) annotation (Line(
        points={{76,-168},{50,-168},{50,-184}},
        color={153,204,0},
        thickness=0.5));
    connect(MT_dischargeTemp.port, MT_Compressor.portB) annotation (Line(
        points={{74,168},{64,168},{64,156},{52,156}},
        color={153,204,0},
        thickness=0.5));
    connect(PI_R290_relDisp.y, R290_Compressor.relDisplacement_in) annotation (
        Line(points={{559.6,134},{544,134},{544,174},{533,174}}, color={0,0,127}));
    connect(SpaceHeatingTank_TopLayerTemp.y, PI_R290_relDisp.u_m) annotation (
        Line(points={{589,108},{589,108},{566,108},{566,128.2}}, color={0,0,127}));
    connect(DryCooler_FH.portA_liq, sensor_H_flow_inFH.portA) annotation (Line(
        points={{-198,352},{-206,352},{-206,304},{-180,304},{-180,263}},
        color={0,170,238},
        thickness=0.5));
    connect(DryCooler_FH.portB_liq, junction11.portA) annotation (Line(
        points={{-170,352},{-170,352},{-90,352},{-90,318},{210,318}},
        color={0,170,238},
        thickness=0.5));

    connect(sensor_H_flow_outFH.portB, simplePump2.portA) annotation (Line(
        points={{-126,265},{-148,265},{-148,418},{70,418}},
        color={0,170,238},
        thickness=0.5));
    connect(simplePump2.portB, junction10.portA) annotation (Line(
        points={{86,418},{86,420},{210,420}},
        color={0,170,238},
        thickness=0.5));
    connect(OutsideTemperatureInput.y, boundary4.T_in) annotation (Line(points=
            {{-401,412},{-350,412},{-350,480},{-294,480}}, color={0,0,127}));
    connect(OutsideTemperatureInput.y, boundary6.T_in) annotation (Line(points=
            {{-401,412},{-344,412},{-344,362},{-284,362}}, color={0,0,127}));
    connect(sensor_H_flow_MTout.portB, junction1.portB) annotation (Line(
        points={{-95,4},{48,4}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_superheating.port, junction1.portB) annotation (Line(
        points={{-76,10},{-76,4},{48,4}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_q.port, junction1.portB) annotation (Line(
        points={{-60,10},{-60,4},{48,4}},
        color={153,204,0},
        thickness=0.5));
    connect(junction1.portC, junction.portA) annotation (Line(
        points={{52,8},{52,8},{52,92}},
        color={153,204,0},
        thickness=0.5));
    connect(junction.portC, MT_Compressor.portA) annotation (Line(
        points={{52,100},{52,140}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_q2.port, junction.portC) annotation (Line(
        points={{68,82},{60,82},{60,100},{52,100}},
        color={153,204,0},
        thickness=0.5));
    connect(PI_MT_Fan1.y, MT_evaporator_fan1.V_flow_in) annotation (Line(points
          ={{-69.6,-162},{-64,-162},{-58,-162}},color={0,0,127}));
    connect(PI_LT_Compressor.y, LT_Compressor.relDisplacement_in) annotation (
        Line(points={{93.6,-206},{80,-206},{68,-206},{68,-198},{61,-198}},
          color={0,0,127}));
    connect(PI_MT_Compressor.y, MT_Compressor.relDisplacement_in) annotation (
        Line(points={{93.6,142},{92,142},{63,142}}, color={0,0,127}));
    connect(MT_pressureSetpoint.y, PI_MT_Compressor.u_s)
      annotation (Line(points={{117,142},{105.6,142}}, color={0,0,127}));
    connect(reheatHX.portA_b, sensor_H_flow_DHWout.portA) annotation (Line(
        points={{-50,232},{-40,232},{-40,244},{-31,244}},
        color={0,170,238},
        thickness=0.5));
    connect(reheatHX.portA_a, sensor_T_degC2.port) annotation (Line(
        points={{-50,216},{-8,216},{-8,218}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_T_degC7.port, reheatHX.portB_a) annotation (Line(
        points={{-122,194},{-98,194},{-98,216},{-78,216}},
        color={153,204,0},
        thickness=0.5));
    connect(reheatHX.portB_a, mediumTempHX.portA_a) annotation (Line(
        points={{-78,216},{-110,216},{-140,216}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_T_degC6.port, mediumTempHX.portB_a) annotation (Line(
        points={{-202,194},{-186,194},{-186,216},{-168,216}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_H_flow_inFH.portB, mediumTempHX.portB_b) annotation (Line(
        points={{-180,257},{-180,257},{-180,234},{-168,234},{-168,232}},
        color={0,170,238},
        thickness=0.5));
    connect(mediumTempHX.portA_b, sensor_H_flow_outFH.portA) annotation (Line(
        points={{-140,232},{-126,232},{-126,259}},
        color={0,170,238},
        thickness=0.5));
    connect(preheatHX.portA_a, mediumTempHX.portB_a) annotation (Line(
        points={{-228,216},{-200,216},{-168,216}},
        color={153,204,0},
        thickness=0.5));
    connect(preheatHX.portB_a, highPressureValve.portA) annotation (Line(
        points={{-256,216},{-296,216},{-334,216},{-334,154}},
        color={153,204,0},
        thickness=0.5));
    connect(CO2_GC_OutletTemp.port, preheatHX.portB_a) annotation (Line(
        points={{-284,222},{-284,222},{-284,216},{-256,216}},
        color={153,204,0},
        thickness=0.5));
    connect(reheatHX.portB_b, preheatHX.portA_b) annotation (Line(
        points={{-78,232},{-86,232},{-86,244},{-192,244},{-192,232},{-228,232}},

        color={0,170,238},
        thickness=0.5));

    connect(sensor_T_degC8.port, preheatHX.portA_b) annotation (Line(
        points={{-222,248},{-226,248},{-226,232},{-228,232}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_H_flow_DHWin.portB, preheatHX.portB_b) annotation (Line(
        points={{-323,294},{-292,294},{-266,294},{-266,232},{-256,232}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_T_degC.port, preheatHX.portB_b) annotation (Line(
        points={{-254,256},{-266,256},{-266,232},{-256,232}},
        color={0,170,238},
        thickness=0.5));
    connect(boundary.port, H_flow_SH_in.portA) annotation (Line(
        points={{148,280},{173,280},{173,280}},
        color={0,170,238},
        thickness=0.5));
    connect(switch2.y, rotatoryBoundary3.n_in)
      annotation (Line(points={{561,180},{552,180}}, color={0,0,127}));
    connect(not1.y, switch1.u2) annotation (Line(points={{631.4,180},{628,180},
            {628,158},{724,158},{724,180},{712,180}}, color={255,0,255}));
    connect(SpaceHeatingTank_Setpoint.y, PI_R290_relDisp.u_s) annotation (Line(
          points={{589,134},{584,134},{571.6,134}}, color={0,0,127}));
    connect(DHW_deliver_out.portB, DHW_Consumer_port.port) annotation (Line(
        points={{-21,560},{12,560}},
        color={0,170,238},
        thickness=0.5));
    connect(cityWaterInlet.port, DHW_deliver_in.portA) annotation (Line(
        points={{-28,440},{-37,440}},
        color={0,170,238},
        thickness=0.5));
    connect(DHW_deliver_in.portB, junction8.portB) annotation (Line(
        points={{-43,440},{-48,440},{-48,456}},
        color={0,170,238},
        thickness=0.5));
    connect(Spaceheating_winter.tfr_signals, SH_demand.tfr_signals) annotation
      (Line(points={{370,506},{370,490},{298,490}}, color={127,0,0}));
    connect(Spaceheating_winter.tfr_signals, OutsideTemperature.tfr_signals)
      annotation (Line(points={{370,506},{370,506},{370,448},{370,456},{314,456}},
          color={127,0,0}));
    annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-460,
              -360},{780,680}})), Diagram(coordinateSystem(preserveAspectRatio=
              false, extent={{-460,-360},{780,680}}), graphics={Text(
              extent={{-26,518},{22,472}},
              lineColor={28,108,200},
              textString="DHW Storage
Tank
"),Text(      extent={{332,98},{434,22}},
              lineColor={28,108,200},
              textString="R290
Heat pump
"),Text(      extent={{242,388},{290,342}},
              lineColor={28,108,200},
              textString="Space Heating
Storage Tank
"),Text(      extent={{524,690},{586,630}},
              lineColor={28,108,200},
              textString="Measured data"),Text(
              extent={{690,690},{752,630}},
              lineColor={28,108,200},
              textString="Calculated data")}));
  end Case1_Supermarket;

  model Case2_Indirect_H2

    output Real Comp_MT_W;
    output Real Comp_MT_relDisp;
    output Real Comp_LT_W;
    output Real Comp_LT_relDisp;
    output Real Ref_duty_MT;
    output Real Ref_duty_LT;
    output Real Comp_Parallel_W;

    output Real Heat_duty_PreH;
    output Real Heat_duty_ReH;
    output Real Heat_duty_SpaceH;
    output Real Duty_DryC_DHW;
    output Real Duty_DryC_SH;
    output Real COP_ref;
    output Real COP_heat_gross;
    output Real COP_heat_net;
    output Real Net_HR_Supermarket_SH;
    output Real Net_HR_Supermarket_DHW;

    output Real R290_Comp_W;
    output Real R290_Comp_n;
    output Real R290_Heat_duty;
    output Real R290_COP;
    output Real R290_relDisp;
    output Real Delivered_SH;

    output Real H2_HX;
    output Real H2_DryC;
    output Real H2_net_HR;

    TIL.LiquidComponents.Pumps.SimplePump simplePump(
      presetVariableType="m_flow",
      use_volumeFlowRateInput=false,
      m_flowFixed=0.05,
      use_massFlowRateInput=true) annotation (Placement(transformation(
          extent={{-8,-8},{8,8}},
          rotation=0,
          origin={0,280})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC sensor_T_degC
      annotation (Placement(transformation(extent={{-248,256},{-240,264}})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC sensor_T_degC1
      annotation (Placement(transformation(extent={{-22,258},{-14,266}})));
    TIL.OtherComponents.Controllers.PIController PI_DHW_Pump(
      controllerType="PI",
      invertFeedback=true,
      yMax=1,
      yInitial=0.06,
      Ti=0.01,
      k=0.1,
      yMin=0.01)
      annotation (Placement(transformation(extent={{-52,268},{-40,280}})));
    Modelica.Blocks.Sources.RealExpression waterSetpoint(y=70)
      annotation (Placement(transformation(extent={{-78,264},{-58,284}})));
    TIL.VLEFluidComponents.Sensors.Sensor_T_degC CO2_GC_OutletTemp
      annotation (Placement(transformation(extent={{-288,222},{-280,230}})));
    TIL.VLEFluidComponents.PressureStateElements.PressureState pressureState(
        pInitial=8500000)
      annotation (Placement(transformation(extent={{24,210},{36,222}})));
    TIL.VLEFluidComponents.Sensors.StatePoint statePoint1(stateViewerIndex=1)
      annotation (Placement(transformation(extent={{4,218},{12,226}})));
    TIL.VLEFluidComponents.Sensors.Sensor_T_degC sensor_T_degC2
      annotation (Placement(transformation(extent={{-12,218},{-4,226}})));
    TIL.VLEFluidComponents.Sensors.Sensor_T_degC sensor_T_degC6
      annotation (Placement(transformation(extent={{-206,194},{-198,202}})));
    TIL.VLEFluidComponents.Sensors.Sensor_T_degC sensor_T_degC7
      annotation (Placement(transformation(extent={{-126,194},{-118,202}})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC sensor_T_degC8
      annotation (Placement(transformation(extent={{-226,248},{-218,256}})));
    TIL.VLEFluidComponents.Valves.OrificeValve highPressureValve(
        use_effectiveFlowAreaInput=true) annotation (Placement(transformation(
          extent={{-8,-4},{8,4}},
          rotation=-90,
          origin={-334,146})));
    TIL.OtherComponents.Controllers.PIController highPressure_Controller(
      controllerType="PI",
      yMax=1e-4,
      invertFeedback=true,
      yMin=1e-9,
      yInitial=1e-8,
      Ti=0.01,
      k=1e-8)
      annotation (Placement(transformation(extent={{-294,152},{-306,140}})));
    Modelica.Blocks.Sources.RealExpression highPressureSetPoint(y=85e5)
      annotation (Placement(transformation(extent={{-256,136},{-276,156}})));
    TIL.VLEFluidComponents.Sensors.Sensor_p sensor_p
      annotation (Placement(transformation(extent={{-316,162},{-308,170}})));

    TIL.VLEFluidComponents.PressureStateElements.PressureState pressureState2(
        pressureStateID=2, pInitial=3000000)
      annotation (Placement(transformation(extent={{-206,-2},{-194,10}})));
    TIL.HeatExchangers.FinAndTube.GasVLEFluid.ParallelFlowHX MT_Evaporator(
      pressureStateID=2,
      fixedPressureDropInitialVLEFluid=false,
      fixedTInitialWall=false,
      gasCellFlowType="flow B-A",
      nCells=2,
      initVLEFluid="linearEnthalpyDistribution",
      hInitialVLEFluid_Cell1=213e3,
      hInitialVLEFluid_CellN=440e3,
      redeclare model FinSideHeatTransferModel =
          TIL.HeatExchangers.FinAndTube.TransportPhenomena.FinSideHeatTransfer.ConstantAlpha
          (constantAlpha=150),
      redeclare model WallMaterial = TILMedia.SolidTypes.TILMedia_Copper,
      redeclare TIL.HeatExchangers.FinAndTube.Geometry.KKI001 hxGeometry(
        finnedTubeLength=1,
        nSerialTubes=10,
        nParallelTubes=15),
      redeclare model TubeSideHeatTransferModel =
          TIL.HeatExchangers.FinAndTube.TransportPhenomena.TubeSideHeatTransfer.ConstantAlpha
          (constantAlpha=2500),
      TInitialWall=278.15)
      annotation (Placement(transformation(extent={{-146,-18},{-118,10}})));
    TIL.GasComponents.Fans.SimpleFan MT_evaporator_fan(use_volumeFlowRateInput=
          true)
      annotation (Placement(transformation(extent={{-66,-42},{-50,-26}})));
    TIL.GasComponents.Volumes.Volume volume(volume=25, TInitial=275.15)
      annotation (Placement(transformation(
          extent={{-4,-8},{4,8}},
          rotation=0,
          origin={-164,-62})));
    TIL.OtherComponents.Thermal.HeatBoundary heatBoundary(
      boundaryType="Q_flow",
      Q_flowFixed(displayUnit="kW") = -12000,
      use_heatFlowRateInput=true) annotation (Placement(transformation(
          extent={{-4,-6},{4,6}},
          rotation=0,
          origin={-214,-50})));
    TIL.GasComponents.Sensors.Sensor_T_degC sensor_T annotation (Placement(
          transformation(
          extent={{-4,4},{4,-4}},
          rotation=180,
          origin={-194,-24})));
    TIL.OtherComponents.Controllers.PIController PI_MT_Fan(
      controllerType="PI",
      invertFeedback=true,
      yMin=1e-5,
      yInitial=1,
      Ti=100,
      yMax=10,
      k=1)
      annotation (Placement(transformation(extent={{-126,-40},{-114,-28}})));
    Modelica.Blocks.Sources.RealExpression MTSetpoint(y=2)
      annotation (Placement(transformation(extent={{-160,-44},{-140,-24}})));
    TIL.VLEFluidComponents.Sensors.Sensor_q sensor_q
      annotation (Placement(transformation(extent={{-64,10},{-56,18}})));
    TIL.VLEFluidComponents.Sensors.Sensor_q sensor_q1
      annotation (Placement(transformation(extent={{-226,8},{-218,16}})));
    TIL.VLEFluidComponents.Separators.IdealSeparator highPressureReceiver(
      pressureStateID=3,
      initialFillingLevel=0.8,
      V=0.03)
      annotation (Placement(transformation(extent={{-316,48},{-302,72}})));
    TIL.VLEFluidComponents.Sensors.Sensor_q refrigerantQualityreceiver
      annotation (Placement(transformation(extent={{-310,116},{-302,124}})));
    TIL.VLEFluidComponents.Sensors.StatePoint statePoint5(stateViewerIndex=5)
      annotation (Placement(transformation(extent={{-360,100},{-352,108}})));
    TIL.VLEFluidComponents.Sensors.Sensor_q sensor_q3(useTimeConstant=true,
        initialSensorValue=1)
      annotation (Placement(transformation(extent={{-120,100},{-112,108}})));
    TIL.VLEFluidComponents.Valves.OrificeValve highPressureValve1(
        use_effectiveFlowAreaInput=true) annotation (Placement(transformation(
          extent={{-8,-4},{8,4}},
          rotation=0,
          origin={-78,96})));
    TIL.OtherComponents.Controllers.PIController highPressure_Controller1(
      controllerType="PI",
      yMax=1e-4,
      invertFeedback=true,
      yMin=1e-9,
      yInitial=1e-8,
      Ti=0.01,
      k=1e-8) annotation (Placement(transformation(
          extent={{6,6},{-6,-6}},
          rotation=0,
          origin={-64,110})));
    Modelica.Blocks.Sources.RealExpression Receiver_pressureSetpoint(y=40e5)
      annotation (Placement(transformation(
          extent={{10,-10},{-10,10}},
          rotation=0,
          origin={-38,110})));
    TIL.VLEFluidComponents.PressureStateElements.PressureState pressureState3(
        pressureStateID=3, pInitial=4000000)
      annotation (Placement(transformation(extent={{-332,58},{-320,70}})));
    TIL.VLEFluidComponents.Sensors.Sensor_p sensor_p1(initialSensorValue=
          4000000, useTimeConstant=false)
      annotation (Placement(transformation(extent={{-106,100},{-98,108}})));
    TIL.VLEFluidComponents.Valves.OrificeValve MT_expansion_valve(
        use_effectiveFlowAreaInput=true)
      annotation (Placement(transformation(extent={{-252,0},{-236,8}})));
    TIL.VLEFluidComponents.Sensors.Sensor_superheating sensor_superheating
      annotation (Placement(transformation(extent={{-80,10},{-72,18}})));
    Modelica.Blocks.Sources.RealExpression MT_SH_Setpoint(y=5) annotation (
        Placement(transformation(
          extent={{10,-10},{-10,10}},
          rotation=0,
          origin={-68,42})));
    TIL.OtherComponents.Controllers.PIController PI_MT_Control_Valve(
      controllerType="PI",
      yMax=1e-3,
      invertFeedback=true,
      k=1e-6,
      yInitial=1e-6,
      yMin=1e-12,
      Ti=100)
      annotation (Placement(transformation(extent={{-120,36},{-132,48}})));
    TIL.VLEFluidComponents.Sensors.Sensor_q sensor_q4
      annotation (Placement(transformation(extent={{-280,10},{-272,18}})));
    TIL.VLEFluidComponents.Compressors.EffCompressor MT_Compressor(
      use_mechanicalPort=true,
      use_relDisplacementInput=true,
      displacement=1.5e-5)
      annotation (Placement(transformation(extent={{44,140},{60,156}})));
    TIL.VLEFluidComponents.JunctionElements.VolumeJunction junction(
      pressureStateID=2,
      volume=1e-4,
      hInitial=450e3) annotation (Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=90,
          origin={52,96})));
    TIL.VLEFluidComponents.Sensors.Sensor_p sensor_p2
      annotation (Placement(transformation(extent={{64,120},{72,128}})));
    TIL.OtherComponents.Controllers.PIController PI_MT_Compressor(
      controllerType="PI",
      invertFeedback=true,
      initType="initialOutput",
      k=1e-5,
      Ti=100,
      yMax=4,
      yMin=1,
      yInitial=1)
      annotation (Placement(transformation(extent={{106,136},{94,148}})));
    Modelica.Blocks.Sources.RealExpression MT_pressureSetpoint(y=30e5)
      annotation (Placement(transformation(
          extent={{10,-10},{-10,10}},
          rotation=0,
          origin={128,142})));
    TIL.VLEFluidComponents.PressureStateElements.PressureState pressureState4(
        pressureStateID=4, pInitial=1300000)
      annotation (Placement(transformation(extent={{-186,-244},{-174,-232}})));
    TIL.HeatExchangers.FinAndTube.GasVLEFluid.ParallelFlowHX LT_Evaporator(
      fixedPressureDropInitialVLEFluid=false,
      fixedTInitialWall=false,
      gasCellFlowType="flow B-A",
      hInitialVLEFluid=220e3,
      pressureStateID=4,
      nCells=2,
      initVLEFluid="linearEnthalpyDistribution",
      hInitialVLEFluid_Cell1=213e3,
      hInitialVLEFluid_CellN=440e3,
      redeclare model TubeSideHeatTransferModel =
          TIL.HeatExchangers.FinAndTube.TransportPhenomena.TubeSideHeatTransfer.ConstantAlpha
          (constantAlpha=2500),
      redeclare model FinSideHeatTransferModel =
          TIL.HeatExchangers.FinAndTube.TransportPhenomena.FinSideHeatTransfer.ConstantAlpha
          (constantAlpha=150),
      redeclare model WallMaterial = TILMedia.SolidTypes.TILMedia_Copper,
      redeclare TIL.HeatExchangers.FinAndTube.Geometry.KKI001 hxGeometry(
        nSerialTubes=5,
        finnedTubeLength=1,
        nParallelTubes=15),
      TInitialWall=253.15)
      annotation (Placement(transformation(extent={{-136,-260},{-108,-232}})));
    TIL.GasComponents.Fans.SimpleFan LT_evaporator_fan(use_volumeFlowRateInput=
          true)
      annotation (Placement(transformation(extent={{-86,-294},{-70,-278}})));
    TIL.GasComponents.Volumes.Volume LT_Cabinet(volume=30, TInitial=253.15)
      annotation (Placement(transformation(
          extent={{-4,-8},{4,8}},
          rotation=0,
          origin={-156,-306})));
    TIL.OtherComponents.Thermal.HeatBoundary heatBoundary1(
      boundaryType="Q_flow",
      Q_flowFixed(displayUnit="kW") = -3000,
      use_heatFlowRateInput=true) annotation (Placement(transformation(
          extent={{-4,-6},{4,6}},
          rotation=0,
          origin={-204,-288})));
    TIL.GasComponents.Sensors.Sensor_T_degC sensor_T1 annotation (Placement(
          transformation(
          extent={{-4,4},{4,-4}},
          rotation=180,
          origin={-186,-272})));
    TIL.OtherComponents.Controllers.PIController PI_LT_fan(
      controllerType="PI",
      invertFeedback=true,
      yMin=1e-5,
      yInitial=1,
      k=0.1,
      Ti=100,
      yMax=5)
      annotation (Placement(transformation(extent={{-112,-292},{-100,-280}})));
    Modelica.Blocks.Sources.RealExpression MTSetpoint1(y=-20)
      annotation (Placement(transformation(extent={{-140,-296},{-120,-276}})));
    TIL.VLEFluidComponents.Sensors.Sensor_q sensor_q6
      annotation (Placement(transformation(extent={{-208,-234},{-200,-226}})));
    TIL.VLEFluidComponents.Valves.OrificeValve LT_expansion_valve(
        use_effectiveFlowAreaInput=true)
      annotation (Placement(transformation(extent={{-230,-242},{-214,-234}})));
    TIL.VLEFluidComponents.Sensors.Sensor_superheating sensor_superheating1
      annotation (Placement(transformation(extent={{-64,-234},{-56,-226}})));
    Modelica.Blocks.Sources.RealExpression LT_SH_Setpoint1(y=5) annotation (
        Placement(transformation(
          extent={{10,-10},{-10,10}},
          rotation=0,
          origin={-92,-200})));
    TIL.OtherComponents.Controllers.PIController PI_LT_Control_Valve(
      controllerType="PI",
      yMax=1e-3,
      invertFeedback=true,
      k=1e-6,
      yInitial=4e-7,
      yMin=1e-12,
      Ti=1)
      annotation (Placement(transformation(extent={{-110,-206},{-122,-194}})));
    TIL.VLEFluidComponents.Sensors.Sensor_q sensor_q7
      annotation (Placement(transformation(extent={{-298,-228},{-290,-220}})));
    TIL.VLEFluidComponents.Compressors.EffCompressor LT_Compressor(
      use_mechanicalPort=true,
      use_relDisplacementInput=true,
      displacement=7e-6)
      annotation (Placement(transformation(extent={{42,-200},{58,-184}})));
    TIL.VLEFluidComponents.Sensors.Sensor_p sensor_p3
      annotation (Placement(transformation(extent={{84,-232},{92,-224}})));
    TIL.OtherComponents.Controllers.PIController PI_LT_Compressor(
      controllerType="PI",
      invertFeedback=true,
      k=1e-5,
      Ti=100,
      yMax=4,
      yMin=1,
      yInitial=1)
      annotation (Placement(transformation(extent={{106,-212},{94,-200}})));
    Modelica.Blocks.Sources.RealExpression LT_PressureSetPoint(y=15e5)
      annotation (Placement(transformation(extent={{138,-216},{118,-196}})));
    TIL.VLEFluidComponents.JunctionElements.VolumeJunction junction1(
      pressureStateID=2,
      volume=1e-4,
      hInitial=450e3) annotation (Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=90,
          origin={52,4})));
    TIL.VLEFluidComponents.Valves.DirectionalControlValve
      parallelCompressorValve(use_switchingPositionInput=true) annotation (
        Placement(transformation(
          extent={{-8,6},{8,-6}},
          rotation=-90,
          origin={-150,116})));
    Modelica.Blocks.Sources.RealExpression parallelComp_startup(y=0.20)
      annotation (Placement(transformation(
          extent={{-10,-10},{10,10}},
          rotation=0,
          origin={-212,144})));
    TIL.OtherComponents.Controllers.PIController PI_parallelValve(
      controllerType="PI",
      initType="initialOutput",
      invertFeedback=true,
      k=1,
      yInitial=0.5,
      yMax=0.9999,
      yMin=1e-4)
      annotation (Placement(transformation(extent={{-180,138},{-168,150}})));
    TIL.VLEFluidComponents.Sensors.Sensor_m_flow sensor_m_flow(useTimeConstant=
          true, initialSensorValue=0.001)
      annotation (Placement(transformation(extent={{-32,150},{-24,158}})));
    Modelica.Blocks.Sources.RealExpression Duty_FH(y=sensor_H_flow_outFH.sensorValue
           - sensor_H_flow_inFH.sensorValue)
      annotation (Placement(transformation(extent={{544,626},{524,646}})));
    Modelica.Blocks.Sources.RealExpression Duty_DHW(y=sensor_H_flow_DHWout.sensorValue
           - sensor_H_flow_DHWin.sensorValue)
      annotation (Placement(transformation(extent={{578,626},{558,646}})));
    TIL.LiquidComponents.Sensors.Sensor_H_flow sensor_H_flow_DHWin
      annotation (Placement(transformation(extent={{-330,290},{-322,298}})));
    TIL.LiquidComponents.Sensors.Sensor_H_flow sensor_H_flow_DHWout
      annotation (Placement(transformation(extent={{-32,240},{-24,248}})));
    Modelica.Blocks.Sources.RealExpression Net_duty_total_supermarket(y=
          Net_duty_FH_Supermarket.y + Net_duty_DHW_Supermarket.y)
      annotation (Placement(transformation(extent={{712,604},{692,624}})));
    TIL.OtherComponents.Mechanical.RotatoryBoundary rotatoryBoundary(use_nInput
        =false, nFixed=50)
      annotation (Placement(transformation(extent={{92,152},{84,172}})));
    TIL.OtherComponents.Mechanical.RotatoryBoundary rotatoryBoundary1(
        use_nInput=false, nFixed=50)
      annotation (Placement(transformation(extent={{82,-202},{74,-182}})));
    Modelica.Blocks.Sources.RealExpression Supermarket_compressor_power(y=
          MT_Compressor.shaftPower + LT_Compressor.shaftPower +
          parallelCompressor.shaftPower)
      annotation (Placement(transformation(extent={{544,602},{524,622}})));
    Modelica.Blocks.Sources.RealExpression COP_heating(y=(
          Net_duty_FH_Supermarket.y + Net_duty_DHW_Supermarket.y)/
          Supermarket_compressor_power.y)
      annotation (Placement(transformation(extent={{750,604},{730,624}})));
    TIL.VLEFluidComponents.Sensors.Sensor_q sensor_q2
      annotation (Placement(transformation(extent={{64,82},{72,90}})));
    TIL.VLEFluidComponents.Sensors.Sensor_H_flow sensor_H_flow_MTin
      annotation (Placement(transformation(extent={{-182,0},{-174,8}})));
    TIL.VLEFluidComponents.Sensors.Sensor_H_flow sensor_H_flow_MTout
      annotation (Placement(transformation(extent={{-102,0},{-94,8}})));
    Modelica.Blocks.Sources.RealExpression MT_refrigeration_duty(y=(
          sensor_H_flow_MTout.sensorValue - sensor_H_flow_MTin.sensorValue) + (
          sensor_H_flow_MTout1.sensorValue - sensor_H_flow_MTin1.sensorValue))
      annotation (Placement(transformation(extent={{580,602},{560,622}})));
    Modelica.Blocks.Sources.RealExpression LT_refrigeration_duty(y=
          sensor_H_flow_LTout.sensorValue - sensor_H_flow_LTin.sensorValue)
      annotation (Placement(transformation(extent={{544,584},{524,604}})));
    TIL.VLEFluidComponents.Sensors.Sensor_H_flow sensor_H_flow_LTin
      annotation (Placement(transformation(extent={{-158,-242},{-150,-234}})));
    TIL.VLEFluidComponents.Sensors.Sensor_H_flow sensor_H_flow_LTout
      annotation (Placement(transformation(extent={{-96,-242},{-88,-234}})));
    Modelica.Blocks.Sources.RealExpression COP_refrigeration(y=(
          MT_refrigeration_duty.y + LT_refrigeration_duty.y)/
          Supermarket_compressor_power.y)
      annotation (Placement(transformation(extent={{750,584},{730,604}})));
    TIL.VLEFluidComponents.Sensors.Sensor_q sensor_q8
      annotation (Placement(transformation(extent={{-244,98},{-236,106}})));
    TIL.VLEFluidComponents.Compressors.EffCompressor parallelCompressor(
        use_mechanicalPort=true, displacement=1e-6)
      annotation (Placement(transformation(extent={{16,162},{0,178}})));
    TIL.OtherComponents.Controllers.PIController PI_parallelCompressor(
      controllerType="PI",
      initType="initialOutput",
      invertFeedback=true,
      k=1,
      yMax=100,
      yInitial=20,
      use_activeInput=false,
      yMin=1e-4)
      annotation (Placement(transformation(extent={{-56,170},{-44,182}})));
    Modelica.Blocks.Sources.RealExpression parallelSetpoint(y=40e5) annotation
      (Placement(transformation(
          extent={{-10,-10},{10,10}},
          rotation=0,
          origin={-74,176})));
    TIL.VLEFluidComponents.Sensors.Sensor_p sensor_p4(initialSensorValue=
          3900000, useTimeConstant=false)
      annotation (Placement(transformation(extent={{-74,158},{-66,166}})));
    TIL.VLEFluidComponents.JunctionElements.VolumeJunction highPressureJuntion(
      pressureStateID=1,
      volume=1e-4,
      hInitial=520e3) annotation (Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=90,
          origin={52,184})));
    TIL.OtherComponents.Mechanical.RotatoryBoundary rotatoryBoundary2(
        use_nInput=true)
      annotation (Placement(transformation(extent={{-18,160},{-10,180}})));
    TIL.VLEFluidComponents.Sensors.Sensor_m_flow sensor_m_flow1(useTimeConstant
        =true, initialSensorValue=0.001)
      annotation (Placement(transformation(extent={{-138,92},{-130,100}})));
    TIL.GasComponents.Sensors.Sensor_T_degC sensor_T_degC3
      annotation (Placement(transformation(extent={{-142,-308},{-134,-300}})));
    TIL.GasComponents.Sensors.Sensor_T_degC sensor_T_degC9
      annotation (Placement(transformation(extent={{-142,-64},{-134,-56}})));
    inner TIL.SystemInformationManager sim(
      redeclare TILMedia.VLEFluidTypes.TILMedia_CO2 vleFluidType1,
      redeclare TILMedia.GasTypes.TILMedia_MoistAir gasType1,
      redeclare TILMedia.LiquidTypes.TILMedia_Water liquidType1,
      redeclare TILMedia.LiquidTypes.TILMedia_Propylenglykol_30 liquidType2,
      redeclare Simulation_models.Refprop_Propane vleFluidType2)
      annotation (Placement(transformation(extent={{724,502},{744,522}})));
    TIL.LiquidComponents.Tubes.Tube DHW_tank_middle(
      redeclare model TubeSideHeatTransferModel =
          TIL.LiquidComponents.Tubes.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=0),
      redeclare model PressureDropModel =
          TIL.LiquidComponents.Tubes.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      nCells=20,
      tubeGeometry(
        nParallelTubes=1,
        innerDiameter=1,
        length=4.075),
      TInitialLiquid=333.15) annotation (Placement(transformation(
          extent={{-16,-4},{16,4}},
          rotation=90,
          origin={-14,482})));

    TIL.LiquidComponents.Tubes.Tube DHW_tank_top(
      redeclare model TubeSideHeatTransferModel =
          TIL.LiquidComponents.Tubes.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=0),
      redeclare model PressureDropModel =
          TIL.LiquidComponents.Tubes.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      nCells=5,
      tubeGeometry(innerDiameter=0.7, length=0.01),
      TInitialLiquid=323.15) annotation (Placement(transformation(
          extent={{-8,-2},{8,2}},
          rotation=90,
          origin={-14,540})));

    TIL.LiquidComponents.JunctionElements.VolumeJunction junction7 annotation (
        Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=90,
          origin={-14,510})));
    TIL.LiquidComponents.Boundaries.Boundary cityWaterInlet(boundaryType="p",
        TFixed=278.15)
      annotation (Placement(transformation(extent={{2,424},{10,444}})));
    TIL.LiquidComponents.Boundaries.Boundary DHW_Consumer_port(m_flowFixed=0.1,
        use_massFlowRateInput=true)
      annotation (Placement(transformation(extent={{50,544},{42,564}})));
    TIL.LiquidComponents.Sensors.Sensor_H_flow sensor_H_flow
      annotation (Placement(transformation(extent={{-8,550},{0,558}})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC DHW_Consumer_temp
      annotation (Placement(transformation(extent={{30,556},{38,564}})));
    TIL.LiquidComponents.Sensors.Sensor_m_flow sensor_m_flow2
      annotation (Placement(transformation(extent={{12,550},{20,558}})));
    TIL.LiquidComponents.Sensors.Sensor_m_flow sensor_m_flow3
      annotation (Placement(transformation(extent={{-48,506},{-40,514}})));
    TIL.LiquidComponents.JunctionElements.VolumeJunction junction8 annotation (
        Placement(transformation(
          extent={{-4,4},{4,-4}},
          rotation=90,
          origin={-14,454})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC sensor_T_degC16
      annotation (Placement(transformation(extent={{14,462},{22,470}})));
    TIL.LiquidComponents.Sensors.Sensor_m_flow sensor_m_flow5 annotation (
        Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=90,
          origin={-14,444})));
    TIL.LiquidComponents.Sensors.Sensor_m_flow sensor_m_flow6 annotation (
        Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=90,
          origin={-14,522})));
    TIL.HeatExchangers.FinAndTube.MoistAirLiquid.ParallelFlowHX DryCooler_DHW(
      initLiquid="constantTemperature",
      nCells=2,
      redeclare model FinSideHeatTransferModel =
          TIL.HeatExchangers.FinAndTube.TransportPhenomena.FinSideHeatTransfer.ConstantAlpha
          (constantAlpha=150),
      redeclare model TubeSideHeatTransferModel =
          TIL.HeatExchangers.FinAndTube.TransportPhenomena.TubeSideHeatTransfer.ConstantAlpha
          (constantAlpha=600),
      redeclare model WallMaterial = TILMedia.SolidTypes.TILMedia_Copper,
      redeclare TIL.HeatExchangers.FinAndTube.Geometry.KKI001 hxGeometry(
          nSerialTubes=30, nParallelTubes=10),
      TInitialLiquid=288.15)
      annotation (Placement(transformation(extent={{-250,454},{-222,426}})));
    TIL.GasComponents.Boundaries.Boundary boundary1(boundaryType="p")
      annotation (Placement(transformation(
          extent={{-4,-10},{4,10}},
          rotation=90,
          origin={-206,474})));
    TIL.GasComponents.Boundaries.Boundary boundary4(
      m_flowFixed=1,
      boundaryType="p",
      use_temperatureInput=true,
      TFixed=278.15) annotation (Placement(transformation(
          extent={{-4,-10},{4,10}},
          rotation=-90,
          origin={-288,476})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC Temperature_after_drycooler
      annotation (Placement(transformation(extent={{-340,442},{-332,450}})));
    TIL.GasComponents.Fans.SimpleFan simpleFan(use_volumeFlowRateInput=true,
        eta=0.4) annotation (Placement(transformation(
          extent={{-8,-8},{8,8}},
          rotation=-90,
          origin={-268,448})));
    TIL.OtherComponents.Controllers.PIController PI_Drycooler_DHW(
      controllerType="PI",
      initType="initialOutput",
      use_activeInput=false,
      use_y_notActive=false,
      invertFeedback=true,
      Ti=10,
      yInitial=1,
      k=1,
      yMax=2,
      yMin=1e-5)
      annotation (Placement(transformation(extent={{-318,498},{-306,510}})));
    TIL.LiquidComponents.Tubes.Tube SpaceHeating_tank(
      redeclare model TubeSideHeatTransferModel =
          TIL.LiquidComponents.Tubes.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=0),
      redeclare model PressureDropModel =
          TIL.LiquidComponents.Tubes.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      nCells=10,
      tubeGeometry(
        nParallelTubes=1,
        innerDiameter=1,
        length=6.366),
      TInitialLiquid=306.15) annotation (Placement(transformation(
          extent={{16,-4},{-16,4}},
          rotation=90,
          origin={250,322})));

    TIL.LiquidComponents.JunctionElements.VolumeJunction junction10 annotation
      (Placement(transformation(
          extent={{-4,4},{4,-4}},
          rotation=-90,
          origin={250,380})));
    TIL.LiquidComponents.JunctionElements.VolumeJunction junction11 annotation
      (Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=90,
          origin={250,284})));
    TIL.LiquidComponents.Boundaries.Boundary boundary5(boundaryType="m_flow",
        use_massFlowRateInput=true)
      annotation (Placement(transformation(extent={{542,438},{534,458}})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC sensor_T_degC15
      annotation (Placement(transformation(extent={{456,454},{464,462}})));
    TIL.LiquidComponents.Sensors.Sensor_m_flow sensor_m_flow7 annotation (
        Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=90,
          origin={250,296})));
    TIL.LiquidComponents.Sensors.Sensor_m_flow sensor_m_flow8 annotation (
        Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=90,
          origin={250,346})));
    TIL.LiquidComponents.Tubes.Tube SpaceHeating_tank_top(
      redeclare model TubeSideHeatTransferModel =
          TIL.LiquidComponents.Tubes.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=0),
      redeclare model PressureDropModel =
          TIL.LiquidComponents.Tubes.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      nCells=10,
      tubeGeometry(
        nParallelTubes=1,
        innerDiameter=0.5,
        length=0.5),
      TInitialLiquid=306.15) annotation (Placement(transformation(
          extent={{16,-4},{-16,4}},
          rotation=90,
          origin={450,426})));

    TIL.LiquidComponents.Sensors.Sensor_m_flow sensor_m_flow9 annotation (
        Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=0,
          origin={418,410})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC SpaceHeating_tank_bottomTemp
      annotation (Placement(transformation(extent={{274,304},{282,312}})));
    TIL.LiquidComponents.Pumps.SimplePump simplePump2(
      presetVariableType="m_flow",
      use_massFlowRateInput=true,
      use_volumeFlowRateInput=false) annotation (Placement(transformation(
          extent={{8,-8},{-8,8}},
          rotation=270,
          origin={114,380})));
    Modelica.Blocks.Sources.RealExpression floorHeatingSetpoint1(y=33)
      annotation (Placement(transformation(extent={{70,302},{90,322}})));
    TIL.OtherComponents.Controllers.PIController PI_FH_pump1(
      controllerType="PI",
      invertFeedback=true,
      Ti=0.01,
      k=1e-2,
      yMax=5,
      yInitial=3,
      yMin=0.01) annotation (Placement(transformation(
          extent={{-6,6},{6,-6}},
          rotation=90,
          origin={110,332})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC sensor_T_degC10
      annotation (Placement(transformation(extent={{50,384},{58,392}})));
    TIL.LiquidComponents.Boundaries.Boundary boundary(boundaryType="p", TFixed=
          301.15)
      annotation (Placement(transformation(extent={{286,260},{294,280}})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC sensor_T_degC4
      annotation (Placement(transformation(extent={{-144,360},{-136,368}})));
    TIL.LiquidComponents.JunctionElements.VolumeJunction junction2 annotation (
        Placement(transformation(
          extent={{-4,4},{4,-4}},
          rotation=0,
          origin={216,284})));
    TIL.LiquidComponents.JunctionElements.VolumeJunction junction3 annotation (
        Placement(transformation(
          extent={{-4,4},{4,-4}},
          rotation=90,
          origin={250,360})));

    TIL.VLEFluidComponents.Sensors.Sensor_q sensor_q9(vleFluidType=sim.vleFluidType2)
      annotation (Placement(transformation(extent={{452,212},{460,220}})));
    TIL.VLEFluidComponents.Sensors.Sensor_q condenser_outlet_quality(
        vleFluidType=sim.vleFluidType2)
      annotation (Placement(transformation(extent={{280,214},{288,222}})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC sensor_T_degC5
      annotation (Placement(transformation(extent={{446,254},{454,262}})));
    TIL.HeatExchangers.Plate.VLEFluidLiquid.ParallelFlowHX R290_Condenser(
      vleFluidType_a=sim.vleFluidType2,
      pressureStateID=7,
      redeclare model PressureDropModel_a =
          TIL.HeatExchangers.Plate.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      redeclare model PressureDropModel_b =
          TIL.HeatExchangers.Plate.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      hInitialVLEFluid_a=600e3,
      redeclare TIL.HeatExchangers.Plate.Geometry.Example hxGeometry(
        numberOfPlates=100,
        length=0.5,
        width=0.2),
      initVLEFluid_a="linearEnthalpyDistribution",
      hInitialVLEFluid_a_CellN=290e3,
      hInitialVLEFluid_a_Cell1=640e3,
      nCells=3,
      redeclare model HeatTransferModel_a =
          TIL.HeatExchangers.Plate.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=2500),
      redeclare model HeatTransferModel_b =
          TIL.HeatExchangers.Plate.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=1000),
      TInitialLiquid_b=301.15,
      pStart_a=1300000)
      annotation (Placement(transformation(extent={{386,230},{358,258}})));

    TIL.VLEFluidComponents.PressureStateElements.PressureState pressureState7(
      vleFluidType=sim.vleFluidType2,
      pressureStateID=7,
      pInitial=1350000)
      annotation (Placement(transformation(extent={{404,200},{416,212}})));
    TIL.VLEFluidComponents.Sensors.Sensor_p sensor_p5(vleFluidType=sim.vleFluidType2)
      annotation (Placement(transformation(extent={{428,212},{436,220}})));
    TIL.LiquidComponents.Pumps.SimplePump R290_WaterPump(presetVariableType=
          "m_flow", use_massFlowRateInput=true) annotation (Placement(
          transformation(
          extent={{-8,-8},{8,8}},
          rotation=-90,
          origin={420,252})));
    TIL.OtherComponents.Controllers.PIController PI_R290_WaterPump(
      controllerType="PI",
      yInitial=0.5,
      use_activeInput=true,
      use_y_notActive=true,
      invertFeedback=true,
      yMin=1e-6,
      yMax=5,
      Ti=10,
      k=1) annotation (Placement(transformation(extent={{438,292},{426,304}})));
    Modelica.Blocks.Sources.RealExpression FH_setpoint_HP(y=33)
      annotation (Placement(transformation(extent={{478,306},{458,326}})));
    TIL.LiquidComponents.Sensors.Sensor_H_flow H_flow_W_inlet
      annotation (Placement(transformation(extent={{328,248},{336,256}})));
    TIL.LiquidComponents.Sensors.Sensor_H_flow H_flow_W_outlet
      annotation (Placement(transformation(extent={{394,248},{402,256}})));
    TIL.VLEFluidComponents.Sensors.Sensor_m_flow sensor_m_flow10(vleFluidType=
          sim.vleFluidType2)
      annotation (Placement(transformation(extent={{448,142},{456,150}})));
    TIL.VLEFluidComponents.PressureStateElements.PressureState pressureState9(
      vleFluidType=sim.vleFluidType2,
      pressureStateID=8,
      pInitial=340000)
      annotation (Placement(transformation(extent={{362,140},{374,152}})));
    TIL.HeatExchangers.Plate.VLEFluidLiquid.ParallelFlowHX R290_Evaporator(
      vleFluidType_a=sim.vleFluidType2,
      redeclare model PressureDropModel_a =
          TIL.HeatExchangers.Plate.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      redeclare model PressureDropModel_b =
          TIL.HeatExchangers.Plate.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      initVLEFluid_a="constantEnthalpy",
      hInitialVLEFluid_a=600e3,
      redeclare TIL.HeatExchangers.Plate.Geometry.Example hxGeometry(
        numberOfPlates=100,
        length=0.5,
        width=0.2),
      pressureStateID=8,
      nCells=3,
      redeclare model HeatTransferModel_a =
          TIL.HeatExchangers.Plate.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=2500),
      redeclare model HeatTransferModel_b =
          TIL.HeatExchangers.Plate.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=1000),
      TInitialLiquid_b=301.15,
      pStart_a=1300000)
      annotation (Placement(transformation(extent={{314,152},{342,124}})));

    TIL.VLEFluidComponents.Sensors.Sensor_superheating sensor_superheating2(
        vleFluidType=sim.vleFluidType2)
      annotation (Placement(transformation(extent={{348,152},{356,160}})));
    TIL.VLEFluidComponents.Valves.OrificeValve R290_Expvalve(vleFluidType=sim.vleFluidType2,
        use_effectiveFlowAreaInput=true) annotation (Placement(transformation(
          extent={{-8,-4},{8,4}},
          rotation=-90,
          origin={270,188})));
    TIL.OtherComponents.Controllers.PIController PI_R290_ExpValve(
      controllerType="PI",
      initType="initialOutput",
      invertFeedback=true,
      yMax=1e-2,
      yInitial=1e-5,
      Ti=5,
      yMin=1e-10,
      use_activeInput=true,
      use_y_notActive=true,
      k=1e-6)
      annotation (Placement(transformation(extent={{296,182},{284,194}})));
    Modelica.Blocks.Sources.RealExpression Superheat_setpoint(y=5)
      annotation (Placement(transformation(extent={{338,180},{318,200}})));
    TIL.LiquidComponents.Boundaries.Boundary boundary2(
      m_flowFixed=0.5,
      boundaryType="p",
      TFixed=283.15)
      annotation (Placement(transformation(extent={{262,98},{270,118}})));
    TIL.LiquidComponents.Boundaries.Boundary boundary3(
      boundaryType="m_flow",
      m_flowFixed=-2,
      TFixed=278.15)
      annotation (Placement(transformation(extent={{388,96},{380,116}})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC sensor_T_degC11
      annotation (Placement(transformation(extent={{274,112},{282,120}})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC sensor_T_degC12
      annotation (Placement(transformation(extent={{370,110},{378,118}})));
    TIL.VLEFluidComponents.Sensors.Sensor_p sensor_p6(vleFluidType=sim.vleFluidType2)
      annotation (Placement(transformation(extent={{406,152},{414,160}})));
    TIL.VLEFluidComponents.Compressors.EffCompressor R290_Compressor(
      vleFluidType=sim.vleFluidType2,
      use_mechanicalPort=true,
      use_relDisplacementInput=true,
      displacement=1e-4)
      annotation (Placement(transformation(extent={{458,172},{474,188}})));
    TIL.VLEFluidComponents.Sensors.Sensor_T_degC sensor_T_degC13(vleFluidType=
          sim.vleFluidType2)
      annotation (Placement(transformation(extent={{250,154},{258,162}})));
    TIL.OtherComponents.Mechanical.RotatoryBoundary rotatoryBoundary3(
        use_nInput=true)
      annotation (Placement(transformation(extent={{526,170},{518,190}})));
    Modelica.Blocks.Sources.RealExpression R290_HP_duty(y=H_flow_W_outlet.sensorValue
           - H_flow_W_inlet.sensorValue)
      annotation (Placement(transformation(extent={{544,534},{524,554}})));
    Modelica.Blocks.Sources.RealExpression COP_R290_HP(y=R290_HP_duty.y/
          R290_Compressor.summary.P_shaft)
      annotation (Placement(transformation(extent={{708,548},{688,568}})));
    Modelica.Blocks.Logical.Hysteresis hysteresis(uHigh=33, uLow=28.1)
      annotation (Placement(transformation(extent={{650,170},{630,190}})));
    Modelica.Blocks.Logical.Not not1
      annotation (Placement(transformation(extent={{614,174},{602,186}})));
    Modelica.Blocks.Sources.RealExpression On_off_trigger_HP(y=
          SpaceHeating_tank.summary.arrays.T_degC_liq_cell[10])
      annotation (Placement(transformation(extent={{730,178},{710,198}})));
    TIL.VLEFluidComponents.Sensors.Sensor_q sensor_q10(vleFluidType=sim.vleFluidType2)
      annotation (Placement(transformation(extent={{430,152},{438,160}})));
    Modelica.Blocks.Sources.BooleanExpression booleanExpression1(y=not1.y)
      annotation (Placement(transformation(extent={{502,292},{482,312}})));
    Modelica.Blocks.Sources.RealExpression Pump_off_value(y=1e-8)
      annotation (Placement(transformation(extent={{382,304},{402,324}})));
    Modelica.Blocks.Logical.Switch switch1
      annotation (Placement(transformation(extent={{686,170},{666,190}})));
    Modelica.Blocks.Sources.RealExpression On_off_trigger_HP1(y=
          SpaceHeating_tank.summary.arrays.T_degC_liq_cell[9])
      annotation (Placement(transformation(extent={{730,162},{710,182}})));
    Modelica.Blocks.Sources.RealExpression Valve_not_active(y=5e-6)
      annotation (Placement(transformation(extent={{334,198},{314,218}})));
    Modelica.Blocks.Sources.BooleanExpression booleanExpression(y=not1.y)
      annotation (Placement(transformation(extent={{334,162},{314,182}})));
    TIL.VLEFluidComponents.JunctionElements.VolumeJunction junction4(
      volume=1e-4,
      pressureStateID=3,
      hInitial=213e3) annotation (Placement(transformation(
          extent={{4,4},{-4,-4}},
          rotation=90,
          origin={-310,4})));
    TIL.VLEFluidComponents.JunctionElements.VolumeJunction junction5(
      volume=1e-4,
      pressureStateID=3,
      hInitial=213e3) annotation (Placement(transformation(
          extent={{4,4},{-4,-4}},
          rotation=90,
          origin={-310,-116})));
    TIL.HeatExchangers.FinAndTube.GasVLEFluid.ParallelFlowHX MT_Evaporator1(
      pressureStateID=2,
      fixedPressureDropInitialVLEFluid=false,
      fixedTInitialWall=false,
      gasCellFlowType="flow B-A",
      nCells=2,
      initVLEFluid="linearEnthalpyDistribution",
      hInitialVLEFluid_Cell1=213e3,
      hInitialVLEFluid_CellN=440e3,
      redeclare model FinSideHeatTransferModel =
          TIL.HeatExchangers.FinAndTube.TransportPhenomena.FinSideHeatTransfer.ConstantAlpha
          (constantAlpha=150),
      redeclare model WallMaterial = TILMedia.SolidTypes.TILMedia_Copper,
      redeclare model TubeSideHeatTransferModel =
          TIL.HeatExchangers.FinAndTube.TransportPhenomena.TubeSideHeatTransfer.ConstantAlpha
          (constantAlpha=2500),
      redeclare TIL.HeatExchangers.FinAndTube.Geometry.KKI001 hxGeometry(
        finnedTubeLength=1,
        nSerialTubes=10,
        nParallelTubes=15),
      TInitialWall=278.15)
      annotation (Placement(transformation(extent={{-142,-136},{-114,-108}})));
    TIL.GasComponents.Fans.SimpleFan MT_evaporator_fan1(use_volumeFlowRateInput
        =true)
      annotation (Placement(transformation(extent={{-56,-170},{-40,-154}})));
    TIL.GasComponents.Volumes.Volume volume1(volume=25, TInitial=275.15)
      annotation (Placement(transformation(
          extent={{-4,-8},{4,8}},
          rotation=0,
          origin={-158,-182})));
    TIL.OtherComponents.Thermal.HeatBoundary heatBoundary2(
      boundaryType="Q_flow",
      Q_flowFixed(displayUnit="kW") = -12000,
      use_heatFlowRateInput=true) annotation (Placement(transformation(
          extent={{-4,-6},{4,6}},
          rotation=0,
          origin={-200,-170})));
    TIL.GasComponents.Sensors.Sensor_T_degC sensor_T2 annotation (Placement(
          transformation(
          extent={{-4,4},{4,-4}},
          rotation=180,
          origin={-186,-144})));
    TIL.OtherComponents.Controllers.PIController PI_MT_Fan1(
      controllerType="PI",
      invertFeedback=true,
      yInitial=1,
      yMin=1e-5,
      Ti=100,
      yMax=10,
      k=1)
      annotation (Placement(transformation(extent={{-82,-168},{-70,-156}})));
    Modelica.Blocks.Sources.RealExpression MTSetpoint2(y=2)
      annotation (Placement(transformation(extent={{-116,-172},{-96,-152}})));
    TIL.VLEFluidComponents.Sensors.Sensor_q sensor_q11
      annotation (Placement(transformation(extent={{-50,-112},{-42,-104}})));
    TIL.VLEFluidComponents.Sensors.Sensor_q sensor_q12
      annotation (Placement(transformation(extent={{-218,-112},{-210,-104}})));
    TIL.VLEFluidComponents.Valves.OrificeValve MT_expansion_valve1(
        use_effectiveFlowAreaInput=true)
      annotation (Placement(transformation(extent={{-244,-120},{-228,-112}})));
    TIL.VLEFluidComponents.Sensors.Sensor_superheating sensor_superheating3
      annotation (Placement(transformation(extent={{-72,-110},{-64,-102}})));
    Modelica.Blocks.Sources.RealExpression MT_SH_Setpoint1(y=5) annotation (
        Placement(transformation(
          extent={{10,-10},{-10,10}},
          rotation=0,
          origin={-90,-92})));
    TIL.OtherComponents.Controllers.PIController PI_MT_Control_Valve1(
      controllerType="PI",
      yMax=1e-3,
      invertFeedback=true,
      k=1e-6,
      yInitial=1e-6,
      yMin=1e-12,
      Ti=100)
      annotation (Placement(transformation(extent={{-112,-98},{-124,-86}})));
    TIL.VLEFluidComponents.Sensors.Sensor_H_flow sensor_H_flow_MTin1
      annotation (Placement(transformation(extent={{-174,-120},{-166,-112}})));
    TIL.VLEFluidComponents.Sensors.Sensor_H_flow sensor_H_flow_MTout1
      annotation (Placement(transformation(extent={{-94,-120},{-86,-112}})));
    TIL.GasComponents.Sensors.Sensor_T_degC sensor_T_degC14
      annotation (Placement(transformation(extent={{-134,-184},{-126,-176}})));
    TIL.VLEFluidComponents.Sensors.Sensor_q sensor_q13
      annotation (Placement(transformation(extent={{-284,-114},{-276,-106}})));
    TIL.VLEFluidComponents.JunctionElements.VolumeJunction junction6(
      pressureStateID=2,
      volume=1e-4,
      hInitial=450e3) annotation (Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=90,
          origin={50,-116})));
    TILFileReader.FileReader Spaceheating_spring(fileType=TILFileReader.Internals.FileTypes.CSVFile,
        fileName="C:/spring_demand.csv")
      annotation (Placement(transformation(extent={{566,470},{586,490}})));
    TILFileReader.Variables.RealVariableName SH_demand(interpolationMethod=
          TILFileReader.Internals.InterpolationMethods.NoInterpolation,
        variableName="Massflow")
      annotation (Placement(transformation(extent={{578,438},{558,458}})));
    TILFileReader.FileReader Spaceheating_reader1(fileType=TILFileReader.Internals.FileTypes.CSVFile,
        fileName="C:/Refrigeration_loads.csv")
      annotation (Placement(transformation(extent={{-366,-122},{-346,-102}})));
    TILFileReader.Variables.RealVariableName MT_duty_output(
      interpolationMethod=TILFileReader.Internals.InterpolationMethods.NoInterpolation,

      variableName="MT_duty",
      factor=0.5)
      annotation (Placement(transformation(extent={{-350,-182},{-330,-162}})));

    TILFileReader.Variables.RealVariableName LT_duty_output(
      interpolationMethod=TILFileReader.Internals.InterpolationMethods.NoInterpolation,

      variableName="LT_duty",
      factor=1)
      annotation (Placement(transformation(extent={{-370,-300},{-350,-280}})));

    TILFileReader.FileReader fileReader(fileName="C:/DHW_demand.csv",
        decimalSeparator=TILFileReader.Internals.DecimalSeparators.ColonSeparator)
      annotation (Placement(transformation(extent={{92,598},{112,618}})));
    TILFileReader.Variables.RealVariableName DHW_demand(variableName="Massflow")
      annotation (Placement(transformation(extent={{104,546},{84,566}})));
    TIL.LiquidComponents.Sensors.Sensor_H_flow H_flow_SH_out
      annotation (Placement(transformation(extent={{490,444},{498,452}})));
    TIL.LiquidComponents.Sensors.Sensor_H_flow H_flow_SH_in
      annotation (Placement(transformation(extent={{278,266},{270,274}})));
    Modelica.Blocks.Sources.RealExpression Actual_Delivered_duty_SpaceHeating(y
        =H_flow_SH_out.sensorValue - H_flow_SH_in.sensorValue)
      annotation (Placement(transformation(extent={{544,558},{524,578}})));
    TIL.HeatExchangers.FinAndTube.MoistAirLiquid.ParallelFlowHX DryCooler_FH(
      initLiquid="constantTemperature",
      nCells=2,
      redeclare model FinSideHeatTransferModel =
          TIL.HeatExchangers.FinAndTube.TransportPhenomena.FinSideHeatTransfer.ConstantAlpha
          (constantAlpha=150),
      redeclare TIL.HeatExchangers.FinAndTube.Geometry.KKI001 hxGeometry(
          nSerialTubes=20),
      redeclare model TubeSideHeatTransferModel =
          TIL.HeatExchangers.FinAndTube.TransportPhenomena.TubeSideHeatTransfer.ConstantAlpha
          (constantAlpha=600),
      redeclare model WallMaterial = TILMedia.SolidTypes.TILMedia_Copper,
      TInitialLiquid=288.15)
      annotation (Placement(transformation(extent={{-198,374},{-170,346}})));
    TIL.GasComponents.Fans.SimpleFan simpleFan1(use_volumeFlowRateInput=true,
        eta=0.4) annotation (Placement(transformation(
          extent={{-8,-8},{8,8}},
          rotation=-90,
          origin={-236,368})));
    TIL.GasComponents.Boundaries.Boundary boundary6(
      m_flowFixed=1,
      boundaryType="p",
      use_temperatureInput=true,
      TFixed=278.15) annotation (Placement(transformation(
          extent={{-4,-10},{4,10}},
          rotation=0,
          origin={-280,368})));
    TIL.GasComponents.Boundaries.Boundary boundary7(
      m_flowFixed=1,
      boundaryType="p",
      use_temperatureInput=false,
      TFixed=283.15) annotation (Placement(transformation(
          extent={{-4,-10},{4,10}},
          rotation=-90,
          origin={-152,404})));
    TIL.OtherComponents.Controllers.PIController PI_Drycooler_FH(
      controllerType="PI",
      initType="initialOutput",
      use_activeInput=false,
      use_y_notActive=false,
      integralParameterType="Ti",
      invertFeedback=true,
      Ti=10,
      k=1,
      yMin=1e-5,
      yInitial=1,
      yMax=2)
      annotation (Placement(transformation(extent={{-266,386},{-254,398}})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC sensor_T_degC17
      annotation (Placement(transformation(extent={{-238,328},{-230,336}})));
    Modelica.Blocks.Sources.RealExpression ReturnTempSetpoint1(y=28)
      annotation (Placement(transformation(extent={{-302,382},{-282,402}})));
    TIL.GasComponents.Sensors.Sensor_T_degC sensor_T_degC18
      annotation (Placement(transformation(extent={{-180,384},{-172,392}})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC Temperature_after_drycooler1
      annotation (Placement(transformation(extent={{-192,486},{-184,494}})));
    TIL.GasComponents.Sensors.Sensor_T_degC sensor_T_degC19
      annotation (Placement(transformation(extent={{-232,466},{-224,474}})));
    Modelica.Blocks.Sources.RealExpression ReturnTempSetpoint3(y=5)
      annotation (Placement(transformation(extent={{-422,494},{-402,514}})));
    Modelica.Blocks.Sources.RealExpression SpaceHeatingTank_Setpoint(y=33)
      annotation (Placement(transformation(extent={{584,116},{564,136}})));
    Modelica.Blocks.Sources.RealExpression SpaceHeatingTank_TopLayerTemp(y=
          SpaceHeating_tank.summary.arrays.T_degC_liq_cell[1])
      annotation (Placement(transformation(extent={{584,92},{564,112}})));
    Modelica.Blocks.Logical.Switch switch2
      annotation (Placement(transformation(extent={{572,190},{552,170}})));
    Modelica.Blocks.Sources.RealExpression On_frequenze(y=50)
      annotation (Placement(transformation(extent={{622,134},{602,154}})));
    Modelica.Blocks.Sources.RealExpression Off_frequenze(y=1)
      annotation (Placement(transformation(extent={{620,196},{600,216}})));
    TIL.VLEFluidComponents.Sensors.Sensor_T_degC LT_dischargeTemp
      annotation (Placement(transformation(extent={{72,-168},{80,-160}})));
    TIL.VLEFluidComponents.Sensors.Sensor_T_degC MT_dischargeTemp
      annotation (Placement(transformation(extent={{70,168},{78,176}})));
    TIL.OtherComponents.Controllers.PIController PI_R290_relDisp(
      controllerType="PI",
      yMin=1,
      yInitial=1,
      k=1,
      Ti=100,
      yMax=2)
      annotation (Placement(transformation(extent={{544,120},{532,132}})));
    TIL.LiquidComponents.Sensors.Sensor_H_flow sensor_H_flow_inFH annotation (
        Placement(transformation(
          extent={{-4,4},{4,-4}},
          rotation=270,
          origin={-180,260})));
    TIL.LiquidComponents.Sensors.Sensor_H_flow sensor_H_flow_outFH annotation (
        Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=90,
          origin={-126,262})));
    Modelica.Blocks.Sources.RealExpression Net_duty_FH_Supermarket(y=Duty_FH.y
           - DryCooler_FH.summary.Q_flow_air)
      annotation (Placement(transformation(extent={{712,626},{692,646}})));
    Modelica.Blocks.Sources.RealExpression Net_duty_DHW_Supermarket(y=Duty_DHW.y
           - DryCooler_DHW.summary.Q_flow_air)
      annotation (Placement(transformation(extent={{750,626},{730,646}})));
    Modelica.Blocks.Sources.RealExpression COP_Supermarket_combined(y=
          COP_refrigeration.y + COP_heating.y)
      annotation (Placement(transformation(extent={{752,562},{732,582}})));
    TILFileReader.FileReader Spaceheating_winter(fileType=TILFileReader.Internals.FileTypes.CSVFile,
        fileName="C:/winter_demand.csv")
      annotation (Placement(transformation(extent={{638,470},{658,490}})));
    TILFileReader.FileReader Spaceheating_fall(fileType=TILFileReader.Internals.FileTypes.CSVFile,
        fileName="C:/fall_demand.csv")
      annotation (Placement(transformation(extent={{616,470},{636,490}})));
    TILFileReader.FileReader Spaceheating_summer(fileType=TILFileReader.Internals.FileTypes.CSVFile,
        fileName="C:/summer_demand.csv")
      annotation (Placement(transformation(extent={{590,470},{610,490}})));
    TILFileReader.Variables.RealVariableName OutsideTemperature(variableName=
          "Tout")
      annotation (Placement(transformation(extent={{594,404},{574,424}})));
    Modelica.Blocks.Sources.RealExpression OutsideTemperatureInput(y=
          OutsideTemperature.value + 273.15)
      annotation (Placement(transformation(extent={{-422,402},{-402,422}})));
    TIL.HeatExchangers.Plate.VLEFluidLiquid.ParallelFlowHX reheatHX(
      pressureStateID=1,
      redeclare model PressureDropModel_a =
          TIL.HeatExchangers.Plate.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      redeclare model PressureDropModel_b =
          TIL.HeatExchangers.Plate.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      redeclare TIL.HeatExchangers.Plate.Geometry.PlateGeometry hxGeometry(
        numberOfPlates=144,
        phi=30,
        wallThickness=0.0009,
        patternAmplitude=0.0006,
        length=0.6,
        width=0.2,
        patternWaveLength=0.12e-3),
      initVLEFluid_a="linearEnthalpyDistribution",
      initLiquid_b="linearTemperatureDistribution",
      nCells=3,
      hInitialVLEFluid_a_Cell1=513e3,
      hInitialVLEFluid_a_CellN=353e3,
      redeclare model HeatTransferModel_a =
          TIL.HeatExchangers.Plate.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=2500),
      redeclare model HeatTransferModel_b =
          TIL.HeatExchangers.Plate.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=1000),
      TInitialVLEFluid_a=358.15,
      TInitialLiquid_b=343.15,
      TInitialLiquid_b_Cell1=343.15,
      TInitialLiquid_b_CellN=301.15)
      annotation (Placement(transformation(extent={{-50,210},{-78,238}})));

    TIL.HeatExchangers.Plate.VLEFluidLiquid.ParallelFlowHX mediumTempHX(
      pressureStateID=1,
      redeclare model PressureDropModel_a =
          TIL.HeatExchangers.Plate.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      redeclare model PressureDropModel_b =
          TIL.HeatExchangers.Plate.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      redeclare TIL.HeatExchangers.Plate.Geometry.PlateGeometry hxGeometry(
        numberOfPlates=144,
        phi=30,
        wallThickness=0.0009,
        patternAmplitude=0.0006,
        length=0.6,
        width=0.2,
        patternWaveLength=0.12e-3),
      initVLEFluid_a="linearEnthalpyDistribution",
      initLiquid_b="linearTemperatureDistribution",
      nCells=3,
      hInitialVLEFluid_a_Cell1=353e3,
      hInitialVLEFluid_a_CellN=270e3,
      redeclare model HeatTransferModel_a =
          TIL.HeatExchangers.Plate.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=2500),
      redeclare model HeatTransferModel_b =
          TIL.HeatExchangers.Plate.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=1000),
      TInitialVLEFluid_a=323.15,
      TInitialLiquid_b=323.15,
      TInitialLiquid_b_Cell1=306.15,
      TInitialLiquid_b_CellN=301.15)
      annotation (Placement(transformation(extent={{-140,210},{-168,238}})));

    TIL.HeatExchangers.Plate.VLEFluidLiquid.ParallelFlowHX preheatHX(
      pressureStateID=1,
      redeclare model PressureDropModel_a =
          TIL.HeatExchangers.Plate.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      redeclare model PressureDropModel_b =
          TIL.HeatExchangers.Plate.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      redeclare TIL.HeatExchangers.Plate.Geometry.PlateGeometry hxGeometry(
        numberOfPlates=144,
        phi=30,
        wallThickness=0.0009,
        patternAmplitude=0.0006,
        length=0.6,
        width=0.2,
        patternWaveLength=0.12e-3),
      initVLEFluid_a="linearEnthalpyDistribution",
      initLiquid_b="linearTemperatureDistribution",
      nCells=3,
      hInitialVLEFluid_a_Cell1=270e3,
      hInitialVLEFluid_a_CellN=213e3,
      redeclare model HeatTransferModel_a =
          TIL.HeatExchangers.Plate.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=2500),
      redeclare model HeatTransferModel_b =
          TIL.HeatExchangers.Plate.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=1000),
      TInitialVLEFluid_a=313.15,
      TInitialLiquid_b=303.15,
      TInitialLiquid_b_Cell1=301.15,
      TInitialLiquid_b_CellN=278.15)
      annotation (Placement(transformation(extent={{-228,210},{-256,238}})));

    TIL.HeatExchangers.FinAndTube.MoistAirLiquid.ParallelFlowHX DryCooler_H2(
      initLiquid="constantTemperature",
      nCells=2,
      redeclare model FinSideHeatTransferModel =
          TIL.HeatExchangers.FinAndTube.TransportPhenomena.FinSideHeatTransfer.ConstantAlpha
          (constantAlpha=150),
      redeclare model WallMaterial = TILMedia.SolidTypes.TILMedia_Copper,
      redeclare model TubeSideHeatTransferModel =
          TIL.HeatExchangers.FinAndTube.TransportPhenomena.TubeSideHeatTransfer.ConstantAlpha
          (constantAlpha=600),
      redeclare TIL.HeatExchangers.FinAndTube.Geometry.KKI001 hxGeometry(
          nSerialTubes=30, nParallelTubes=10),
      TInitialLiquid=288.15)
      annotation (Placement(transformation(extent={{220,558},{192,530}})));
    TIL.GasComponents.Fans.SimpleFan Drycooler_fan_H2(use_volumeFlowRateInput=
          true) annotation (Placement(transformation(
          extent={{-8,8},{8,-8}},
          rotation=-90,
          origin={246,562})));
    TIL.GasComponents.Boundaries.Boundary boundary8(
      m_flowFixed=1,
      boundaryType="p",
      use_temperatureInput=true,
      TFixed=278.15) annotation (Placement(transformation(
          extent={{4,-10},{-4,10}},
          rotation=90,
          origin={268,602})));
    TIL.GasComponents.Boundaries.Boundary boundary9(
      m_flowFixed=1,
      boundaryType="p",
      use_temperatureInput=false,
      TFixed=283.15) annotation (Placement(transformation(
          extent={{-4,-10},{4,10}},
          rotation=0,
          origin={162,552})));
    TIL.OtherComponents.Controllers.PIController PI_Drycooler_H2(
      controllerType="PI",
      initType="initialOutput",
      use_activeInput=false,
      use_y_notActive=false,
      integralParameterType="Ti",
      invertFeedback=true,
      Ti=10,
      k=1,
      yMax=10,
      yMin=1e-5,
      yInitial=1)
      annotation (Placement(transformation(extent={{220,572},{232,584}})));
    Modelica.Blocks.Sources.RealExpression ReturnTempSetpoint2(y=28)
      annotation (Placement(transformation(extent={{194,568},{214,588}})));
    TIL.GasComponents.Sensors.Sensor_T_degC sensor_T_degC20
      annotation (Placement(transformation(extent={{170,562},{178,570}})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC sensor_T_degC21
      annotation (Placement(transformation(extent={{168,520},{176,528}})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC sensor_T_degC22
      annotation (Placement(transformation(extent={{256,540},{264,548}})));
    TIL.HeatExchangers.Plate.LiquidLiquid.ParallelFlowHX
      H2_circuit_HeatExchanger(
      redeclare model PressureDropModel_a =
          TIL.HeatExchangers.Plate.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      redeclare model PressureDropModel_b =
          TIL.HeatExchangers.Plate.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      redeclare TIL.HeatExchangers.Plate.Geometry.Example hxGeometry(
        numberOfPlates=100,
        length=0.5,
        width=0.2),
      liquidType_b=sim.liquidType2,
      redeclare model HeatTransferModel_a =
          TIL.HeatExchangers.Plate.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=1000),
      redeclare model HeatTransferModel_b =
          TIL.HeatExchangers.Plate.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=1000),
      nCells=3)
      annotation (Placement(transformation(extent={{328,530},{356,558}})));

    TIL.OtherComponents.Controllers.PIController PI_H2_WaterPump1(
      controllerType="PI",
      k=0.1,
      yMin=0.01,
      yInitial=0.5,
      yMax=2.5,
      invertFeedback=true,
      Ti=3,
      use_activeInput=false,
      use_y_notActive=false)
      annotation (Placement(transformation(extent={{428,562},{416,574}})));
    Modelica.Blocks.Sources.RealExpression FH_setpoint_HP1(y=33)
      annotation (Placement(transformation(extent={{472,558},{452,578}})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC sensor_T_degC23
      annotation (Placement(transformation(extent={{440,548},{448,556}})));
    TIL.LiquidComponents.Pumps.SimplePump Pump_H2(presetVariableType="m_flow",
        use_massFlowRateInput=true) annotation (Placement(transformation(
          extent={{-8,-8},{8,8}},
          rotation=-90,
          origin={412,536})));
    TIL.LiquidComponents.Boundaries.Boundary boundary10(boundaryType="p",
        liquidType=sim.liquidType2)
      annotation (Placement(transformation(extent={{296,598},{304,618}})));
    TIL.LiquidComponents.Boundaries.Boundary H2_recovery_inlet(
      use_massFlowRateInput=true,
      streamVariablesInputType="T",
      liquidType=sim.liquidType2,
      TFixed=318.15)
      annotation (Placement(transformation(extent={{388,598},{380,618}})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC sensor_T_degC24(liquidType=sim.liquidType2)
      annotation (Placement(transformation(extent={{324,576},{332,584}})));
    Modelica.Blocks.Sources.RealExpression OutsideTemperatureInput1(y=
          OutsideTemperature.value + 273.15)
      annotation (Placement(transformation(extent={{234,602},{254,622}})));
    TIL.LiquidComponents.JunctionElements.VolumeJunction junction9 annotation (
        Placement(transformation(
          extent={{-4,4},{4,-4}},
          rotation=180,
          origin={184,284})));
    TIL.LiquidComponents.JunctionElements.VolumeJunction junction12 annotation
      (Placement(transformation(
          extent={{-4,4},{4,-4}},
          rotation=180,
          origin={378,410})));
    Modelica.Blocks.Sources.RealExpression H2_10_cars(y=-0.100252584)
      annotation (Placement(transformation(extent={{434,636},{414,656}})));
    Modelica.Blocks.Sources.RealExpression H2_4_cars(y=-0.040101034)
      annotation (Placement(transformation(extent={{434,652},{414,672}})));
    Modelica.Blocks.Sources.RealExpression H2_20_cars(y=-0.200505168)
      annotation (Placement(transformation(extent={{434,622},{414,642}})));
    Modelica.Blocks.Sources.RealExpression H2_40_cars(y=-0.401010335)
      annotation (Placement(transformation(extent={{434,590},{414,610}})));
    Modelica.Blocks.Sources.RealExpression H2_30_cars(y=-0.300757752)
      annotation (Placement(transformation(extent={{434,608},{414,628}})));
  equation
    Comp_MT_W = MT_Compressor.shaftPower;
    Comp_MT_relDisp = MT_Compressor.relDisplacement;
    Comp_LT_W = LT_Compressor.shaftPower;
    Comp_LT_relDisp = LT_Compressor.relDisplacement;
    Ref_duty_MT = (MT_Evaporator.summary.Q_flow_vle + MT_Evaporator1.summary.Q_flow_vle);
    Ref_duty_LT = LT_Evaporator.summary.Q_flow_vle;
    Comp_Parallel_W = parallelCompressor.shaftPower;

    Heat_duty_PreH = preheatHX.summary.path_b.Q_flow_liq;
    Heat_duty_ReH = reheatHX.summary.path_b.Q_flow_liq;
    Heat_duty_SpaceH = mediumTempHX.summary.path_b.Q_flow_liq;
    Duty_DryC_DHW = DryCooler_DHW.summary.Q_flow_air;
    Duty_DryC_SH = DryCooler_FH.summary.Q_flow_air;

    COP_ref = (Ref_duty_MT + Ref_duty_LT)/(Comp_MT_W + Comp_LT_W);
    COP_heat_gross = (Heat_duty_PreH + Heat_duty_ReH + Heat_duty_SpaceH)/(
      Comp_MT_W + Comp_LT_W);
    COP_heat_net = (Net_HR_Supermarket_SH + Net_HR_Supermarket_DHW)/(Comp_MT_W
       + Comp_LT_W);

    Net_HR_Supermarket_SH = Heat_duty_SpaceH - Duty_DryC_SH;
    Net_HR_Supermarket_DHW = (Heat_duty_PreH + Heat_duty_ReH) - Duty_DryC_DHW;

    R290_Comp_W = R290_Compressor.shaftPower;
    R290_Comp_n = R290_Compressor.n;
    R290_Heat_duty = R290_Condenser.summary.path_b.Q_flow_liq;
    R290_COP = R290_Heat_duty/R290_Compressor.shaftPower;
    R290_relDisp = R290_Compressor.relDisplacement;

    Delivered_SH = Actual_Delivered_duty_SpaceHeating.y;

    H2_HX = H2_circuit_HeatExchanger.summary.path_a.Q_flow_liq;
    H2_DryC = DryCooler_H2.summary.Q_flow_air;
    H2_net_HR = H2_HX - H2_DryC;

    connect(highPressure_Controller.y, highPressureValve.effectiveFlowArea_in)
      annotation (Line(points={{-306.4,146},{-329,146}}, color={0,0,127}));
    connect(highPressureSetPoint.y, highPressure_Controller.u_s) annotation (
        Line(points={{-277,146},{-284,146},{-294.4,146}}, color={0,0,127}));
    connect(sensor_p.port, highPressureValve.portA) annotation (Line(
        points={{-312,162},{-334,162},{-334,154}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_p.sensorValue, highPressure_Controller.u_m) annotation (Line(
          points={{-312,168.2},{-300,168.2},{-300,151.8}}, color={0,0,127}));
    connect(sensor_T_degC2.port, pressureState.portB) annotation (Line(
        points={{-8,218},{-8,216},{24,216}},
        color={153,204,0},
        thickness=0.5));
    connect(statePoint1.sensorPort, pressureState.portB) annotation (Line(
        points={{8,218},{8,216},{24,216}},
        color={153,204,0},
        thickness=0.5));
    connect(MT_evaporator_fan.portB, MT_Evaporator.portB_gas) annotation (Line(
        points={{-58,-26},{-58,-26},{-58,-12},{-118,-12}},
        color={255,153,0},
        thickness=0.5));
    connect(MT_evaporator_fan.portA, volume.portB) annotation (Line(
        points={{-58,-42},{-58,-42},{-58,-66},{-160,-66}},
        color={255,153,0},
        thickness=0.5));
    connect(MT_Evaporator.portA_gas, volume.portA) annotation (Line(
        points={{-146,-12},{-180,-12},{-180,-36},{-180,-66},{-168,-66}},
        color={255,153,0},
        thickness=0.5));
    connect(heatBoundary.heatPort, volume.heatPort) annotation (Line(
        points={{-214,-50},{-214,-50},{-164,-50},{-164,-56}},
        color={204,0,0},
        thickness=0.5));
    connect(PI_MT_Fan.y, MT_evaporator_fan.V_flow_in) annotation (Line(points={
            {-113.6,-34},{-113.6,-34},{-108,-34},{-68,-34}}, color={0,0,127}));
    connect(MTSetpoint.y, PI_MT_Fan.u_s) annotation (Line(points={{-139,-34},{-139,
            -34},{-125.6,-34}}, color={0,0,127}));
    connect(sensor_q1.port, pressureState2.portB) annotation (Line(
        points={{-222,8},{-222,4},{-206,4}},
        color={153,204,0},
        thickness=0.5));
    connect(highPressure_Controller1.y, highPressureValve1.effectiveFlowArea_in)
      annotation (Line(points={{-70.4,110},{-70.4,110},{-77,110},{-77,101},{-78,
            101}}, color={0,0,127}));
    connect(Receiver_pressureSetpoint.y, highPressure_Controller1.u_s)
      annotation (Line(points={{-49,110},{-54,110},{-58.4,110}}, color={0,0,127}));
    connect(pressureState3.portA, highPressureReceiver.portInlet) annotation (
        Line(
        points={{-320,64},{-316,64},{-316,64.8},{-314.833,64.8}},
        color={153,204,0},
        thickness=0.5));
    connect(highPressureValve.portB, pressureState3.portB) annotation (Line(
        points={{-334,138},{-334,138},{-334,64},{-332,64}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_q3.port, highPressureValve1.portA) annotation (Line(
        points={{-116,100},{-116,96},{-86,96}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_p1.port, highPressureValve1.portA) annotation (Line(
        points={{-102,100},{-102,96},{-86,96}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_p1.sensorValue, highPressure_Controller1.u_m) annotation (
        Line(points={{-102,106.2},{-86,106.2},{-86,122},{-64,122},{-64,115.8}},
          color={0,0,127}));
    connect(MT_expansion_valve.portB, pressureState2.portB) annotation (Line(
        points={{-236,4},{-236,4},{-206,4}},
        color={153,204,0},
        thickness=0.5));
    connect(MT_SH_Setpoint.y, PI_MT_Control_Valve.u_s)
      annotation (Line(points={{-79,42},{-120.4,42}},color={0,0,127}));
    connect(sensor_superheating.sensorValue, PI_MT_Control_Valve.u_m)
      annotation (Line(points={{-76,16.2},{-76,18},{-126,18},{-126,36.2}},
          color={0,0,127}));
    connect(PI_MT_Control_Valve.y, MT_expansion_valve.effectiveFlowArea_in)
      annotation (Line(points={{-132.4,42},{-142,42},{-244,42},{-244,9}}, color
          ={0,0,127}));
    connect(statePoint5.sensorPort, pressureState3.portB) annotation (Line(
        points={{-356,100},{-334,100},{-334,64},{-332,64}},
        color={153,204,0},
        thickness=0.5));
    connect(refrigerantQualityreceiver.port, pressureState3.portB) annotation (
        Line(
        points={{-306,116},{-334,116},{-334,64},{-332,64}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_q4.port, MT_expansion_valve.portA) annotation (Line(
        points={{-276,10},{-276,4},{-252,4}},
        color={153,204,0},
        thickness=0.5));
    connect(highPressureValve1.portB, junction.portB) annotation (Line(
        points={{-70,96},{-70,96},{48,96}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_p2.port, MT_Compressor.portA) annotation (Line(
        points={{68,120},{68,114},{52,114},{52,140}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_p2.sensorValue, PI_MT_Compressor.u_m) annotation (Line(
          points={{68,126.2},{68,122},{100,122},{100,136.2}}, color={0,0,127}));
    connect(LT_evaporator_fan.portB, LT_Evaporator.portB_gas) annotation (Line(
        points={{-78,-278},{-78,-278},{-78,-254},{-108,-254}},
        color={255,153,0},
        thickness=0.5));
    connect(LT_evaporator_fan.portA, LT_Cabinet.portB) annotation (Line(
        points={{-78,-294},{-78,-310},{-82,-310},{-152,-310}},
        color={255,153,0},
        thickness=0.5));
    connect(LT_Evaporator.portA_gas, LT_Cabinet.portA) annotation (Line(
        points={{-136,-254},{-170,-254},{-170,-278},{-170,-310},{-160,-310}},
        color={255,153,0},
        thickness=0.5));
    connect(heatBoundary1.heatPort, LT_Cabinet.heatPort) annotation (Line(
        points={{-204,-288},{-156,-288},{-156,-300}},
        color={204,0,0},
        thickness=0.5));
    connect(PI_LT_fan.y, LT_evaporator_fan.V_flow_in) annotation (Line(points={
            {-99.6,-286},{-99.6,-286},{-88,-286}}, color={0,0,127}));
    connect(MTSetpoint1.y, PI_LT_fan.u_s) annotation (Line(points={{-119,-286},
            {-120,-286},{-118,-286},{-111.6,-286}}, color={0,0,127}));
    connect(sensor_q6.port, pressureState4.portB) annotation (Line(
        points={{-204,-234},{-204,-238},{-186,-238}},
        color={153,204,0},
        thickness=0.5));
    connect(LT_expansion_valve.portB, pressureState4.portB) annotation (Line(
        points={{-214,-238},{-214,-238},{-186,-238}},
        color={153,204,0},
        thickness=0.5));
    connect(LT_SH_Setpoint1.y, PI_LT_Control_Valve.u_s)
      annotation (Line(points={{-103,-200},{-110.4,-200}}, color={0,0,127}));
    connect(sensor_superheating1.sensorValue, PI_LT_Control_Valve.u_m)
      annotation (Line(points={{-60,-227.8},{-60,-226},{-70,-226},{-116,-226},{
            -116,-208},{-116,-205.8}}, color={0,0,127}));
    connect(PI_LT_Control_Valve.y, LT_expansion_valve.effectiveFlowArea_in)
      annotation (Line(points={{-122.4,-200},{-132,-200},{-222,-200},{-222,-233}},
          color={0,0,127}));
    connect(sensor_q7.port, LT_expansion_valve.portA) annotation (Line(
        points={{-294,-228},{-294,-238},{-230,-238}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_superheating1.port, LT_Compressor.portA) annotation (Line(
        points={{-60,-234},{-60,-238},{50,-238},{50,-200}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_p3.port, LT_Compressor.portA) annotation (Line(
        points={{88,-232},{88,-238},{50,-238},{50,-200}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_p3.sensorValue, PI_LT_Compressor.u_m) annotation (Line(
          points={{88,-225.8},{100,-225.8},{100,-211.8}}, color={0,0,127}));
    connect(LT_PressureSetPoint.y, PI_LT_Compressor.u_s) annotation (Line(
          points={{117,-206},{117,-206},{105.6,-206}}, color={0,0,127}));
    connect(highPressureReceiver.portGas, parallelCompressorValve.portA)
      annotation (Line(
        points={{-303.167,64.8},{-303.167,64.8},{-220,64.8},{-220,116},{-156,
            116}},
        color={153,204,0},
        thickness=0.5));

    connect(parallelComp_startup.y, PI_parallelValve.u_s)
      annotation (Line(points={{-201,144},{-179.6,144}}, color={0,0,127}));
    connect(PI_parallelValve.y, parallelCompressorValve.switchingPosition_in)
      annotation (Line(points={{-167.6,144},{-167.6,144},{-138,144},{-138,116},
            {-143.4,116}}, color={0,0,127}));
    connect(refrigerantQualityreceiver.sensorValue, PI_parallelValve.u_m)
      annotation (Line(points={{-306,122.2},{-174,122.2},{-174,126},{-174,138.2}},
          color={0,0,127}));
    connect(parallelCompressorValve.portC, sensor_m_flow.portA) annotation (
        Line(
        points={{-148,124},{-148,154},{-31,154}},
        color={153,204,0},
        thickness=0.5));
    connect(rotatoryBoundary.rotatoryFlange, MT_Compressor.rotatoryFlange)
      annotation (Line(
        points={{88,162},{88,162},{84,162},{72,162},{72,148},{60,148}},
        color={135,135,135},
        thickness=0.5));
    connect(rotatoryBoundary1.rotatoryFlange, LT_Compressor.rotatoryFlange)
      annotation (Line(
        points={{78,-192},{58,-192}},
        color={135,135,135},
        thickness=0.5));
    connect(pressureState2.portA, sensor_H_flow_MTin.portA) annotation (Line(
        points={{-194,4},{-181,4}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_H_flow_MTin.portB, MT_Evaporator.portA_vle) annotation (Line(
        points={{-175,4},{-146,4}},
        color={153,204,0},
        thickness=0.5));
    connect(MT_Evaporator.portB_vle, sensor_H_flow_MTout.portA) annotation (
        Line(
        points={{-118,4},{-101,4}},
        color={153,204,0},
        thickness=0.5));
    connect(pressureState4.portA, sensor_H_flow_LTin.portA) annotation (Line(
        points={{-174,-238},{-157,-238}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_H_flow_LTin.portB, LT_Evaporator.portA_vle) annotation (Line(
        points={{-151,-238},{-144,-238},{-136,-238}},
        color={153,204,0},
        thickness=0.5));
    connect(LT_Evaporator.portB_vle, sensor_H_flow_LTout.portA) annotation (
        Line(
        points={{-108,-238},{-102,-238},{-95,-238}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_H_flow_LTout.portB, LT_Compressor.portA) annotation (Line(
        points={{-89,-238},{50,-238},{50,-200}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_q8.port, parallelCompressorValve.portA) annotation (Line(
        points={{-240,98},{-240,96},{-220,96},{-220,116},{-156,116}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_m_flow.portB, parallelCompressor.portA) annotation (Line(
        points={{-25,154},{8,154},{8,162}},
        color={153,204,0},
        thickness=0.5));
    connect(parallelSetpoint.y, PI_parallelCompressor.u_s)
      annotation (Line(points={{-63,176},{-55.6,176}}, color={0,0,127}));
    connect(sensor_p4.port, sensor_m_flow.portA) annotation (Line(
        points={{-70,158},{-70,154},{-31,154}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_p4.sensorValue, PI_parallelCompressor.u_m) annotation (Line(
          points={{-70,164.2},{-56,164.2},{-56,164},{-50,164},{-50,170.2}},
          color={0,0,127}));
    connect(parallelCompressor.portB, highPressureJuntion.portB) annotation (
        Line(
        points={{8,178},{8,184},{48,184}},
        color={153,204,0},
        thickness=0.5));
    connect(highPressureJuntion.portC, pressureState.portA) annotation (Line(
        points={{52,188},{52,216},{36,216}},
        color={153,204,0},
        thickness=0.5));
    connect(MT_Compressor.portB, highPressureJuntion.portA) annotation (Line(
        points={{52,156},{52,180}},
        color={153,204,0},
        thickness=0.5));
    connect(rotatoryBoundary2.rotatoryFlange, parallelCompressor.rotatoryFlange)
      annotation (Line(
        points={{-14,170},{0,170}},
        color={135,135,135},
        thickness=0.5));
    connect(PI_parallelCompressor.y, rotatoryBoundary2.n_in) annotation (Line(
          points={{-43.6,176},{-24,176},{-24,170},{-18,170}}, color={0,0,127}));
    connect(parallelCompressorValve.portB, sensor_m_flow1.portA) annotation (
        Line(
        points={{-148,108},{-148,96},{-137,96}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_m_flow1.portB, highPressureValve1.portA) annotation (Line(
        points={{-131,96},{-86,96}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_T_degC9.sensorValue, PI_MT_Fan.u_m) annotation (Line(points=
            {{-138,-58},{-138,-58},{-120,-58},{-120,-39.8}}, color={0,0,127}));
    connect(sensor_T_degC9.port, volume.portB) annotation (Line(
        points={{-138,-64},{-138,-66},{-160,-66}},
        color={255,153,0},
        thickness=0.5));
    connect(sensor_T.port, volume.portA) annotation (Line(
        points={{-194,-28},{-180,-28},{-180,-66},{-168,-66}},
        color={255,153,0},
        thickness=0.5));
    connect(sensor_T_degC3.port, LT_Cabinet.portB) annotation (Line(
        points={{-138,-308},{-138,-310},{-152,-310}},
        color={255,153,0},
        thickness=0.5));
    connect(sensor_T1.port, LT_Cabinet.portA) annotation (Line(
        points={{-186,-276},{-170,-276},{-170,-310},{-160,-310}},
        color={255,153,0},
        thickness=0.5));
    connect(PI_LT_fan.u_m, sensor_T_degC3.sensorValue) annotation (Line(points=
            {{-106,-291.8},{-106,-291.8},{-106,-302},{-138,-302}}, color={0,0,
            127}));
    connect(DHW_tank_top.portB, sensor_H_flow.portA) annotation (Line(
        points={{-14,548},{-14,554},{-7,554}},
        color={0,170,238},
        thickness=0.5));
    connect(DHW_Consumer_temp.port, DHW_Consumer_port.port) annotation (Line(
        points={{34,556},{34,554},{46,554}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_H_flow.portB, sensor_m_flow2.portA) annotation (Line(
        points={{-1,554},{13,554}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_m_flow2.portB, DHW_Consumer_port.port) annotation (Line(
        points={{19,554},{46,554}},
        color={0,170,238},
        thickness=0.5));
    connect(DHW_tank_middle.portB, junction7.portB) annotation (Line(
        points={{-14,498},{-14,500},{-14,506}},
        color={0,170,238},
        thickness=0.5));
    connect(DHW_tank_middle.portA, junction8.portC) annotation (Line(
        points={{-14,466},{-14,466},{-14,458}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_T_degC16.port, junction8.portA) annotation (Line(
        points={{18,462},{18,454},{-10,454}},
        color={0,170,238},
        thickness=0.5));
    connect(junction8.portB, sensor_m_flow5.portB) annotation (Line(
        points={{-14,450},{-14,447}},
        color={0,170,238},
        thickness=0.5));
    connect(junction7.portC, sensor_m_flow6.portA) annotation (Line(
        points={{-14,514},{-14,519}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_m_flow6.portB, DHW_tank_top.portA) annotation (Line(
        points={{-14,525},{-14,532}},
        color={0,170,238},
        thickness=0.5));
    connect(cityWaterInlet.port, sensor_m_flow5.portA) annotation (Line(
        points={{6,434},{-4,434},{-14,434},{-14,441}},
        color={0,170,238},
        thickness=0.5));
    connect(boundary1.port, DryCooler_DHW.portB_gas) annotation (Line(
        points={{-206,474},{-206,448},{-222,448}},
        color={255,153,0},
        thickness=0.5));
    connect(simpleFan.portB, DryCooler_DHW.portA_gas) annotation (Line(
        points={{-260,448},{-260,448},{-250,448}},
        color={255,153,0},
        thickness=0.5));
    connect(boundary4.port, simpleFan.portA) annotation (Line(
        points={{-288,476},{-288,476},{-288,448},{-276,448}},
        color={255,153,0},
        thickness=0.5));
    connect(PI_Drycooler_DHW.y, simpleFan.V_flow_in) annotation (Line(points={{
            -305.6,504},{-305.6,504},{-268,504},{-268,458}}, color={0,0,127}));
    connect(DryCooler_DHW.portA_liq, sensor_H_flow_DHWin.portA) annotation (
        Line(
        points={{-250,432},{-250,432},{-374,432},{-374,294},{-329,294}},
        color={0,170,238},
        thickness=0.5));
    connect(Temperature_after_drycooler.port, DryCooler_DHW.portA_liq)
      annotation (Line(
        points={{-336,442},{-336,442},{-336,432},{-250,432}},
        color={0,170,238},
        thickness=0.5));
    connect(PI_DHW_Pump.y, simplePump.m_flow_in)
      annotation (Line(points={{-39.6,274},{-10,274}}, color={0,0,127}));
    connect(waterSetpoint.y, PI_DHW_Pump.u_s)
      annotation (Line(points={{-57,274},{-51.6,274}}, color={0,0,127}));
    connect(sensor_H_flow_DHWout.portB, simplePump.portA) annotation (Line(
        points={{-25,244},{0,244},{0,272}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_T_degC1.port, simplePump.portA) annotation (Line(
        points={{-18,258},{0,258},{0,272}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_T_degC1.sensorValue, PI_DHW_Pump.u_m) annotation (Line(
          points={{-18,264},{-46,264},{-46,268.2}}, color={0,0,127}));
    connect(sensor_m_flow8.portA, SpaceHeating_tank.portA) annotation (Line(
        points={{250,343},{250,338}},
        color={0,170,238},
        thickness=0.5));
    connect(SpaceHeating_tank.portB, sensor_m_flow7.portB) annotation (Line(
        points={{250,306},{250,299}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_m_flow7.portA, junction11.portC) annotation (Line(
        points={{250,293},{250,288}},
        color={0,170,238},
        thickness=0.5));
    connect(SpaceHeating_tank_bottomTemp.port, SpaceHeating_tank.portB)
      annotation (Line(
        points={{278,304},{264,304},{250,304},{250,306}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_T_degC10.sensorValue, PI_FH_pump1.u_m) annotation (Line(
          points={{54,390},{82,390},{82,332},{104.2,332}}, color={0,0,127}));
    connect(PI_FH_pump1.y, simplePump2.m_flow_in) annotation (Line(points={{110,
            338.4},{108,338.4},{108,370}}, color={0,0,127}));
    connect(floorHeatingSetpoint1.y, PI_FH_pump1.u_s) annotation (Line(points={
            {91,312},{110,312},{110,326.4}}, color={0,0,127}));
    connect(sensor_T_degC10.port, simplePump2.portA) annotation (Line(
        points={{54,384},{54,380},{106,380}},
        color={0,170,238},
        thickness=0.5));
    connect(junction10.portC, junction3.portC) annotation (Line(
        points={{250,376},{250,368},{250,364}},
        color={0,170,238},
        thickness=0.5));
    connect(junction3.portB, sensor_m_flow8.portB) annotation (Line(
        points={{250,356},{250,349}},
        color={0,170,238},
        thickness=0.5));
    connect(PI_R290_WaterPump.y, R290_WaterPump.m_flow_in) annotation (Line(
          points={{425.6,298},{414,298},{414,262}}, color={0,0,127}));
    connect(R290_WaterPump.portA, H_flow_W_outlet.portB) annotation (Line(
        points={{412,252},{401,252}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_q9.port, pressureState7.portA) annotation (Line(
        points={{456,212},{456,206},{416,206}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_p5.port, pressureState7.portA) annotation (Line(
        points={{432,212},{432,206},{416,206}},
        color={153,204,0},
        thickness=0.5));
    connect(FH_setpoint_HP.y, PI_R290_WaterPump.u_s) annotation (Line(points={{
            457,316},{446,316},{446,298},{437.6,298}}, color={0,0,127}));
    connect(R290_Evaporator.portB_a, pressureState9.portB) annotation (Line(
        points={{342,146},{362,146}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_superheating2.port, pressureState9.portB) annotation (Line(
        points={{352,152},{352,146},{362,146}},
        color={153,204,0},
        thickness=0.5));
    connect(R290_Expvalve.portB, R290_Evaporator.portA_a) annotation (Line(
        points={{270,180},{270,146},{314,146}},
        color={153,204,0},
        thickness=0.5));
    connect(condenser_outlet_quality.port, R290_Expvalve.portA) annotation (
        Line(
        points={{284,214},{270,214},{270,196}},
        color={153,204,0},
        thickness=0.5));
    connect(PI_R290_ExpValve.y, R290_Expvalve.effectiveFlowArea_in) annotation
      (Line(points={{283.6,188},{283.6,188},{275,188}}, color={0,0,127}));
    connect(boundary2.port, R290_Evaporator.portA_b) annotation (Line(
        points={{266,108},{294,108},{294,130},{314,130}},
        color={0,170,238},
        thickness=0.5));
    connect(R290_Evaporator.portB_b, boundary3.port) annotation (Line(
        points={{342,130},{358,130},{358,106},{384,106}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_T_degC11.port, R290_Evaporator.portA_b) annotation (Line(
        points={{278,112},{278,112},{294,112},{294,130},{314,130}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_T_degC12.port, boundary3.port) annotation (Line(
        points={{374,110},{374,106},{384,106}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_p6.port, sensor_m_flow10.portA) annotation (Line(
        points={{410,152},{410,146},{449,146}},
        color={153,204,0},
        thickness=0.5));
    connect(R290_Compressor.portB, pressureState7.portA) annotation (Line(
        points={{466,188},{466,206},{456,206},{416,206}},
        color={153,204,0},
        thickness=0.5));
    connect(R290_Compressor.portA, sensor_m_flow10.portB) annotation (Line(
        points={{466,172},{466,172},{466,146},{455,146}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_T_degC13.port, R290_Evaporator.portA_a) annotation (Line(
        points={{254,154},{256,154},{256,146},{314,146}},
        color={153,204,0},
        thickness=0.5));
    connect(rotatoryBoundary3.rotatoryFlange, R290_Compressor.rotatoryFlange)
      annotation (Line(
        points={{522,180},{522,180},{474,180}},
        color={135,135,135},
        thickness=0.5));
    connect(Superheat_setpoint.y, PI_R290_ExpValve.u_s) annotation (Line(points
          ={{317,190},{306,190},{306,188},{295.6,188}},color={0,0,127}));
    connect(hysteresis.y, not1.u) annotation (Line(points={{629,180},{626,180},
            {615.2,180}}, color={255,0,255}));
    connect(sensor_q10.port, sensor_m_flow10.portA) annotation (Line(
        points={{434,152},{434,146},{449,146}},
        color={153,204,0},
        thickness=0.5));
    connect(booleanExpression1.y, PI_R290_WaterPump.activeInput) annotation (
        Line(points={{481,302},{450,302},{450,294},{437.6,294},{437.6,294.2}},
          color={255,0,255}));
    connect(Pump_off_value.y, PI_R290_WaterPump.y_notActive) annotation (Line(
          points={{403,314},{420,314},{432,314},{432,303.8}}, color={0,0,127}));
    connect(pressureState9.portA, sensor_m_flow10.portA) annotation (Line(
        points={{374,146},{449,146}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_T_degC5.sensorValue, PI_R290_WaterPump.u_m) annotation (Line(
          points={{450,260},{432,260},{432,292.2}}, color={0,0,127}));
    connect(R290_WaterPump.portB, junction3.portA) annotation (Line(
        points={{428,252},{428,252},{512,252},{512,360},{254,360}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_T_degC5.port, R290_WaterPump.portB) annotation (Line(
        points={{450,254},{450,254},{450,252},{428,252}},
        color={0,170,238},
        thickness=0.5));
    connect(switch1.y, hysteresis.u)
      annotation (Line(points={{665,180},{652,180}}, color={0,0,127}));
    connect(not1.y, switch1.u2) annotation (Line(points={{601.4,180},{602,180},
            {602,164},{602,166},{694,166},{694,180},{688,180}}, color={255,0,
            255}));
    connect(On_off_trigger_HP.y, switch1.u1)
      annotation (Line(points={{709,188},{688,188}}, color={0,0,127}));
    connect(On_off_trigger_HP1.y, switch1.u3) annotation (Line(points={{709,172},
            {698,172},{688,172}}, color={0,0,127}));
    connect(sensor_superheating2.sensorValue, PI_R290_ExpValve.u_m) annotation
      (Line(points={{352,158.2},{290,158.2},{290,182.2}}, color={0,0,127}));
    connect(Valve_not_active.y, PI_R290_ExpValve.y_notActive) annotation (Line(
          points={{313,208},{306,208},{290,208},{290,193.8}}, color={0,0,127}));
    connect(booleanExpression.y, PI_R290_ExpValve.activeInput) annotation (Line(
          points={{313,172},{313,170},{306,170},{295.6,170},{295.6,178},{295.6,
            184.2}}, color={255,0,255}));
    connect(highPressureReceiver.portLiquid, junction4.portA) annotation (Line(
        points={{-309,48},{-310,48},{-310,8}},
        color={153,204,0},
        thickness=0.5));
    connect(junction4.portB, MT_expansion_valve.portA) annotation (Line(
        points={{-306,4},{-284,4},{-252,4}},
        color={153,204,0},
        thickness=0.5));
    connect(MT_evaporator_fan1.portB, MT_Evaporator1.portB_gas) annotation (
        Line(
        points={{-48,-154},{-48,-154},{-48,-130},{-114,-130}},
        color={255,153,0},
        thickness=0.5));
    connect(MT_evaporator_fan1.portA, volume1.portB) annotation (Line(
        points={{-48,-170},{-48,-170},{-48,-186},{-154,-186}},
        color={255,153,0},
        thickness=0.5));
    connect(MT_Evaporator1.portA_gas, volume1.portA) annotation (Line(
        points={{-142,-130},{-172,-130},{-172,-156},{-172,-186},{-162,-186}},
        color={255,153,0},
        thickness=0.5));
    connect(heatBoundary2.heatPort, volume1.heatPort) annotation (Line(
        points={{-200,-170},{-200,-170},{-158,-170},{-158,-176}},
        color={204,0,0},
        thickness=0.5));
    connect(MTSetpoint2.y, PI_MT_Fan1.u_s) annotation (Line(points={{-95,-162},
            {-95,-162},{-81.6,-162}}, color={0,0,127}));
    connect(sensor_superheating3.sensorValue, PI_MT_Control_Valve1.u_m)
      annotation (Line(points={{-68,-103.8},{-68,-102},{-118,-102},{-118,-97.8}},
          color={0,0,127}));
    connect(PI_MT_Control_Valve1.y, MT_expansion_valve1.effectiveFlowArea_in)
      annotation (Line(points={{-124.4,-92},{-134,-92},{-236,-92},{-236,-111}},
          color={0,0,127}));
    connect(sensor_H_flow_MTin1.portB, MT_Evaporator1.portA_vle) annotation (
        Line(
        points={{-167,-116},{-154,-116},{-154,-114},{-142,-114}},
        color={153,204,0},
        thickness=0.5));
    connect(MT_Evaporator1.portB_vle, sensor_H_flow_MTout1.portA) annotation (
        Line(
        points={{-114,-114},{-104,-114},{-104,-116},{-93,-116}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_T_degC14.sensorValue, PI_MT_Fan1.u_m) annotation (Line(
          points={{-130,-178},{-76,-178},{-76,-167.8}}, color={0,0,127}));
    connect(sensor_T_degC14.port, volume1.portB) annotation (Line(
        points={{-130,-184},{-130,-186},{-154,-186}},
        color={255,153,0},
        thickness=0.5));
    connect(sensor_T2.port, volume1.portA) annotation (Line(
        points={{-186,-148},{-172,-148},{-172,-186},{-162,-186}},
        color={255,153,0},
        thickness=0.5));
    connect(junction4.portC, junction5.portA) annotation (Line(
        points={{-310,0},{-310,0},{-310,-112}},
        color={153,204,0},
        thickness=0.5));
    connect(junction5.portB, MT_expansion_valve1.portA) annotation (Line(
        points={{-306,-116},{-276,-116},{-244,-116}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_q13.port, MT_expansion_valve1.portA) annotation (Line(
        points={{-280,-114},{-280,-116},{-244,-116}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_H_flow_MTout1.portB, junction6.portB) annotation (Line(
        points={{-87,-116},{-20,-116},{46,-116}},
        color={153,204,0},
        thickness=0.5));
    connect(LT_Compressor.portB, junction6.portA) annotation (Line(
        points={{50,-184},{50,-184},{50,-120}},
        color={153,204,0},
        thickness=0.5));
    connect(junction6.portC, junction1.portA) annotation (Line(
        points={{50,-112},{52,-112},{52,0}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_superheating3.port, junction6.portB) annotation (Line(
        points={{-68,-110},{-68,-116},{46,-116}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_q11.port, junction6.portB) annotation (Line(
        points={{-46,-112},{-46,-116},{46,-116}},
        color={153,204,0},
        thickness=0.5));
    connect(junction5.portC, LT_expansion_valve.portA) annotation (Line(
        points={{-310,-120},{-310,-238},{-288,-238},{-230,-238}},
        color={153,204,0},
        thickness=0.5));
    connect(MT_SH_Setpoint1.y, PI_MT_Control_Valve1.u_s)
      annotation (Line(points={{-101,-92},{-112.4,-92}}, color={0,0,127}));
    connect(MT_expansion_valve1.portB, sensor_H_flow_MTin1.portA) annotation (
        Line(
        points={{-228,-116},{-173,-116},{-173,-116}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_q12.port, sensor_H_flow_MTin1.portA) annotation (Line(
        points={{-214,-112},{-214,-116},{-173,-116}},
        color={153,204,0},
        thickness=0.5));
    connect(SH_demand.value, boundary5.m_flow_in) annotation (Line(points={{560,
            448},{560,450},{542,450}}, color={0,0,127}));
    connect(MT_duty_output.value, heatBoundary.Q_flow_in) annotation (Line(
          points={{-332,-172},{-332,-172},{-252,-172},{-252,-170},{-252,-52},{-218,
            -52}}, color={0,0,127}));
    connect(MT_duty_output.value, heatBoundary2.Q_flow_in) annotation (Line(
          points={{-332,-172},{-252,-172},{-204,-172}}, color={0,0,127}));
    connect(Spaceheating_reader1.tfr_signals, MT_duty_output.tfr_signals)
      annotation (Line(points={{-360,-120},{-360,-136},{-348,-136},{-348,-150},
            {-348,-164},{-344,-164}}, color={127,0,0}));
    connect(Spaceheating_reader1.tfr_signals, LT_duty_output.tfr_signals)
      annotation (Line(points={{-360,-120},{-360,-120},{-360,-188},{-360,-282},
            {-364,-282}}, color={127,0,0}));
    connect(LT_duty_output.value, heatBoundary1.Q_flow_in) annotation (Line(
          points={{-352,-290},{-278,-290},{-208,-290}}, color={0,0,127}));
    connect(fileReader.tfr_signals, DHW_demand.tfr_signals)
      annotation (Line(points={{98,600},{98,564}}, color={127,0,0}));
    connect(DHW_demand.value, DHW_Consumer_port.m_flow_in)
      annotation (Line(points={{86,556},{76,556},{50,556}}, color={0,0,127}));
    connect(SpaceHeating_tank_top.portA, H_flow_SH_out.portA) annotation (Line(
        points={{450,442},{450,442},{450,450},{450,448},{491,448}},
        color={0,170,238},
        thickness=0.5));
    connect(H_flow_SH_out.portB, boundary5.port) annotation (Line(
        points={{497,448},{538,448}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_T_degC15.port, SpaceHeating_tank_top.portA) annotation (Line(
        points={{460,454},{450,454},{450,442}},
        color={0,170,238},
        thickness=0.5));
    connect(H_flow_SH_in.portA, boundary.port) annotation (Line(
        points={{277,270},{290,270}},
        color={0,170,238},
        thickness=0.5));
    connect(boundary7.port, DryCooler_FH.portB_gas) annotation (Line(
        points={{-152,404},{-152,404},{-152,368},{-170,368}},
        color={255,153,0},
        thickness=0.5));
    connect(simpleFan1.portB, DryCooler_FH.portA_gas) annotation (Line(
        points={{-228,368},{-210,368},{-198,368}},
        color={255,153,0},
        thickness=0.5));
    connect(sensor_T_degC4.port, DryCooler_FH.portB_liq) annotation (Line(
        points={{-140,360},{-140,352},{-170,352}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_T_degC17.port, DryCooler_FH.portA_liq) annotation (Line(
        points={{-234,328},{-214,328},{-214,352},{-198,352}},
        color={0,170,238},
        thickness=0.5));
    connect(boundary6.port, simpleFan1.portA) annotation (Line(
        points={{-280,368},{-262,368},{-244,368}},
        color={255,153,0},
        thickness=0.5));
    connect(PI_Drycooler_FH.y, simpleFan1.V_flow_in) annotation (Line(points={{
            -253.6,392},{-244,392},{-236,392},{-236,378}}, color={0,0,127}));
    connect(sensor_T_degC17.sensorValue, PI_Drycooler_FH.u_m) annotation (Line(
          points={{-234,334},{-260,334},{-260,386.2}}, color={0,0,127}));
    connect(ReturnTempSetpoint1.y, PI_Drycooler_FH.u_s) annotation (Line(points
          ={{-281,392},{-281,392},{-265.6,392}},color={0,0,127}));
    connect(sensor_T_degC18.port, DryCooler_FH.portB_gas) annotation (Line(
        points={{-176,384},{-166,384},{-166,368},{-170,368}},
        color={255,153,0},
        thickness=0.5));
    connect(Temperature_after_drycooler1.port, DryCooler_DHW.portB_liq)
      annotation (Line(
        points={{-188,486},{-168,486},{-168,432},{-222,432}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_T_degC19.port, DryCooler_DHW.portB_gas) annotation (Line(
        points={{-228,466},{-222,466},{-222,448}},
        color={255,153,0},
        thickness=0.5));
    connect(ReturnTempSetpoint3.y, PI_Drycooler_DHW.u_s) annotation (Line(
          points={{-401,504},{-401,504},{-317.6,504}}, color={0,0,127}));
    connect(Temperature_after_drycooler.sensorValue, PI_Drycooler_DHW.u_m)
      annotation (Line(points={{-336,448},{-312,448},{-312,498.2}}, color={0,0,
            127}));
    connect(simplePump.portB, sensor_m_flow3.portA) annotation (Line(
        points={{0,288},{0,410},{-68,410},{-68,510},{-47,510}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_m_flow3.portB, junction7.portA) annotation (Line(
        points={{-41,510},{-18,510}},
        color={0,170,238},
        thickness=0.5));
    connect(junction8.portA, DryCooler_DHW.portB_liq) annotation (Line(
        points={{-10,454},{66,454},{132,454},{132,580},{-168,580},{-168,432},{-222,
            432}},
        color={0,170,238},
        thickness=0.5));
    connect(H_flow_W_inlet.portB, R290_Condenser.portB_b) annotation (Line(
        points={{335,252},{335,252},{358,252}},
        color={0,170,238},
        thickness=0.5));
    connect(R290_Condenser.portA_b, H_flow_W_outlet.portA) annotation (Line(
        points={{386,252},{395,252}},
        color={0,170,238},
        thickness=0.5));
    connect(R290_Condenser.portA_a, pressureState7.portB) annotation (Line(
        points={{386,236},{396,236},{396,206},{404,206}},
        color={153,204,0},
        thickness=0.5));
    connect(R290_Condenser.portB_a, R290_Expvalve.portA) annotation (Line(
        points={{358,236},{270,236},{270,196}},
        color={153,204,0},
        thickness=0.5));
    connect(not1.y, switch2.u2) annotation (Line(points={{601.4,180},{578,180},
            {574,180}}, color={255,0,255}));
    connect(switch2.y, rotatoryBoundary3.n_in) annotation (Line(points={{551,
            180},{544,180},{526,180}}, color={0,0,127}));
    connect(On_frequenze.y, switch2.u1) annotation (Line(points={{601,144},{588,
            144},{588,172},{574,172}}, color={0,0,127}));
    connect(Off_frequenze.y, switch2.u3) annotation (Line(points={{599,206},{
            588,206},{588,188},{574,188}}, color={0,0,127}));
    connect(LT_dischargeTemp.port, LT_Compressor.portB) annotation (Line(
        points={{76,-168},{56,-168},{56,-184},{50,-184}},
        color={153,204,0},
        thickness=0.5));
    connect(MT_dischargeTemp.port, MT_Compressor.portB) annotation (Line(
        points={{74,168},{64,168},{64,156},{52,156}},
        color={153,204,0},
        thickness=0.5));
    connect(PI_R290_relDisp.y, R290_Compressor.relDisplacement_in) annotation (
        Line(points={{531.6,126},{488,126},{488,174},{477,174}}, color={0,0,127}));
    connect(SpaceHeatingTank_TopLayerTemp.y, PI_R290_relDisp.u_m) annotation (
        Line(points={{563,102},{563,102},{538,102},{538,120.2}}, color={0,0,127}));
    connect(SpaceHeatingTank_Setpoint.y, PI_R290_relDisp.u_s)
      annotation (Line(points={{563,126},{543.6,126}}, color={0,0,127}));
    connect(DryCooler_FH.portA_liq, sensor_H_flow_inFH.portA) annotation (Line(
        points={{-198,352},{-206,352},{-206,306},{-180,306},{-180,263}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_H_flow_outFH.portB, simplePump2.portA) annotation (Line(
        points={{-126,265},{-126,265},{-126,380},{106,380}},
        color={0,170,238},
        thickness=0.5));
    connect(OutsideTemperatureInput.y, boundary4.T_in) annotation (Line(points=
            {{-401,412},{-350,412},{-350,480},{-294,480}}, color={0,0,127}));
    connect(OutsideTemperatureInput.y, boundary6.T_in) annotation (Line(points=
            {{-401,412},{-344,412},{-344,362},{-284,362}}, color={0,0,127}));
    connect(sensor_H_flow_MTout.portB, junction1.portB) annotation (Line(
        points={{-95,4},{48,4}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_superheating.port, junction1.portB) annotation (Line(
        points={{-76,10},{-76,4},{48,4}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_q.port, junction1.portB) annotation (Line(
        points={{-60,10},{-60,4},{48,4}},
        color={153,204,0},
        thickness=0.5));
    connect(junction1.portC, junction.portA) annotation (Line(
        points={{52,8},{52,8},{52,92}},
        color={153,204,0},
        thickness=0.5));
    connect(junction.portC, MT_Compressor.portA) annotation (Line(
        points={{52,100},{52,140}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_q2.port, junction.portC) annotation (Line(
        points={{68,82},{60,82},{60,100},{52,100}},
        color={153,204,0},
        thickness=0.5));
    connect(PI_MT_Fan1.y, MT_evaporator_fan1.V_flow_in) annotation (Line(points
          ={{-69.6,-162},{-64,-162},{-58,-162}},color={0,0,127}));
    connect(PI_LT_Compressor.y, LT_Compressor.relDisplacement_in) annotation (
        Line(points={{93.6,-206},{80,-206},{68,-206},{68,-198},{61,-198}},
          color={0,0,127}));
    connect(PI_MT_Compressor.y, MT_Compressor.relDisplacement_in) annotation (
        Line(points={{93.6,142},{92,142},{63,142}}, color={0,0,127}));
    connect(MT_pressureSetpoint.y, PI_MT_Compressor.u_s)
      annotation (Line(points={{117,142},{105.6,142}}, color={0,0,127}));
    connect(reheatHX.portA_b, sensor_H_flow_DHWout.portA) annotation (Line(
        points={{-50,232},{-40,232},{-40,244},{-31,244}},
        color={0,170,238},
        thickness=0.5));
    connect(reheatHX.portA_a, sensor_T_degC2.port) annotation (Line(
        points={{-50,216},{-8,216},{-8,218}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_T_degC7.port, reheatHX.portB_a) annotation (Line(
        points={{-122,194},{-98,194},{-98,216},{-78,216}},
        color={153,204,0},
        thickness=0.5));
    connect(reheatHX.portB_a, mediumTempHX.portA_a) annotation (Line(
        points={{-78,216},{-110,216},{-140,216}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_T_degC6.port, mediumTempHX.portB_a) annotation (Line(
        points={{-202,194},{-186,194},{-186,216},{-168,216}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_H_flow_inFH.portB, mediumTempHX.portB_b) annotation (Line(
        points={{-180,257},{-180,257},{-180,234},{-168,234},{-168,232}},
        color={0,170,238},
        thickness=0.5));
    connect(mediumTempHX.portA_b, sensor_H_flow_outFH.portA) annotation (Line(
        points={{-140,232},{-126,232},{-126,259}},
        color={0,170,238},
        thickness=0.5));
    connect(preheatHX.portA_a, mediumTempHX.portB_a) annotation (Line(
        points={{-228,216},{-200,216},{-168,216}},
        color={153,204,0},
        thickness=0.5));
    connect(preheatHX.portB_a, highPressureValve.portA) annotation (Line(
        points={{-256,216},{-296,216},{-334,216},{-334,154}},
        color={153,204,0},
        thickness=0.5));
    connect(CO2_GC_OutletTemp.port, preheatHX.portB_a) annotation (Line(
        points={{-284,222},{-284,222},{-284,216},{-256,216}},
        color={153,204,0},
        thickness=0.5));
    connect(reheatHX.portB_b, preheatHX.portA_b) annotation (Line(
        points={{-78,232},{-86,232},{-86,244},{-192,244},{-192,232},{-228,232}},

        color={0,170,238},
        thickness=0.5));

    connect(sensor_T_degC8.port, preheatHX.portA_b) annotation (Line(
        points={{-222,248},{-226,248},{-226,232},{-228,232}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_H_flow_DHWin.portB, preheatHX.portB_b) annotation (Line(
        points={{-323,294},{-292,294},{-266,294},{-266,232},{-256,232}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_T_degC.port, preheatHX.portB_b) annotation (Line(
        points={{-244,256},{-266,256},{-266,232},{-256,232}},
        color={0,170,238},
        thickness=0.5));
    connect(ReturnTempSetpoint2.y, PI_Drycooler_H2.u_s) annotation (Line(points
          ={{215,578},{215,578},{220.4,578}},color={0,0,127}));
    connect(Drycooler_fan_H2.portB, DryCooler_H2.portA_gas) annotation (Line(
        points={{238,562},{232,562},{232,552},{220,552}},
        color={255,153,0},
        thickness=0.5));
    connect(boundary8.port, Drycooler_fan_H2.portA) annotation (Line(
        points={{268,602},{268,562},{254,562}},
        color={255,153,0},
        thickness=0.5));
    connect(PI_Drycooler_H2.y, Drycooler_fan_H2.V_flow_in) annotation (Line(
          points={{232.4,578},{232.4,578},{246,578},{246,572}}, color={0,0,127}));
    connect(DryCooler_H2.portB_gas, boundary9.port) annotation (Line(
        points={{192,552},{162,552}},
        color={255,153,0},
        thickness=0.5));
    connect(sensor_T_degC20.port, DryCooler_H2.portB_gas) annotation (Line(
        points={{174,562},{184,562},{184,552},{192,552}},
        color={255,153,0},
        thickness=0.5));
    connect(sensor_T_degC21.port, DryCooler_H2.portB_liq) annotation (Line(
        points={{172,520},{184,520},{184,536},{192,536}},
        color={0,170,238},
        thickness=0.5));
    connect(DryCooler_H2.portA_liq, sensor_T_degC22.port) annotation (Line(
        points={{220,536},{254,536},{260,536},{260,540}},
        color={0,170,238},
        thickness=0.5));
    connect(DryCooler_H2.portA_liq, H2_circuit_HeatExchanger.portA_a)
      annotation (Line(
        points={{220,536},{328,536}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_T_degC22.sensorValue, PI_Drycooler_H2.u_m) annotation (Line(
          points={{260,546},{244,546},{226,546},{226,572.2}}, color={0,0,127}));
    connect(FH_setpoint_HP1.y, PI_H2_WaterPump1.u_s) annotation (Line(points={{
            451,568},{451,568},{427.6,568}}, color={0,0,127}));
    connect(H2_circuit_HeatExchanger.portB_a, Pump_H2.portA) annotation (Line(
        points={{356,536},{404,536}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_T_degC23.port, Pump_H2.portB) annotation (Line(
        points={{444,548},{444,536},{420,536}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_T_degC23.sensorValue, PI_H2_WaterPump1.u_m) annotation (Line(
          points={{444,554},{422,554},{422,562.2}}, color={0,0,127}));
    connect(PI_H2_WaterPump1.y, Pump_H2.m_flow_in) annotation (Line(points={{
            415.6,568},{406,568},{406,546}}, color={0,0,127}));
    connect(H2_recovery_inlet.port, H2_circuit_HeatExchanger.portB_b)
      annotation (Line(
        points={{384,608},{368,608},{368,552},{356,552}},
        color={0,170,238},
        thickness=0.5));
    connect(boundary10.port, H2_circuit_HeatExchanger.portA_b) annotation (Line(
        points={{300,608},{314,608},{314,552},{328,552}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_T_degC24.port, H2_circuit_HeatExchanger.portA_b) annotation
      (Line(
        points={{328,576},{328,552}},
        color={0,170,238},
        thickness=0.5));
    connect(OutsideTemperatureInput1.y, boundary8.T_in) annotation (Line(points
          ={{255,612},{255,612},{274,612},{274,606}},color={0,0,127}));
    connect(H_flow_SH_in.portB, junction11.portB) annotation (Line(
        points={{271,270},{250,270},{250,280}},
        color={0,170,238},
        thickness=0.5));
    connect(junction11.portA, junction2.portC) annotation (Line(
        points={{246,284},{234,284},{220,284}},
        color={0,170,238},
        thickness=0.5));
    connect(junction2.portA, H_flow_W_inlet.portA) annotation (Line(
        points={{216,280},{216,280},{216,260},{216,252},{329,252}},
        color={0,170,238},
        thickness=0.5));
    connect(junction9.portB, junction2.portB) annotation (Line(
        points={{188,284},{212,284},{212,284}},
        color={0,170,238},
        thickness=0.5));
    connect(junction9.portA, DryCooler_H2.portB_liq) annotation (Line(
        points={{184,288},{184,288},{184,488},{184,536},{192,536}},
        color={0,170,238},
        thickness=0.5));
    connect(junction9.portC, DryCooler_FH.portB_liq) annotation (Line(
        points={{180,284},{116,284},{46,284},{46,352},{-170,352}},
        color={0,170,238},
        thickness=0.5));
    connect(simplePump2.portB, junction10.portA) annotation (Line(
        points={{122,380},{184,380},{246,380}},
        color={0,170,238},
        thickness=0.5));
    connect(Pump_H2.portB, junction12.portA) annotation (Line(
        points={{420,536},{440,536},{458,536},{458,484},{378,484},{378,414}},
        color={0,170,238},
        thickness=0.5));
    connect(junction12.portB, sensor_m_flow9.portA) annotation (Line(
        points={{382,410},{415,410}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_m_flow9.portB, SpaceHeating_tank_top.portB) annotation (Line(
        points={{421,410},{450,410}},
        color={0,170,238},
        thickness=0.5));
    connect(junction12.portC, junction10.portB) annotation (Line(
        points={{374,410},{324,410},{250,410},{250,384}},
        color={0,170,238},
        thickness=0.5));
    connect(Spaceheating_winter.tfr_signals, SH_demand.tfr_signals) annotation
      (Line(points={{644,472},{644,456},{572,456}}, color={127,0,0}));
    connect(Spaceheating_winter.tfr_signals, OutsideTemperature.tfr_signals)
      annotation (Line(points={{644,472},{644,472},{644,420},{644,422},{588,422}},
          color={127,0,0}));
    connect(H2_recovery_inlet.m_flow_in, H2_30_cars.y) annotation (Line(points=
            {{388,610},{400,610},{400,618},{413,618}}, color={0,0,127}));
    annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-460,
              -360},{780,680}})), Diagram(coordinateSystem(preserveAspectRatio=
              false, extent={{-460,-360},{780,680}}), graphics={Text(
              extent={{18,502},{66,456}},
              lineColor={28,108,200},
              textString="DHW Storage
Tank
"),Text(      extent={{274,106},{376,30}},
              lineColor={28,108,200},
              textString="Backup R290
Heat pump
"),Text(      extent={{276,350},{324,304}},
              lineColor={28,108,200},
              textString="Space Heating
Storage Tank
"),Text(      extent={{524,690},{586,630}},
              lineColor={28,108,200},
              textString="Measured data"),Text(
              extent={{690,690},{752,630}},
              lineColor={28,108,200},
              textString="Calculated data")}));
  end Case2_Indirect_H2;

  model Case3_Direct_H2

    output Real Comp_MT_W;
    output Real Comp_MT_relDisp;
    output Real Comp_LT_W;
    output Real Comp_LT_relDisp;
    output Real Ref_duty_MT;
    output Real Ref_duty_LT;
    output Real Comp_Parallel_W;

    output Real Heat_duty_PreH;
    output Real Heat_duty_ReH;
    output Real Heat_duty_SpaceH;
    output Real Duty_DryC_DHW;
    output Real Duty_DryC_SH;
    output Real COP_ref;
    output Real COP_heat_gross;
    output Real COP_heat_net;
    output Real Net_HR_Supermarket_SH;
    output Real Net_HR_Supermarket_DHW;

    output Real R290_Comp_W;
    output Real R290_Comp_n;
    output Real R290_Heat_duty;
    output Real R290_COP;
    output Real R290_relDisp;
    output Real Delivered_SH;

    output Real Comp_H2_MT_W;
    output Real Comp_H2_LT_W;
    output Real H2_ref_duty;
    TIL.LiquidComponents.Pumps.SimplePump simplePump(
      presetVariableType="m_flow",
      use_volumeFlowRateInput=false,
      m_flowFixed=0.05,
      use_massFlowRateInput=true) annotation (Placement(transformation(
          extent={{-8,-8},{8,8}},
          rotation=0,
          origin={0,280})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC sensor_T_degC
      annotation (Placement(transformation(extent={{-248,256},{-240,264}})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC sensor_T_degC1
      annotation (Placement(transformation(extent={{-22,258},{-14,266}})));
    TIL.OtherComponents.Controllers.PIController PI_DHW_Pump(
      controllerType="PI",
      invertFeedback=true,
      yMax=1,
      yInitial=0.06,
      Ti=0.01,
      k=0.1,
      yMin=0.01)
      annotation (Placement(transformation(extent={{-52,268},{-40,280}})));
    Modelica.Blocks.Sources.RealExpression waterSetpoint(y=70)
      annotation (Placement(transformation(extent={{-78,264},{-58,284}})));
    TIL.VLEFluidComponents.Sensors.Sensor_T_degC CO2_GC_OutletTemp
      annotation (Placement(transformation(extent={{-288,222},{-280,230}})));
    TIL.VLEFluidComponents.PressureStateElements.PressureState pressureState(
        pInitial=8500000)
      annotation (Placement(transformation(extent={{24,210},{36,222}})));
    TIL.VLEFluidComponents.Sensors.StatePoint statePoint1(stateViewerIndex=1)
      annotation (Placement(transformation(extent={{4,218},{12,226}})));
    TIL.VLEFluidComponents.Sensors.Sensor_T_degC sensor_T_degC2
      annotation (Placement(transformation(extent={{-12,218},{-4,226}})));
    TIL.VLEFluidComponents.Sensors.Sensor_T_degC sensor_T_degC6
      annotation (Placement(transformation(extent={{-206,194},{-198,202}})));
    TIL.VLEFluidComponents.Sensors.Sensor_T_degC sensor_T_degC7
      annotation (Placement(transformation(extent={{-126,194},{-118,202}})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC sensor_T_degC8
      annotation (Placement(transformation(extent={{-226,248},{-218,256}})));
    TIL.VLEFluidComponents.Valves.OrificeValve highPressureValve(
        use_effectiveFlowAreaInput=true) annotation (Placement(transformation(
          extent={{-8,-4},{8,4}},
          rotation=-90,
          origin={-334,146})));
    TIL.OtherComponents.Controllers.PIController highPressure_Controller(
      controllerType="PI",
      yMax=1e-4,
      invertFeedback=true,
      yMin=1e-9,
      yInitial=1e-8,
      Ti=0.01,
      k=1e-8)
      annotation (Placement(transformation(extent={{-294,152},{-306,140}})));
    Modelica.Blocks.Sources.RealExpression highPressureSetPoint(y=85e5)
      annotation (Placement(transformation(extent={{-256,136},{-276,156}})));
    TIL.VLEFluidComponents.Sensors.Sensor_p sensor_p
      annotation (Placement(transformation(extent={{-316,162},{-308,170}})));

    TIL.VLEFluidComponents.PressureStateElements.PressureState pressureState2(
        pressureStateID=2, pInitial=3000000)
      annotation (Placement(transformation(extent={{-206,-2},{-194,10}})));
    TIL.HeatExchangers.FinAndTube.GasVLEFluid.ParallelFlowHX MT_Evaporator(
      pressureStateID=2,
      fixedPressureDropInitialVLEFluid=false,
      fixedTInitialWall=false,
      gasCellFlowType="flow B-A",
      nCells=2,
      initVLEFluid="linearEnthalpyDistribution",
      hInitialVLEFluid_Cell1=213e3,
      hInitialVLEFluid_CellN=440e3,
      redeclare model TubeSideHeatTransferModel =
          TIL.HeatExchangers.FinAndTube.TransportPhenomena.TubeSideHeatTransfer.ConstantAlpha
          (constantAlpha=2500),
      redeclare model FinSideHeatTransferModel =
          TIL.HeatExchangers.FinAndTube.TransportPhenomena.FinSideHeatTransfer.ConstantAlpha
          (constantAlpha=150),
      redeclare TIL.HeatExchangers.FinAndTube.Geometry.KKI001 hxGeometry(
        nSerialTubes=10,
        nParallelTubes=15,
        finnedTubeLength=1),
      TInitialWall=278.15)
      annotation (Placement(transformation(extent={{-146,-18},{-118,10}})));
    TIL.GasComponents.Fans.SimpleFan MT_evaporator_fan(use_volumeFlowRateInput=
          true)
      annotation (Placement(transformation(extent={{-66,-42},{-50,-26}})));
    TIL.GasComponents.Volumes.Volume volume(volume=25, TInitial=275.15)
      annotation (Placement(transformation(
          extent={{-4,-8},{4,8}},
          rotation=0,
          origin={-164,-62})));
    TIL.OtherComponents.Thermal.HeatBoundary heatBoundary(
      boundaryType="Q_flow",
      Q_flowFixed(displayUnit="kW") = -12000,
      use_heatFlowRateInput=true) annotation (Placement(transformation(
          extent={{-4,-6},{4,6}},
          rotation=0,
          origin={-214,-50})));
    TIL.GasComponents.Sensors.Sensor_T_degC sensor_T annotation (Placement(
          transformation(
          extent={{-4,4},{4,-4}},
          rotation=180,
          origin={-194,-24})));
    TIL.OtherComponents.Controllers.PIController PI_MT_Fan(
      controllerType="PI",
      invertFeedback=true,
      yMin=1e-5,
      yInitial=1,
      Ti=100,
      yMax=10,
      k=1)
      annotation (Placement(transformation(extent={{-126,-40},{-114,-28}})));
    Modelica.Blocks.Sources.RealExpression MTSetpoint(y=2)
      annotation (Placement(transformation(extent={{-160,-44},{-140,-24}})));
    TIL.VLEFluidComponents.Sensors.Sensor_q sensor_q
      annotation (Placement(transformation(extent={{-64,10},{-56,18}})));
    TIL.VLEFluidComponents.Sensors.Sensor_q sensor_q1
      annotation (Placement(transformation(extent={{-226,8},{-218,16}})));
    TIL.VLEFluidComponents.Separators.IdealSeparator highPressureReceiver(
      pressureStateID=3,
      initialFillingLevel=0.8,
      V=0.03)
      annotation (Placement(transformation(extent={{-316,48},{-302,72}})));
    TIL.VLEFluidComponents.Sensors.Sensor_q refrigerantQualityreceiver
      annotation (Placement(transformation(extent={{-310,116},{-302,124}})));
    TIL.VLEFluidComponents.Sensors.StatePoint statePoint5(stateViewerIndex=5)
      annotation (Placement(transformation(extent={{-360,100},{-352,108}})));
    TIL.VLEFluidComponents.Sensors.Sensor_q sensor_q3(useTimeConstant=true,
        initialSensorValue=1)
      annotation (Placement(transformation(extent={{-120,100},{-112,108}})));
    TIL.VLEFluidComponents.Valves.OrificeValve highPressureValve1(
        use_effectiveFlowAreaInput=true) annotation (Placement(transformation(
          extent={{-8,-4},{8,4}},
          rotation=0,
          origin={-78,96})));
    TIL.OtherComponents.Controllers.PIController highPressure_Controller1(
      controllerType="PI",
      yMax=1e-4,
      invertFeedback=true,
      yMin=1e-9,
      yInitial=1e-8,
      k=1e-8,
      Ti=50) annotation (Placement(transformation(
          extent={{6,6},{-6,-6}},
          rotation=0,
          origin={-64,110})));
    Modelica.Blocks.Sources.RealExpression Receiver_pressureSetpoint(y=40e5)
      annotation (Placement(transformation(
          extent={{10,-10},{-10,10}},
          rotation=0,
          origin={-38,110})));
    TIL.VLEFluidComponents.PressureStateElements.PressureState pressureState3(
        pressureStateID=3, pInitial=4000000)
      annotation (Placement(transformation(extent={{-332,58},{-320,70}})));
    TIL.VLEFluidComponents.Sensors.Sensor_p sensor_p1(initialSensorValue=
          4000000, useTimeConstant=false)
      annotation (Placement(transformation(extent={{-106,100},{-98,108}})));
    TIL.VLEFluidComponents.Valves.OrificeValve MT_expansion_valve(
        use_effectiveFlowAreaInput=true)
      annotation (Placement(transformation(extent={{-252,0},{-236,8}})));
    TIL.VLEFluidComponents.Sensors.Sensor_superheating sensor_superheating
      annotation (Placement(transformation(extent={{-80,10},{-72,18}})));
    Modelica.Blocks.Sources.RealExpression MT_SH_Setpoint(y=5) annotation (
        Placement(transformation(
          extent={{10,-10},{-10,10}},
          rotation=0,
          origin={-68,42})));
    TIL.OtherComponents.Controllers.PIController PI_MT_Control_Valve(
      controllerType="PI",
      yMax=1e-3,
      invertFeedback=true,
      k=1e-6,
      yInitial=1e-6,
      yMin=1e-12,
      Ti=10)
      annotation (Placement(transformation(extent={{-120,36},{-132,48}})));
    TIL.VLEFluidComponents.Sensors.Sensor_q sensor_q4
      annotation (Placement(transformation(extent={{-280,10},{-272,18}})));
    TIL.VLEFluidComponents.Compressors.EffCompressor MT_Compressor(
      use_mechanicalPort=true,
      use_relDisplacementInput=true,
      displacement=4e-5)
      annotation (Placement(transformation(extent={{44,140},{60,156}})));
    TIL.VLEFluidComponents.JunctionElements.VolumeJunction junction(
      pressureStateID=2,
      volume=1e-4,
      hInitial=450e3) annotation (Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=90,
          origin={52,96})));
    TIL.VLEFluidComponents.Sensors.Sensor_p sensor_p2
      annotation (Placement(transformation(extent={{64,120},{72,128}})));
    TIL.OtherComponents.Controllers.PIController PI_MT_Compressor(
      controllerType="PI",
      invertFeedback=true,
      initType="initialOutput",
      k=1e-5,
      Ti=100,
      yInitial=1,
      yMax=5,
      yMin=0.5)
      annotation (Placement(transformation(extent={{106,136},{94,148}})));
    Modelica.Blocks.Sources.RealExpression MT_pressureSetpoint(y=30e5)
      annotation (Placement(transformation(
          extent={{10,-10},{-10,10}},
          rotation=0,
          origin={128,142})));
    TIL.VLEFluidComponents.PressureStateElements.PressureState pressureState4(
        pressureStateID=4, pInitial=1500000)
      annotation (Placement(transformation(extent={{-186,-244},{-174,-232}})));
    TIL.HeatExchangers.FinAndTube.GasVLEFluid.ParallelFlowHX LT_Evaporator(
      fixedPressureDropInitialVLEFluid=false,
      fixedTInitialWall=false,
      hInitialVLEFluid=220e3,
      pressureStateID=4,
      nCells=2,
      initVLEFluid="linearEnthalpyDistribution",
      hInitialVLEFluid_Cell1=213e3,
      hInitialVLEFluid_CellN=440e3,
      redeclare model TubeSideHeatTransferModel =
          TIL.HeatExchangers.FinAndTube.TransportPhenomena.TubeSideHeatTransfer.ConstantAlpha
          (constantAlpha=2500),
      redeclare model FinSideHeatTransferModel =
          TIL.HeatExchangers.FinAndTube.TransportPhenomena.FinSideHeatTransfer.ConstantAlpha
          (constantAlpha=150),
      redeclare TIL.HeatExchangers.FinAndTube.Geometry.KKI001 hxGeometry(
        nSerialTubes=5,
        finnedTubeLength=1,
        nParallelTubes=15),
      gasCellFlowType="flow B-A",
      TInitialWall=253.15)
      annotation (Placement(transformation(extent={{-136,-260},{-108,-232}})));
    TIL.GasComponents.Fans.SimpleFan LT_evaporator_fan(use_volumeFlowRateInput=
          true)
      annotation (Placement(transformation(extent={{-86,-294},{-70,-278}})));
    TIL.GasComponents.Volumes.Volume LT_Cabinet(volume=30, TInitial=253.15)
      annotation (Placement(transformation(
          extent={{-4,-8},{4,8}},
          rotation=0,
          origin={-156,-306})));
    TIL.OtherComponents.Thermal.HeatBoundary heatBoundary1(
      boundaryType="Q_flow",
      Q_flowFixed(displayUnit="kW") = -3000,
      use_heatFlowRateInput=true) annotation (Placement(transformation(
          extent={{-4,-6},{4,6}},
          rotation=0,
          origin={-204,-288})));
    TIL.GasComponents.Sensors.Sensor_T_degC sensor_T1 annotation (Placement(
          transformation(
          extent={{-4,4},{4,-4}},
          rotation=180,
          origin={-186,-272})));
    TIL.OtherComponents.Controllers.PIController PI_LT_fan(
      controllerType="PI",
      invertFeedback=true,
      yMin=1e-5,
      yInitial=1,
      k=0.1,
      Ti=100,
      yMax=5)
      annotation (Placement(transformation(extent={{-112,-292},{-100,-280}})));
    Modelica.Blocks.Sources.RealExpression MTSetpoint1(y=-20)
      annotation (Placement(transformation(extent={{-140,-296},{-120,-276}})));
    TIL.VLEFluidComponents.Sensors.Sensor_q sensor_q6
      annotation (Placement(transformation(extent={{-208,-234},{-200,-226}})));
    TIL.VLEFluidComponents.Valves.OrificeValve LT_expansion_valve(
        use_effectiveFlowAreaInput=true)
      annotation (Placement(transformation(extent={{-230,-242},{-214,-234}})));
    TIL.VLEFluidComponents.Sensors.Sensor_superheating sensor_superheating1
      annotation (Placement(transformation(extent={{-64,-234},{-56,-226}})));
    Modelica.Blocks.Sources.RealExpression LT_SH_Setpoint1(y=5) annotation (
        Placement(transformation(
          extent={{10,-10},{-10,10}},
          rotation=0,
          origin={-92,-200})));
    TIL.OtherComponents.Controllers.PIController PI_LT_Control_Valve(
      controllerType="PI",
      yMax=1e-3,
      invertFeedback=true,
      k=1e-6,
      yInitial=4e-7,
      yMin=1e-12,
      Ti=10)
      annotation (Placement(transformation(extent={{-110,-206},{-122,-194}})));
    TIL.VLEFluidComponents.Sensors.Sensor_q sensor_q7
      annotation (Placement(transformation(extent={{-298,-228},{-290,-220}})));
    TIL.VLEFluidComponents.Compressors.EffCompressor LT_Compressor(
      use_mechanicalPort=true,
      use_relDisplacementInput=true,
      displacement=7e-6)
      annotation (Placement(transformation(extent={{42,-200},{58,-184}})));
    TIL.VLEFluidComponents.Sensors.Sensor_p sensor_p3
      annotation (Placement(transformation(extent={{84,-232},{92,-224}})));
    TIL.OtherComponents.Controllers.PIController PI_LT_Compressor(
      controllerType="PI",
      invertFeedback=true,
      k=1e-5,
      Ti=100,
      yMax=4,
      yMin=1,
      yInitial=1)
      annotation (Placement(transformation(extent={{106,-212},{94,-200}})));
    Modelica.Blocks.Sources.RealExpression LT_PressureSetPoint(y=15e5)
      annotation (Placement(transformation(extent={{138,-216},{118,-196}})));
    TIL.VLEFluidComponents.JunctionElements.VolumeJunction junction1(
      pressureStateID=2,
      volume=1e-4,
      hInitial=450e3) annotation (Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=90,
          origin={52,4})));
    TIL.VLEFluidComponents.Valves.DirectionalControlValve
      parallelCompressorValve(use_switchingPositionInput=true) annotation (
        Placement(transformation(
          extent={{-8,6},{8,-6}},
          rotation=-90,
          origin={-150,116})));
    Modelica.Blocks.Sources.RealExpression parallelComp_startup(y=0.20)
      annotation (Placement(transformation(
          extent={{-10,-10},{10,10}},
          rotation=0,
          origin={-212,144})));
    TIL.OtherComponents.Controllers.PIController PI_parallelValve(
      controllerType="PI",
      initType="initialOutput",
      invertFeedback=true,
      k=1,
      yInitial=0.5,
      yMax=0.9999,
      yMin=1e-4)
      annotation (Placement(transformation(extent={{-180,138},{-168,150}})));
    TIL.VLEFluidComponents.Sensors.Sensor_m_flow sensor_m_flow(useTimeConstant=
          true, initialSensorValue=0.001)
      annotation (Placement(transformation(extent={{-32,150},{-24,158}})));
    Modelica.Blocks.Sources.RealExpression Duty_FH(y=mediumTempHX.summary.path_b.Q_flow_liq)
      annotation (Placement(transformation(extent={{544,626},{524,646}})));
    Modelica.Blocks.Sources.RealExpression Duty_DHW(y=preheatHX.summary.path_b.Q_flow_liq
           + reheatHX.summary.path_b.Q_flow_liq)
      annotation (Placement(transformation(extent={{578,626},{558,646}})));
    TIL.LiquidComponents.Sensors.Sensor_H_flow sensor_H_flow_DHWin
      annotation (Placement(transformation(extent={{-330,290},{-322,298}})));
    TIL.LiquidComponents.Sensors.Sensor_H_flow sensor_H_flow_DHWout
      annotation (Placement(transformation(extent={{-32,240},{-24,248}})));
    Modelica.Blocks.Sources.RealExpression Net_duty_total_supermarket(y=
          Net_duty_FH_Supermarket.y + Net_duty_DHW_Supermarket.y)
      annotation (Placement(transformation(extent={{712,604},{692,624}})));
    TIL.OtherComponents.Mechanical.RotatoryBoundary rotatoryBoundary(use_nInput
        =false, nFixed=50)
      annotation (Placement(transformation(extent={{92,152},{84,172}})));
    TIL.OtherComponents.Mechanical.RotatoryBoundary rotatoryBoundary1(
        use_nInput=false, nFixed=50)
      annotation (Placement(transformation(extent={{82,-202},{74,-182}})));
    Modelica.Blocks.Sources.RealExpression Supermarket_compressor_power(y=
          MT_Compressor.shaftPower + LT_Compressor.shaftPower +
          parallelCompressor.shaftPower)
      annotation (Placement(transformation(extent={{544,602},{524,622}})));
    Modelica.Blocks.Sources.RealExpression COP_heating_gross(y=(Duty_FH.y +
          Duty_DHW.y)/(Supermarket_compressor_power.y + H2_compressor_power.y))
      annotation (Placement(transformation(extent={{710,584},{690,604}})));
    TIL.VLEFluidComponents.Sensors.Sensor_q sensor_q2
      annotation (Placement(transformation(extent={{64,82},{72,90}})));
    TIL.VLEFluidComponents.Sensors.Sensor_H_flow sensor_H_flow_MTin
      annotation (Placement(transformation(extent={{-182,0},{-174,8}})));
    TIL.VLEFluidComponents.Sensors.Sensor_H_flow sensor_H_flow_MTout
      annotation (Placement(transformation(extent={{-102,0},{-94,8}})));
    Modelica.Blocks.Sources.RealExpression MT_refrigeration_duty(y=
          MT_Evaporator.summary.Q_flow_vle + MT_Evaporator1.summary.Q_flow_vle)
      annotation (Placement(transformation(extent={{576,584},{556,604}})));
    Modelica.Blocks.Sources.RealExpression LT_refrigeration_duty(y=
          LT_Evaporator.summary.Q_flow_vle)
      annotation (Placement(transformation(extent={{544,584},{524,604}})));
    TIL.VLEFluidComponents.Sensors.Sensor_H_flow sensor_H_flow_LTin
      annotation (Placement(transformation(extent={{-158,-242},{-150,-234}})));
    TIL.VLEFluidComponents.Sensors.Sensor_H_flow sensor_H_flow_LTout
      annotation (Placement(transformation(extent={{-96,-242},{-88,-234}})));
    Modelica.Blocks.Sources.RealExpression COP_refrigeration(y=(
          MT_refrigeration_duty.y + LT_refrigeration_duty.y +
          H2_refrigeration_duty.y)/(Supermarket_compressor_power.y +
          H2_compressor_power.y))
      annotation (Placement(transformation(extent={{750,608},{730,628}})));
    TIL.VLEFluidComponents.Sensors.Sensor_q sensor_q8
      annotation (Placement(transformation(extent={{-244,98},{-236,106}})));
    TIL.VLEFluidComponents.Compressors.EffCompressor parallelCompressor(
        use_mechanicalPort=true, displacement=1e-6)
      annotation (Placement(transformation(extent={{16,162},{0,178}})));
    TIL.OtherComponents.Controllers.PIController PI_parallelCompressor(
      controllerType="PI",
      initType="initialOutput",
      invertFeedback=true,
      k=1,
      yMax=100,
      yInitial=20,
      use_activeInput=false,
      yMin=1e-4)
      annotation (Placement(transformation(extent={{-56,170},{-44,182}})));
    Modelica.Blocks.Sources.RealExpression parallelSetpoint(y=40e5) annotation
      (Placement(transformation(
          extent={{-10,-10},{10,10}},
          rotation=0,
          origin={-74,176})));
    TIL.VLEFluidComponents.Sensors.Sensor_p sensor_p4(initialSensorValue=
          3900000, useTimeConstant=false)
      annotation (Placement(transformation(extent={{-74,158},{-66,166}})));
    TIL.VLEFluidComponents.JunctionElements.VolumeJunction highPressureJuntion(
      pressureStateID=1,
      volume=1e-4,
      hInitial=520e3) annotation (Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=90,
          origin={52,184})));
    TIL.OtherComponents.Mechanical.RotatoryBoundary rotatoryBoundary2(
        use_nInput=true)
      annotation (Placement(transformation(extent={{-18,160},{-10,180}})));
    TIL.VLEFluidComponents.Sensors.Sensor_m_flow sensor_m_flow1(useTimeConstant
        =true, initialSensorValue=0.001)
      annotation (Placement(transformation(extent={{-138,92},{-130,100}})));
    TIL.GasComponents.Sensors.Sensor_T_degC sensor_T_degC3
      annotation (Placement(transformation(extent={{-142,-308},{-134,-300}})));
    TIL.GasComponents.Sensors.Sensor_T_degC sensor_T_degC9
      annotation (Placement(transformation(extent={{-142,-64},{-134,-56}})));
    inner TIL.SystemInformationManager sim(
      redeclare TILMedia.VLEFluidTypes.TILMedia_CO2 vleFluidType1,
      redeclare TILMedia.GasTypes.TILMedia_MoistAir gasType1,
      redeclare TILMedia.LiquidTypes.TILMedia_Water liquidType1,
      redeclare TILMedia.LiquidTypes.TILMedia_Glysantin_60 liquidType2,
      redeclare Simulation_models.Refprop_Propane vleFluidType2)
      annotation (Placement(transformation(extent={{444,634},{464,654}})));
    TIL.LiquidComponents.Tubes.Tube DHW_tank_middle(
      redeclare model TubeSideHeatTransferModel =
          TIL.LiquidComponents.Tubes.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=0),
      redeclare model PressureDropModel =
          TIL.LiquidComponents.Tubes.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      nCells=20,
      tubeGeometry(
        nParallelTubes=1,
        innerDiameter=1,
        length=4.075),
      TInitialLiquid=333.15) annotation (Placement(transformation(
          extent={{-16,-4},{16,4}},
          rotation=90,
          origin={-14,482})));

    TIL.LiquidComponents.Tubes.Tube DHW_tank_top(
      redeclare model TubeSideHeatTransferModel =
          TIL.LiquidComponents.Tubes.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=0),
      redeclare model PressureDropModel =
          TIL.LiquidComponents.Tubes.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      nCells=5,
      tubeGeometry(innerDiameter=0.7, length=0.01),
      TInitialLiquid=323.15) annotation (Placement(transformation(
          extent={{-8,-2},{8,2}},
          rotation=90,
          origin={-14,540})));

    TIL.LiquidComponents.JunctionElements.VolumeJunction junction7 annotation (
        Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=90,
          origin={-14,510})));
    TIL.LiquidComponents.Boundaries.Boundary cityWaterInlet(boundaryType="p",
        TFixed=278.15)
      annotation (Placement(transformation(extent={{2,424},{10,444}})));
    TIL.LiquidComponents.Boundaries.Boundary DHW_Consumer_port(m_flowFixed=0.1,
        use_massFlowRateInput=true)
      annotation (Placement(transformation(extent={{50,544},{42,564}})));
    TIL.LiquidComponents.Sensors.Sensor_H_flow sensor_H_flow
      annotation (Placement(transformation(extent={{-8,550},{0,558}})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC DHW_Consumer_temp
      annotation (Placement(transformation(extent={{30,556},{38,564}})));
    TIL.LiquidComponents.Sensors.Sensor_m_flow sensor_m_flow2
      annotation (Placement(transformation(extent={{12,550},{20,558}})));
    TIL.LiquidComponents.Sensors.Sensor_m_flow sensor_m_flow3
      annotation (Placement(transformation(extent={{-48,506},{-40,514}})));
    TIL.LiquidComponents.JunctionElements.VolumeJunction junction8 annotation (
        Placement(transformation(
          extent={{-4,4},{4,-4}},
          rotation=90,
          origin={-14,454})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC sensor_T_degC16
      annotation (Placement(transformation(extent={{14,462},{22,470}})));
    TIL.LiquidComponents.Sensors.Sensor_m_flow sensor_m_flow5 annotation (
        Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=90,
          origin={-14,444})));
    TIL.LiquidComponents.Sensors.Sensor_m_flow sensor_m_flow6 annotation (
        Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=90,
          origin={-14,522})));
    TIL.HeatExchangers.FinAndTube.MoistAirLiquid.ParallelFlowHX DryCooler_DHW(
      initLiquid="constantTemperature",
      nCells=2,
      redeclare model FinSideHeatTransferModel =
          TIL.HeatExchangers.FinAndTube.TransportPhenomena.FinSideHeatTransfer.ConstantAlpha
          (constantAlpha=150),
      redeclare model TubeSideHeatTransferModel =
          TIL.HeatExchangers.FinAndTube.TransportPhenomena.TubeSideHeatTransfer.ConstantAlpha
          (constantAlpha=600),
      redeclare TIL.HeatExchangers.FinAndTube.Geometry.KKI001 hxGeometry(
        nSerialTubes=30,
        nParallelTubes=10,
        finnedTubeLength=1.5),
      TInitialLiquid=288.15)
      annotation (Placement(transformation(extent={{-250,454},{-222,426}})));
    TIL.GasComponents.Boundaries.Boundary boundary1(boundaryType="p")
      annotation (Placement(transformation(
          extent={{-4,-10},{4,10}},
          rotation=90,
          origin={-206,474})));
    TIL.GasComponents.Boundaries.Boundary boundary4(
      m_flowFixed=1,
      boundaryType="p",
      use_temperatureInput=true,
      TFixed=278.15) annotation (Placement(transformation(
          extent={{-4,-10},{4,10}},
          rotation=-90,
          origin={-288,476})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC Temperature_after_drycooler
      annotation (Placement(transformation(extent={{-340,442},{-332,450}})));
    TIL.GasComponents.Fans.SimpleFan simpleFan(use_volumeFlowRateInput=true,
        eta=0.4) annotation (Placement(transformation(
          extent={{-8,-8},{8,8}},
          rotation=-90,
          origin={-268,448})));
    TIL.OtherComponents.Controllers.PIController PI_Drycooler_DHW(
      controllerType="PI",
      initType="initialOutput",
      use_activeInput=false,
      use_y_notActive=false,
      invertFeedback=true,
      Ti=10,
      yInitial=1,
      k=1,
      yMin=1e-5,
      yMax=10)
      annotation (Placement(transformation(extent={{-318,498},{-306,510}})));
    TIL.LiquidComponents.Tubes.Tube SpaceHeating_tank(
      redeclare model TubeSideHeatTransferModel =
          TIL.LiquidComponents.Tubes.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=0),
      redeclare model PressureDropModel =
          TIL.LiquidComponents.Tubes.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      nCells=10,
      tubeGeometry(
        nParallelTubes=1,
        innerDiameter=1,
        length=6.366),
      TInitialLiquid=306.15) annotation (Placement(transformation(
          extent={{16,-4},{-16,4}},
          rotation=90,
          origin={250,322})));

    TIL.LiquidComponents.JunctionElements.VolumeJunction junction10 annotation
      (Placement(transformation(
          extent={{-4,4},{4,-4}},
          rotation=-90,
          origin={250,376})));
    TIL.LiquidComponents.JunctionElements.VolumeJunction junction11 annotation
      (Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=90,
          origin={250,274})));
    TIL.LiquidComponents.Boundaries.Boundary boundary5(boundaryType="m_flow",
        use_massFlowRateInput=true)
      annotation (Placement(transformation(extent={{342,426},{334,446}})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC sensor_T_degC15
      annotation (Placement(transformation(extent={{256,442},{264,450}})));
    TIL.LiquidComponents.Sensors.Sensor_m_flow sensor_m_flow7 annotation (
        Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=90,
          origin={250,286})));
    TIL.LiquidComponents.Sensors.Sensor_m_flow sensor_m_flow8 annotation (
        Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=90,
          origin={250,346})));
    TIL.LiquidComponents.Tubes.Tube SpaceHeating_tank_top(
      redeclare model TubeSideHeatTransferModel =
          TIL.LiquidComponents.Tubes.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=0),
      redeclare model PressureDropModel =
          TIL.LiquidComponents.Tubes.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      nCells=10,
      tubeGeometry(
        nParallelTubes=1,
        innerDiameter=0.5,
        length=0.5),
      TInitialLiquid=306.15) annotation (Placement(transformation(
          extent={{16,-4},{-16,4}},
          rotation=90,
          origin={250,414})));

    TIL.LiquidComponents.Sensors.Sensor_m_flow sensor_m_flow9 annotation (
        Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=90,
          origin={250,388})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC SpaceHeating_tank_bottomTemp
      annotation (Placement(transformation(extent={{272,298},{280,306}})));
    TIL.LiquidComponents.Pumps.SimplePump simplePump2(
      presetVariableType="m_flow",
      use_massFlowRateInput=true,
      use_volumeFlowRateInput=false) annotation (Placement(transformation(
          extent={{8,-8},{-8,8}},
          rotation=270,
          origin={146,376})));
    Modelica.Blocks.Sources.RealExpression floorHeatingSetpoint1(y=33)
      annotation (Placement(transformation(extent={{102,298},{122,318}})));
    TIL.OtherComponents.Controllers.PIController PI_FH_pump1(
      controllerType="PI",
      invertFeedback=true,
      Ti=0.01,
      k=1e-2,
      yMax=5,
      yInitial=3,
      yMin=0.01) annotation (Placement(transformation(
          extent={{-6,6},{6,-6}},
          rotation=90,
          origin={142,328})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC sensor_T_degC10
      annotation (Placement(transformation(extent={{82,380},{90,388}})));
    TIL.LiquidComponents.Boundaries.Boundary boundary(boundaryType="p", TFixed=
          301.15)
      annotation (Placement(transformation(extent={{180,226},{188,246}})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC sensor_T_degC4
      annotation (Placement(transformation(extent={{-144,360},{-136,368}})));
    TIL.LiquidComponents.JunctionElements.VolumeJunction junction2 annotation (
        Placement(transformation(
          extent={{-4,4},{4,-4}},
          rotation=90,
          origin={250,252})));
    TIL.LiquidComponents.JunctionElements.VolumeJunction junction3 annotation (
        Placement(transformation(
          extent={{-4,4},{4,-4}},
          rotation=90,
          origin={250,360})));

    TIL.VLEFluidComponents.Sensors.Sensor_q sensor_q9(vleFluidType=sim.vleFluidType2)
      annotation (Placement(transformation(extent={{452,212},{460,220}})));
    TIL.VLEFluidComponents.Sensors.Sensor_q condenser_outlet_quality(
        vleFluidType=sim.vleFluidType2)
      annotation (Placement(transformation(extent={{280,214},{288,222}})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC sensor_T_degC5
      annotation (Placement(transformation(extent={{446,254},{454,262}})));
    TIL.HeatExchangers.Plate.VLEFluidLiquid.ParallelFlowHX R290_Condenser(
      vleFluidType_a=sim.vleFluidType2,
      pressureStateID=7,
      redeclare model PressureDropModel_a =
          TIL.HeatExchangers.Plate.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      redeclare model PressureDropModel_b =
          TIL.HeatExchangers.Plate.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      hInitialVLEFluid_a=600e3,
      redeclare TIL.HeatExchangers.Plate.Geometry.Example hxGeometry(
        numberOfPlates=100,
        length=0.5,
        width=0.2),
      initVLEFluid_a="linearEnthalpyDistribution",
      hInitialVLEFluid_a_CellN=290e3,
      hInitialVLEFluid_a_Cell1=640e3,
      nCells=3,
      redeclare model HeatTransferModel_a =
          TIL.HeatExchangers.Plate.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=2500),
      redeclare model HeatTransferModel_b =
          TIL.HeatExchangers.Plate.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=1000),
      TInitialLiquid_b=301.15,
      pStart_a=1300000)
      annotation (Placement(transformation(extent={{386,230},{358,258}})));

    TIL.VLEFluidComponents.PressureStateElements.PressureState pressureState7(
      vleFluidType=sim.vleFluidType2,
      pressureStateID=7,
      pInitial=1350000)
      annotation (Placement(transformation(extent={{404,200},{416,212}})));
    TIL.VLEFluidComponents.Sensors.Sensor_p sensor_p5(vleFluidType=sim.vleFluidType2)
      annotation (Placement(transformation(extent={{428,212},{436,220}})));
    TIL.LiquidComponents.Pumps.SimplePump R290_WaterPump(presetVariableType=
          "m_flow", use_massFlowRateInput=true) annotation (Placement(
          transformation(
          extent={{-8,-8},{8,8}},
          rotation=-90,
          origin={420,252})));
    TIL.OtherComponents.Controllers.PIController PI_R290_WaterPump(
      controllerType="PI",
      yInitial=0.5,
      use_activeInput=true,
      use_y_notActive=true,
      invertFeedback=true,
      yMin=1e-6,
      yMax=5,
      Ti=10,
      k=1) annotation (Placement(transformation(extent={{438,292},{426,304}})));
    Modelica.Blocks.Sources.RealExpression FH_setpoint_HP(y=33)
      annotation (Placement(transformation(extent={{478,306},{458,326}})));
    TIL.LiquidComponents.Sensors.Sensor_H_flow H_flow_W_inlet
      annotation (Placement(transformation(extent={{326,248},{334,256}})));
    TIL.LiquidComponents.Sensors.Sensor_H_flow H_flow_W_outlet
      annotation (Placement(transformation(extent={{394,248},{402,256}})));
    TIL.VLEFluidComponents.Sensors.Sensor_m_flow sensor_m_flow10(vleFluidType=
          sim.vleFluidType2)
      annotation (Placement(transformation(extent={{448,142},{456,150}})));
    TIL.VLEFluidComponents.PressureStateElements.PressureState pressureState9(
      vleFluidType=sim.vleFluidType2,
      pressureStateID=8,
      pInitial=340000)
      annotation (Placement(transformation(extent={{362,140},{374,152}})));
    TIL.HeatExchangers.Plate.VLEFluidLiquid.ParallelFlowHX R290_Evaporator(
      vleFluidType_a=sim.vleFluidType2,
      redeclare model PressureDropModel_a =
          TIL.HeatExchangers.Plate.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      redeclare model PressureDropModel_b =
          TIL.HeatExchangers.Plate.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      initVLEFluid_a="constantEnthalpy",
      hInitialVLEFluid_a=600e3,
      redeclare TIL.HeatExchangers.Plate.Geometry.Example hxGeometry(
        numberOfPlates=100,
        length=0.5,
        width=0.2),
      pressureStateID=8,
      nCells=3,
      redeclare model HeatTransferModel_a =
          TIL.HeatExchangers.Plate.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=2500),
      redeclare model HeatTransferModel_b =
          TIL.HeatExchangers.Plate.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=1000),
      TInitialLiquid_b=301.15,
      pStart_a=1300000)
      annotation (Placement(transformation(extent={{314,152},{342,124}})));

    TIL.VLEFluidComponents.Sensors.Sensor_superheating sensor_superheating2(
        vleFluidType=sim.vleFluidType2)
      annotation (Placement(transformation(extent={{348,152},{356,160}})));
    TIL.VLEFluidComponents.Valves.OrificeValve R290_Expvalve(vleFluidType=sim.vleFluidType2,
        use_effectiveFlowAreaInput=true) annotation (Placement(transformation(
          extent={{-8,-4},{8,4}},
          rotation=-90,
          origin={270,188})));
    TIL.OtherComponents.Controllers.PIController PI_R290_ExpValve(
      controllerType="PI",
      initType="initialOutput",
      invertFeedback=true,
      yMax=1e-2,
      yInitial=1e-5,
      Ti=5,
      yMin=1e-10,
      use_activeInput=true,
      use_y_notActive=true,
      k=1e-6)
      annotation (Placement(transformation(extent={{296,182},{284,194}})));
    Modelica.Blocks.Sources.RealExpression Superheat_setpoint(y=5)
      annotation (Placement(transformation(extent={{338,180},{318,200}})));
    TIL.LiquidComponents.Boundaries.Boundary boundary2(
      m_flowFixed=0.5,
      boundaryType="p",
      TFixed=283.15)
      annotation (Placement(transformation(extent={{262,98},{270,118}})));
    TIL.LiquidComponents.Boundaries.Boundary boundary3(
      boundaryType="m_flow",
      m_flowFixed=-2,
      TFixed=278.15)
      annotation (Placement(transformation(extent={{388,96},{380,116}})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC sensor_T_degC11
      annotation (Placement(transformation(extent={{274,112},{282,120}})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC sensor_T_degC12
      annotation (Placement(transformation(extent={{370,110},{378,118}})));
    TIL.VLEFluidComponents.Sensors.Sensor_p sensor_p6(vleFluidType=sim.vleFluidType2)
      annotation (Placement(transformation(extent={{406,152},{414,160}})));
    TIL.VLEFluidComponents.Compressors.EffCompressor R290_Compressor(
      vleFluidType=sim.vleFluidType2,
      use_mechanicalPort=true,
      use_relDisplacementInput=true,
      displacement=1e-4)
      annotation (Placement(transformation(extent={{458,172},{474,188}})));
    TIL.VLEFluidComponents.Sensors.Sensor_T_degC sensor_T_degC13(vleFluidType=
          sim.vleFluidType2)
      annotation (Placement(transformation(extent={{250,154},{258,162}})));
    TIL.OtherComponents.Mechanical.RotatoryBoundary rotatoryBoundary3(
        use_nInput=true)
      annotation (Placement(transformation(extent={{526,170},{518,190}})));
    Modelica.Blocks.Sources.RealExpression R290_HP_duty(y=H_flow_W_outlet.sensorValue
           - H_flow_W_inlet.sensorValue)
      annotation (Placement(transformation(extent={{542,534},{522,554}})));
    Modelica.Blocks.Sources.RealExpression COP_R290_HP(y=R290_HP_duty.y/
          R290_Compressor.summary.P_shaft)
      annotation (Placement(transformation(extent={{752,538},{732,558}})));
    Modelica.Blocks.Logical.Hysteresis hysteresis(uHigh=33, uLow=28.1)
      annotation (Placement(transformation(extent={{650,170},{630,190}})));
    Modelica.Blocks.Logical.Not not1
      annotation (Placement(transformation(extent={{614,174},{602,186}})));
    Modelica.Blocks.Sources.RealExpression On_off_trigger_HP(y=
          SpaceHeating_tank.summary.arrays.T_degC_liq_cell[10])
      annotation (Placement(transformation(extent={{730,178},{710,198}})));
    TIL.VLEFluidComponents.Sensors.Sensor_q sensor_q10(vleFluidType=sim.vleFluidType2)
      annotation (Placement(transformation(extent={{430,152},{438,160}})));
    Modelica.Blocks.Sources.BooleanExpression booleanExpression1(y=not1.y)
      annotation (Placement(transformation(extent={{502,292},{482,312}})));
    Modelica.Blocks.Sources.RealExpression Pump_off_value(y=1e-8)
      annotation (Placement(transformation(extent={{382,304},{402,324}})));
    Modelica.Blocks.Logical.Switch switch1
      annotation (Placement(transformation(extent={{686,170},{666,190}})));
    Modelica.Blocks.Sources.RealExpression On_off_trigger_HP1(y=
          SpaceHeating_tank.summary.arrays.T_degC_liq_cell[9])
      annotation (Placement(transformation(extent={{730,162},{710,182}})));
    Modelica.Blocks.Sources.RealExpression Valve_not_active(y=5e-6)
      annotation (Placement(transformation(extent={{334,198},{314,218}})));
    Modelica.Blocks.Sources.BooleanExpression booleanExpression(y=not1.y)
      annotation (Placement(transformation(extent={{334,162},{314,182}})));
    TIL.VLEFluidComponents.JunctionElements.VolumeJunction junction4(
      volume=1e-4,
      pressureStateID=3,
      hInitial=213e3) annotation (Placement(transformation(
          extent={{4,4},{-4,-4}},
          rotation=90,
          origin={-310,4})));
    TIL.VLEFluidComponents.JunctionElements.VolumeJunction junction5(
      volume=1e-4,
      pressureStateID=3,
      hInitial=213e3) annotation (Placement(transformation(
          extent={{4,4},{-4,-4}},
          rotation=90,
          origin={-310,-116})));
    TIL.HeatExchangers.FinAndTube.GasVLEFluid.ParallelFlowHX MT_Evaporator1(
      pressureStateID=2,
      fixedPressureDropInitialVLEFluid=false,
      fixedTInitialWall=false,
      nCells=2,
      initVLEFluid="linearEnthalpyDistribution",
      hInitialVLEFluid_Cell1=213e3,
      hInitialVLEFluid_CellN=440e3,
      redeclare model TubeSideHeatTransferModel =
          TIL.HeatExchangers.FinAndTube.TransportPhenomena.TubeSideHeatTransfer.ConstantAlpha
          (constantAlpha=2500),
      redeclare model FinSideHeatTransferModel =
          TIL.HeatExchangers.FinAndTube.TransportPhenomena.FinSideHeatTransfer.ConstantAlpha
          (constantAlpha=150),
      redeclare TIL.HeatExchangers.FinAndTube.Geometry.KKI001 hxGeometry(
        nSerialTubes=10,
        nParallelTubes=15,
        finnedTubeLength=1),
      gasCellFlowType="flow B-A",
      TInitialWall=278.15)
      annotation (Placement(transformation(extent={{-138,-138},{-110,-110}})));
    TIL.GasComponents.Fans.SimpleFan MT_evaporator_fan1(use_volumeFlowRateInput
        =true)
      annotation (Placement(transformation(extent={{-56,-170},{-40,-154}})));
    TIL.GasComponents.Volumes.Volume volume1(volume=25, TInitial=275.15)
      annotation (Placement(transformation(
          extent={{-4,-8},{4,8}},
          rotation=0,
          origin={-158,-182})));
    TIL.OtherComponents.Thermal.HeatBoundary heatBoundary2(
      boundaryType="Q_flow",
      Q_flowFixed(displayUnit="kW") = -12000,
      use_heatFlowRateInput=true) annotation (Placement(transformation(
          extent={{-4,-6},{4,6}},
          rotation=0,
          origin={-200,-170})));
    TIL.GasComponents.Sensors.Sensor_T_degC sensor_T2 annotation (Placement(
          transformation(
          extent={{-4,4},{4,-4}},
          rotation=180,
          origin={-186,-144})));
    TIL.OtherComponents.Controllers.PIController PI_MT_Fan1(
      controllerType="PI",
      invertFeedback=true,
      yInitial=1,
      yMin=1e-5,
      Ti=100,
      yMax=10,
      k=1)
      annotation (Placement(transformation(extent={{-82,-168},{-70,-156}})));
    Modelica.Blocks.Sources.RealExpression MTSetpoint2(y=2)
      annotation (Placement(transformation(extent={{-116,-172},{-96,-152}})));
    TIL.VLEFluidComponents.Sensors.Sensor_q sensor_q11
      annotation (Placement(transformation(extent={{-50,-112},{-42,-104}})));
    TIL.VLEFluidComponents.Sensors.Sensor_q sensor_q12
      annotation (Placement(transformation(extent={{-218,-112},{-210,-104}})));
    TIL.VLEFluidComponents.Valves.OrificeValve MT_expansion_valve1(
        use_effectiveFlowAreaInput=true)
      annotation (Placement(transformation(extent={{-244,-120},{-228,-112}})));
    TIL.VLEFluidComponents.Sensors.Sensor_superheating sensor_superheating3
      annotation (Placement(transformation(extent={{-72,-110},{-64,-102}})));
    Modelica.Blocks.Sources.RealExpression MT_SH_Setpoint1(y=5) annotation (
        Placement(transformation(
          extent={{10,-10},{-10,10}},
          rotation=0,
          origin={-90,-92})));
    TIL.OtherComponents.Controllers.PIController PI_MT_Control_Valve1(
      controllerType="PI",
      yMax=1e-3,
      invertFeedback=true,
      k=1e-6,
      yInitial=1e-6,
      yMin=1e-12,
      Ti=10)
      annotation (Placement(transformation(extent={{-112,-98},{-124,-86}})));
    TIL.VLEFluidComponents.Sensors.Sensor_H_flow sensor_H_flow_MTin1
      annotation (Placement(transformation(extent={{-174,-120},{-166,-112}})));
    TIL.VLEFluidComponents.Sensors.Sensor_H_flow sensor_H_flow_MTout1
      annotation (Placement(transformation(extent={{-94,-120},{-86,-112}})));
    TIL.GasComponents.Sensors.Sensor_T_degC sensor_T_degC14
      annotation (Placement(transformation(extent={{-134,-184},{-126,-176}})));
    TIL.VLEFluidComponents.Sensors.Sensor_q sensor_q13
      annotation (Placement(transformation(extent={{-284,-114},{-276,-106}})));
    TIL.VLEFluidComponents.JunctionElements.VolumeJunction junction6(
      pressureStateID=2,
      volume=1e-4,
      hInitial=450e3) annotation (Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=90,
          origin={50,-116})));
    TILFileReader.FileReader Spaceheating_spring(fileType=TILFileReader.Internals.FileTypes.CSVFile,
        fileName="C:/spring_demand.csv")
      annotation (Placement(transformation(extent={{366,458},{386,478}})));
    TILFileReader.Variables.RealVariableName SH_demand(interpolationMethod=
          TILFileReader.Internals.InterpolationMethods.NoInterpolation,
        variableName="Massflow")
      annotation (Placement(transformation(extent={{378,426},{358,446}})));
    TILFileReader.FileReader Spaceheating_reader1(fileType=TILFileReader.Internals.FileTypes.CSVFile,
        fileName="C:/Refrigeration_loads.csv")
      annotation (Placement(transformation(extent={{-366,-122},{-346,-102}})));
    TILFileReader.Variables.RealVariableName MT_duty_output(
      interpolationMethod=TILFileReader.Internals.InterpolationMethods.NoInterpolation,

      variableName="MT_duty",
      factor=0.5)
      annotation (Placement(transformation(extent={{-350,-182},{-330,-162}})));

    TILFileReader.Variables.RealVariableName LT_duty_output(
      interpolationMethod=TILFileReader.Internals.InterpolationMethods.NoInterpolation,

      variableName="LT_duty",
      factor=1)
      annotation (Placement(transformation(extent={{-370,-300},{-350,-280}})));

    TILFileReader.FileReader fileReader(fileName="C:/DHW_demand.csv",
        decimalSeparator=TILFileReader.Internals.DecimalSeparators.ColonSeparator)
      annotation (Placement(transformation(extent={{92,598},{112,618}})));
    TILFileReader.Variables.RealVariableName DHW_demand(variableName="Massflow")
      annotation (Placement(transformation(extent={{104,546},{84,566}})));
    TIL.LiquidComponents.Sensors.Sensor_H_flow H_flow_SH_out
      annotation (Placement(transformation(extent={{290,432},{298,440}})));
    TIL.LiquidComponents.Sensors.Sensor_H_flow H_flow_SH_in
      annotation (Placement(transformation(extent={{208,232},{216,240}})));
    Modelica.Blocks.Sources.RealExpression Actual_Delivered_duty_SpaceHeating(y
        =H_flow_SH_out.sensorValue - H_flow_SH_in.sensorValue)
      annotation (Placement(transformation(extent={{544,558},{524,578}})));
    TIL.HeatExchangers.FinAndTube.MoistAirLiquid.ParallelFlowHX DryCooler_FH(
      initLiquid="constantTemperature",
      nCells=2,
      redeclare model TubeSideHeatTransferModel =
          TIL.HeatExchangers.FinAndTube.TransportPhenomena.TubeSideHeatTransfer.ConstantAlpha
          (constantAlpha=600),
      redeclare model FinSideHeatTransferModel =
          TIL.HeatExchangers.FinAndTube.TransportPhenomena.FinSideHeatTransfer.ConstantAlpha
          (constantAlpha=150),
      redeclare TIL.HeatExchangers.FinAndTube.Geometry.KKI001 hxGeometry(
        nSerialTubes=30,
        nParallelTubes=10,
        finnedTubeLength=1.5),
      TInitialLiquid=288.15)
      annotation (Placement(transformation(extent={{-198,374},{-170,346}})));
    TIL.GasComponents.Fans.SimpleFan simpleFan1(use_volumeFlowRateInput=true,
        eta=0.4) annotation (Placement(transformation(
          extent={{-8,-8},{8,8}},
          rotation=-90,
          origin={-236,368})));
    TIL.GasComponents.Boundaries.Boundary boundary6(
      m_flowFixed=1,
      boundaryType="p",
      use_temperatureInput=true,
      TFixed=278.15) annotation (Placement(transformation(
          extent={{-4,-10},{4,10}},
          rotation=0,
          origin={-280,368})));
    TIL.GasComponents.Boundaries.Boundary boundary7(
      m_flowFixed=1,
      boundaryType="p",
      use_temperatureInput=false,
      TFixed=283.15) annotation (Placement(transformation(
          extent={{-4,-10},{4,10}},
          rotation=-90,
          origin={-152,404})));
    TIL.OtherComponents.Controllers.PIController PI_Drycooler_FH(
      controllerType="PI",
      initType="initialOutput",
      use_activeInput=false,
      use_y_notActive=false,
      integralParameterType="Ti",
      invertFeedback=true,
      Ti=10,
      k=1,
      yMin=1e-5,
      yInitial=1,
      yMax=5)
      annotation (Placement(transformation(extent={{-266,386},{-254,398}})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC sensor_T_degC17
      annotation (Placement(transformation(extent={{-238,328},{-230,336}})));
    Modelica.Blocks.Sources.RealExpression ReturnTempSetpoint1(y=28)
      annotation (Placement(transformation(extent={{-302,382},{-282,402}})));
    TIL.GasComponents.Sensors.Sensor_T_degC sensor_T_degC18
      annotation (Placement(transformation(extent={{-180,384},{-172,392}})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC Temperature_after_drycooler1
      annotation (Placement(transformation(extent={{-192,486},{-184,494}})));
    TIL.GasComponents.Sensors.Sensor_T_degC sensor_T_degC19
      annotation (Placement(transformation(extent={{-232,466},{-224,474}})));
    Modelica.Blocks.Sources.RealExpression ReturnTempSetpoint3(y=5)
      annotation (Placement(transformation(extent={{-422,494},{-402,514}})));
    Modelica.Blocks.Sources.RealExpression SpaceHeatingTank_Setpoint(y=33)
      annotation (Placement(transformation(extent={{584,116},{564,136}})));
    Modelica.Blocks.Sources.RealExpression SpaceHeatingTank_TopLayerTemp(y=
          SpaceHeating_tank.summary.arrays.T_degC_liq_cell[1])
      annotation (Placement(transformation(extent={{584,92},{564,112}})));
    Modelica.Blocks.Logical.Switch switch2
      annotation (Placement(transformation(extent={{572,190},{552,170}})));
    Modelica.Blocks.Sources.RealExpression On_frequenze(y=50)
      annotation (Placement(transformation(extent={{622,134},{602,154}})));
    Modelica.Blocks.Sources.RealExpression Off_frequenze(y=1)
      annotation (Placement(transformation(extent={{620,196},{600,216}})));
    TIL.VLEFluidComponents.Sensors.Sensor_T_degC LT_dischargeTemp
      annotation (Placement(transformation(extent={{72,-168},{80,-160}})));
    TIL.VLEFluidComponents.Sensors.Sensor_T_degC MT_dischargeTemp
      annotation (Placement(transformation(extent={{70,168},{78,176}})));
    TIL.OtherComponents.Controllers.PIController PI_R290_relDisp(
      controllerType="PI",
      yMin=1,
      yInitial=1,
      k=1,
      Ti=100,
      yMax=2)
      annotation (Placement(transformation(extent={{544,120},{532,132}})));
    TIL.LiquidComponents.Sensors.Sensor_H_flow sensor_H_flow_inFH annotation (
        Placement(transformation(
          extent={{-4,4},{4,-4}},
          rotation=270,
          origin={-180,260})));
    TIL.LiquidComponents.Sensors.Sensor_H_flow sensor_H_flow_outFH annotation (
        Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=90,
          origin={-126,262})));
    Modelica.Blocks.Sources.RealExpression Net_duty_FH_Supermarket(y=Duty_FH.y
           - DryCooler_FH.summary.Q_flow_air)
      annotation (Placement(transformation(extent={{712,626},{692,646}})));
    Modelica.Blocks.Sources.RealExpression Net_duty_DHW_Supermarket(y=Duty_DHW.y
           - DryCooler_DHW.summary.Q_flow_air)
      annotation (Placement(transformation(extent={{750,626},{730,646}})));
    Modelica.Blocks.Sources.RealExpression COP_Combined_gross(y=
          COP_refrigeration.y + COP_heating_gross.y)
      annotation (Placement(transformation(extent={{748,560},{728,580}})));
    TILFileReader.FileReader Spaceheating_winter(fileType=TILFileReader.Internals.FileTypes.CSVFile,
        fileName="C:/winter_demand.csv")
      annotation (Placement(transformation(extent={{438,458},{458,478}})));
    TILFileReader.FileReader Spaceheating_fall(fileType=TILFileReader.Internals.FileTypes.CSVFile,
        fileName="C:/fall_demand.csv")
      annotation (Placement(transformation(extent={{416,458},{436,478}})));
    TILFileReader.FileReader Spaceheating_summer(fileType=TILFileReader.Internals.FileTypes.CSVFile,
        fileName="C:/summer_demand.csv")
      annotation (Placement(transformation(extent={{390,458},{410,478}})));
    TILFileReader.Variables.RealVariableName OutsideTemperature(variableName=
          "Tout")
      annotation (Placement(transformation(extent={{394,392},{374,412}})));
    Modelica.Blocks.Sources.RealExpression OutsideTemperatureInput(y=
          OutsideTemperature.value + 273.15)
      annotation (Placement(transformation(extent={{-422,402},{-402,422}})));
    TIL.HeatExchangers.Plate.VLEFluidLiquid.ParallelFlowHX reheatHX(
      pressureStateID=1,
      redeclare model PressureDropModel_a =
          TIL.HeatExchangers.Plate.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      redeclare model PressureDropModel_b =
          TIL.HeatExchangers.Plate.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      initVLEFluid_a="linearEnthalpyDistribution",
      initLiquid_b="linearTemperatureDistribution",
      nCells=3,
      hInitialVLEFluid_a_Cell1=513e3,
      hInitialVLEFluid_a_CellN=353e3,
      redeclare model HeatTransferModel_a =
          TIL.HeatExchangers.Plate.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=2500),
      redeclare model HeatTransferModel_b =
          TIL.HeatExchangers.Plate.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=1000),
      redeclare TIL.HeatExchangers.Plate.Geometry.PlateGeometry hxGeometry(
        phi=30,
        wallThickness=0.0009,
        patternAmplitude=0.0006,
        length=0.6,
        patternWaveLength=0.12e-3,
        numberOfPlates=150,
        width=0.3),
      TInitialVLEFluid_a=358.15,
      TInitialLiquid_b=343.15,
      TInitialLiquid_b_Cell1=343.15,
      TInitialLiquid_b_CellN=301.15)
      annotation (Placement(transformation(extent={{-50,210},{-78,238}})));

    TIL.HeatExchangers.Plate.VLEFluidLiquid.ParallelFlowHX mediumTempHX(
      pressureStateID=1,
      redeclare model PressureDropModel_a =
          TIL.HeatExchangers.Plate.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      redeclare model PressureDropModel_b =
          TIL.HeatExchangers.Plate.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      initVLEFluid_a="linearEnthalpyDistribution",
      initLiquid_b="linearTemperatureDistribution",
      nCells=3,
      hInitialVLEFluid_a_Cell1=353e3,
      hInitialVLEFluid_a_CellN=270e3,
      redeclare model HeatTransferModel_a =
          TIL.HeatExchangers.Plate.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=2500),
      redeclare model HeatTransferModel_b =
          TIL.HeatExchangers.Plate.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=1000),
      redeclare TIL.HeatExchangers.Plate.Geometry.PlateGeometry hxGeometry(
        phi=30,
        wallThickness=0.0009,
        patternAmplitude=0.0006,
        length=0.6,
        patternWaveLength=0.12e-3,
        numberOfPlates=150,
        width=0.3),
      TInitialVLEFluid_a=323.15,
      TInitialLiquid_b=323.15,
      TInitialLiquid_b_Cell1=306.15,
      TInitialLiquid_b_CellN=301.15)
      annotation (Placement(transformation(extent={{-140,210},{-168,238}})));

    TIL.HeatExchangers.Plate.VLEFluidLiquid.ParallelFlowHX preheatHX(
      pressureStateID=1,
      redeclare model PressureDropModel_a =
          TIL.HeatExchangers.Plate.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      redeclare model PressureDropModel_b =
          TIL.HeatExchangers.Plate.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      initVLEFluid_a="linearEnthalpyDistribution",
      initLiquid_b="linearTemperatureDistribution",
      nCells=3,
      hInitialVLEFluid_a_Cell1=270e3,
      hInitialVLEFluid_a_CellN=213e3,
      redeclare model HeatTransferModel_a =
          TIL.HeatExchangers.Plate.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=2500),
      redeclare model HeatTransferModel_b =
          TIL.HeatExchangers.Plate.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=1000),
      redeclare TIL.HeatExchangers.Plate.Geometry.PlateGeometry hxGeometry(
        phi=30,
        wallThickness=0.0009,
        patternAmplitude=0.0006,
        length=0.6,
        patternWaveLength=0.12e-3,
        numberOfPlates=150,
        width=0.3),
      TInitialVLEFluid_a=313.15,
      TInitialLiquid_b=303.15,
      TInitialLiquid_b_Cell1=301.15,
      TInitialLiquid_b_CellN=278.15)
      annotation (Placement(transformation(extent={{-228,210},{-256,238}})));

    TIL.LiquidComponents.Pumps.SimplePump simplePump1(
      liquidType=sim.liquidType2,
      presetVariableType="m_flow",
      use_massFlowRateInput=true)
      annotation (Placement(transformation(extent={{462,-292},{478,-276}})));
    TIL.LiquidComponents.Tubes.Tube tube(
      tubeGeometry(length=4),
      redeclare model TubeSideHeatTransferModel =
          TIL.LiquidComponents.Tubes.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=1500),
      enableHeatPorts=true,
      liquidType=sim.liquidType2,
      nCells=3,
      TInitialLiquid=243.15,
      TInitialWall=283.15)
      annotation (Placement(transformation(extent={{404,-318},{420,-322}})));
    TIL.OtherComponents.Controllers.PIController PI_H2_LT_Pump(
      controllerType="PI",
      k=1,
      Ti=5,
      yMax=10,
      yMin=1e-5,
      yInitial=0.1,
      invertFeedback=true)
      annotation (Placement(transformation(extent={{428,-296},{440,-284}})));
    TIL.OtherComponents.Thermal.HeatBoundary H2_LT_boundary(boundaryType=
          "Q_flow", use_heatFlowRateInput=true)
      annotation (Placement(transformation(extent={{390,-342},{398,-330}})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC sensor_T_degC20(liquidType=sim.liquidType2)
      annotation (Placement(transformation(extent={{424,-314},{432,-306}})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC sensor_T_degC21(liquidType=sim.liquidType2)
      annotation (Placement(transformation(extent={{386,-310},{394,-302}})));
    Modelica.Blocks.Sources.RealExpression Setpoint_H2_LT(y=-37)
      annotation (Placement(transformation(extent={{394,-296},{414,-276}})));
    TIL.HeatExchangers.Plate.VLEFluidLiquid.ParallelFlowHX H2_LT_HeatExchanger(
      liquidType_b=sim.liquidType2,
      pressureStateID=5,
      nCells=3,
      redeclare model PressureDropModel_a =
          TIL.HeatExchangers.Plate.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      initVLEFluid_a="linearEnthalpyDistribution",
      hInitialVLEFluid_a_Cell1=215e3,
      hInitialVLEFluid_a_CellN=440e3,
      redeclare model HeatTransferModel_b =
          TIL.HeatExchangers.Plate.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=1000),
      redeclare model PressureDropModel_b =
          TIL.HeatExchangers.Plate.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      redeclare TIL.HeatExchangers.Plate.Geometry.Example hxGeometry(
        length=0.5,
        width=0.3,
        numberOfPlates=100),
      redeclare model HeatTransferModel_a =
          TIL.HeatExchangers.Plate.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=2500),
      TInitialLiquid_b=243.15)
      annotation (Placement(transformation(extent={{384,-240},{412,-268}})));

    TIL.LiquidComponents.HydraulicCapacitors.HydraulicCapacitor
      hydraulicCapacitor(liquidType=sim.liquidType2, TInitial=243.15)
      annotation (Placement(transformation(extent={{450,-324},{458,-308}})));
    TIL.VLEFluidComponents.Valves.OrificeValve H2_LT_valve(
        use_effectiveFlowAreaInput=true)
      annotation (Placement(transformation(extent={{298,-250},{314,-242}})));
    TIL.VLEFluidComponents.PressureStateElements.PressureState pressureState1(
        pressureStateID=5, pInitial=1000000)
      annotation (Placement(transformation(extent={{344,-252},{356,-240}})));
    TIL.OtherComponents.Controllers.PIController PI_H2_LT_Valve(
      controllerType="PI",
      Ti=5,
      invertFeedback=true,
      k=1e-5,
      yMax=1e-3,
      yMin=1e-10,
      yInitial=6e-7)
      annotation (Placement(transformation(extent={{372,-212},{360,-200}})));
    Modelica.Blocks.Sources.RealExpression Setpoint_H2_LT_superheat(y=2)
      annotation (Placement(transformation(extent={{408,-216},{388,-196}})));
    TIL.VLEFluidComponents.Sensors.Sensor_superheating sensor_superheating4
      annotation (Placement(transformation(extent={{414,-240},{422,-232}})));
    TIL.VLEFluidComponents.Sensors.Sensor_q sensor_q14
      annotation (Placement(transformation(extent={{320,-234},{328,-226}})));
    TIL.VLEFluidComponents.Compressors.EffCompressor H2_LT_Compressor(
      use_mechanicalPort=true,
      use_relDisplacementInput=true,
      displacement=3.5e-5)
      annotation (Placement(transformation(extent={{452,-202},{468,-186}})));
    TIL.OtherComponents.Mechanical.RotatoryBoundary rotatoryBoundary4(
        use_nInput=false, nFixed=50)
      annotation (Placement(transformation(extent={{492,-190},{484,-170}})));
    TIL.OtherComponents.Controllers.PIController PI_H2_LT_Compressor(
      controllerType="PI",
      invertFeedback=true,
      k=1e-5,
      Ti=100,
      yMax=5,
      yInitial=1,
      yMin=0.1)
      annotation (Placement(transformation(extent={{506,-214},{494,-202}})));
    TIL.VLEFluidComponents.Sensors.Sensor_p sensor_p7
      annotation (Placement(transformation(extent={{480,-234},{488,-226}})));
    Modelica.Blocks.Sources.RealExpression Setpoint_H2_LT_pressure(y=10e5)
      annotation (Placement(transformation(extent={{536,-218},{516,-198}})));
    TIL.VLEFluidComponents.Sensors.Sensor_T_degC sensor_T_degC22
      annotation (Placement(transformation(extent={{370,-244},{378,-236}})));
    TIL.VLEFluidComponents.JunctionElements.VolumeJunction junction9(
      pressureStateID=3,
      volume=1e-4,
      hInitial=213e3)
      annotation (Placement(transformation(extent={{252,-250},{260,-242}})));
    TIL.LiquidComponents.Pumps.SimplePump simplePump3(
      liquidType=sim.liquidType2,
      presetVariableType="m_flow",
      use_massFlowRateInput=true)
      annotation (Placement(transformation(extent={{426,-140},{442,-124}})));
    TIL.LiquidComponents.Tubes.Tube H2_MT_bath(
      tubeGeometry(length=4),
      redeclare model TubeSideHeatTransferModel =
          TIL.LiquidComponents.Tubes.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=1500),
      enableHeatPorts=true,
      liquidType=sim.liquidType2,
      nCells=3,
      TInitialLiquid=263.15,
      TInitialWall=283.15)
      annotation (Placement(transformation(extent={{368,-166},{384,-170}})));
    TIL.OtherComponents.Controllers.PIController PI_H2_MT_Pump(
      controllerType="PI",
      k=1,
      Ti=5,
      yMax=10,
      yMin=1e-5,
      yInitial=0.1,
      invertFeedback=true)
      annotation (Placement(transformation(extent={{400,-144},{412,-132}})));
    TIL.OtherComponents.Thermal.HeatBoundary H2_MT_boundary(boundaryType=
          "Q_flow", use_heatFlowRateInput=true)
      annotation (Placement(transformation(extent={{348,-184},{356,-172}})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC sensor_T_degC23(liquidType=sim.liquidType2)
      annotation (Placement(transformation(extent={{388,-162},{396,-154}})));
    TIL.LiquidComponents.Sensors.Sensor_T_degC sensor_T_degC24(liquidType=sim.liquidType2)
      annotation (Placement(transformation(extent={{350,-158},{358,-150}})));
    Modelica.Blocks.Sources.RealExpression Setpoint_H2_MT(y=-10)
      annotation (Placement(transformation(extent={{368,-148},{388,-128}})));
    TIL.HeatExchangers.Plate.VLEFluidLiquid.ParallelFlowHX H2_MT_HeatExchanger(
      liquidType_b=sim.liquidType2,
      redeclare TIL.HeatExchangers.Plate.Geometry.Example hxGeometry(
        numberOfPlates=100,
        length=0.5,
        width=0.3),
      nCells=3,
      redeclare model PressureDropModel_a =
          TIL.HeatExchangers.Plate.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      redeclare model PressureDropModel_b =
          TIL.HeatExchangers.Plate.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      initVLEFluid_a="linearEnthalpyDistribution",
      hInitialVLEFluid_a_Cell1=215e3,
      hInitialVLEFluid_a_CellN=440e3,
      pressureStateID=6,
      redeclare model HeatTransferModel_a =
          TIL.HeatExchangers.Plate.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=2500),
      redeclare model HeatTransferModel_b =
          TIL.HeatExchangers.Plate.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=1000),
      TInitialLiquid_b=263.15)
      annotation (Placement(transformation(extent={{348,-88},{376,-116}})));

    TIL.LiquidComponents.HydraulicCapacitors.HydraulicCapacitor
      hydraulicCapacitor1(liquidType=sim.liquidType2, TInitial=263.15)
      annotation (Placement(transformation(extent={{414,-172},{422,-156}})));
    TIL.VLEFluidComponents.PressureStateElements.PressureState pressureState6(
        pressureStateID=6, pInitial=2200000)
      annotation (Placement(transformation(extent={{308,-100},{320,-88}})));
    TIL.OtherComponents.Controllers.PIController PI_H2_MT_Valve(
      controllerType="PI",
      Ti=5,
      invertFeedback=true,
      k=1e-5,
      yMax=1e-3,
      yMin=1e-10,
      yInitial=6e-7)
      annotation (Placement(transformation(extent={{336,-60},{324,-48}})));
    Modelica.Blocks.Sources.RealExpression Setpoint_H2_LT_superheat1(y=3)
      annotation (Placement(transformation(extent={{372,-64},{352,-44}})));
    TIL.VLEFluidComponents.Sensors.Sensor_T_degC sensor_T_degC25
      annotation (Placement(transformation(extent={{334,-92},{342,-84}})));
    TIL.VLEFluidComponents.Valves.OrificeValve H2_MT_valve(
        use_effectiveFlowAreaInput=true)
      annotation (Placement(transformation(extent={{274,-98},{290,-90}})));
    TIL.VLEFluidComponents.Compressors.EffCompressor H2_MT_Compressor(
      use_mechanicalPort=true,
      use_relDisplacementInput=true,
      displacement=3.8e-5)
      annotation (Placement(transformation(extent={{476,-68},{492,-52}})));
    TIL.OtherComponents.Mechanical.RotatoryBoundary rotatoryBoundary5(
        use_nInput=false, nFixed=50)
      annotation (Placement(transformation(extent={{512,-44},{504,-24}})));
    TIL.VLEFluidComponents.Sensors.Sensor_p sensor_p8
      annotation (Placement(transformation(extent={{496,-88},{504,-80}})));
    TIL.VLEFluidComponents.Sensors.Sensor_superheating sensor_superheating5
      annotation (Placement(transformation(extent={{382,-88},{390,-80}})));
    TIL.VLEFluidComponents.JunctionElements.VolumeJunction junction12(
      pressureStateID=6,
      volume=1e-4,
      hInitial=440e3)
      annotation (Placement(transformation(extent={{456,-90},{464,-98}})));
    TIL.VLEFluidComponents.Sensors.Sensor_T_degC sensor_T_degC26
      annotation (Placement(transformation(extent={{462,-76},{470,-68}})));
    TIL.VLEFluidComponents.Sensors.Sensor_q sensor_q15
      annotation (Placement(transformation(extent={{296,-86},{304,-78}})));
    TIL.HeatExchangers.Plate.VLEFluidLiquid.ParallelFlowHX Desuperheater(
      redeclare TIL.HeatExchangers.Plate.Geometry.Example hxGeometry,
      nCells=3,
      redeclare model PressureDropModel_a =
          TIL.HeatExchangers.Plate.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      redeclare model PressureDropModel_b =
          TIL.HeatExchangers.Plate.TransportPhenomena.PressureDrop.ZeroPressureDrop,

      hInitialVLEFluid_a=475e3,
      redeclare model HeatTransferModel_a =
          TIL.HeatExchangers.Plate.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=2500),
      redeclare model HeatTransferModel_b =
          TIL.HeatExchangers.Plate.TransportPhenomena.HeatTransfer.ConstantAlpha
          (constantAlpha=1000),
      pressureStateID=2,
      TInitialLiquid_b=278.15)
      annotation (Placement(transformation(extent={{198,36},{170,64}})));

    TIL.LiquidComponents.Boundaries.Boundary boundary8(boundaryType="p", pFixed
        =100000)
      annotation (Placement(transformation(extent={{238,58},{246,78}})));
    TIL.LiquidComponents.Boundaries.Boundary boundary9(m_flowFixed=-1, TFixed=
          278.15)
      annotation (Placement(transformation(extent={{130,60},{138,80}})));
    TIL.VLEFluidComponents.Sensors.Sensor_T_degC MT_dischargeTemp1
      annotation (Placement(transformation(extent={{96,48},{104,56}})));
    TIL.VLEFluidComponents.JunctionElements.VolumeJunction junction13(
      volume=1e-4,
      pressureStateID=3,
      hInitial=213e3) annotation (Placement(transformation(
          extent={{4,4},{-4,-4}},
          rotation=90,
          origin={-310,-238})));
    TIL.VLEFluidComponents.JunctionElements.VolumeJunction junction14(
      pressureStateID=2,
      volume=1e-4,
      hInitial=450e3) annotation (Placement(transformation(
          extent={{-4,4},{4,-4}},
          rotation=90,
          origin={52,42})));
    TIL.OtherComponents.Controllers.PIController PI_H2_MT_Compressor(
      controllerType="PI",
      invertFeedback=true,
      k=1e-5,
      Ti=100,
      yMax=5,
      yInitial=1,
      yMin=0.1)
      annotation (Placement(transformation(extent={{528,-72},{516,-60}})));
    Modelica.Blocks.Sources.RealExpression Setpoint_H2_LT_pressure1(y=22e5)
      annotation (Placement(transformation(extent={{556,-76},{536,-56}})));
    Modelica.Blocks.Sources.RealExpression H2_10_cars(y=-17578.13*0.5)
      annotation (Placement(transformation(extent={{168,-154},{188,-134}})));
    Modelica.Blocks.Sources.RealExpression H2_4_cars(y=-7031.25*0.5)
      annotation (Placement(transformation(extent={{168,-138},{188,-118}})));
    Modelica.Blocks.Sources.RealExpression H2_20_cars(y=-35156.25*0.5)
      annotation (Placement(transformation(extent={{168,-168},{188,-148}})));
    Modelica.Blocks.Sources.RealExpression H2_40_cars(y=-70312.50*0.5)
      annotation (Placement(transformation(extent={{168,-200},{188,-180}})));
    Modelica.Blocks.Sources.RealExpression H2_30_cars(y=-52734.38*0.5)
      annotation (Placement(transformation(extent={{168,-182},{188,-162}})));
    Modelica.Blocks.Sources.RealExpression H2_compressor_power(y=
          H2_MT_Compressor.shaftPower + H2_LT_Compressor.shaftPower)
      annotation (Placement(transformation(extent={{542,504},{522,524}})));
    Modelica.Blocks.Sources.RealExpression H2_refrigeration_duty(y=
          H2_MT_HeatExchanger.summary.Q_flow + H2_LT_HeatExchanger.summary.Q_flow)
      annotation (Placement(transformation(extent={{574,504},{554,524}})));
    Modelica.Blocks.Sources.RealExpression COP_Combined_net(y=COP_refrigeration.y
           + COP_heating_net.y)
      annotation (Placement(transformation(extent={{708,560},{688,580}})));
    Modelica.Blocks.Sources.RealExpression COP_heating_net(y=(
          Net_duty_FH_Supermarket.y + Net_duty_DHW_Supermarket.y)/(
          Supermarket_compressor_power.y + H2_compressor_power.y))
      annotation (Placement(transformation(extent={{748,584},{728,604}})));
  equation
    Comp_MT_W = MT_Compressor.shaftPower;
    Comp_MT_relDisp = MT_Compressor.relDisplacement;
    Comp_LT_W = LT_Compressor.shaftPower;
    Comp_LT_relDisp = LT_Compressor.relDisplacement;
    Ref_duty_MT = (MT_Evaporator.summary.Q_flow_vle + MT_Evaporator1.summary.Q_flow_vle);
    Ref_duty_LT = LT_Evaporator.summary.Q_flow_vle;
    Comp_Parallel_W = parallelCompressor.shaftPower;

    Heat_duty_PreH = preheatHX.summary.path_b.Q_flow_liq;
    Heat_duty_ReH = reheatHX.summary.path_b.Q_flow_liq;
    Heat_duty_SpaceH = mediumTempHX.summary.path_b.Q_flow_liq;
    Duty_DryC_DHW = DryCooler_DHW.summary.Q_flow_air;
    Duty_DryC_SH = DryCooler_FH.summary.Q_flow_air;

    COP_ref = (Ref_duty_MT + Ref_duty_LT + H2_ref_duty)/(Comp_MT_W + Comp_LT_W
       + Comp_H2_LT_W + Comp_H2_MT_W);
    COP_heat_gross = (Heat_duty_PreH + Heat_duty_ReH + Heat_duty_SpaceH)/(
      Comp_MT_W + Comp_LT_W + Comp_H2_LT_W + Comp_H2_MT_W);
    COP_heat_net = (Net_HR_Supermarket_SH + Net_HR_Supermarket_DHW)/(Comp_MT_W
       + Comp_LT_W + Comp_H2_LT_W + Comp_H2_MT_W);

    Net_HR_Supermarket_SH = Heat_duty_SpaceH - Duty_DryC_SH;
    Net_HR_Supermarket_DHW = (Heat_duty_PreH + Heat_duty_ReH) - Duty_DryC_DHW;

    R290_Comp_W = R290_Compressor.shaftPower;
    R290_Comp_n = R290_Compressor.n;
    R290_Heat_duty = R290_Condenser.summary.path_b.Q_flow_liq;
    R290_COP = R290_Heat_duty/R290_Compressor.shaftPower;
    R290_relDisp = R290_Compressor.relDisplacement;

    Delivered_SH = Actual_Delivered_duty_SpaceHeating.y;

    Comp_H2_MT_W = H2_MT_Compressor.shaftPower;
    Comp_H2_LT_W = H2_LT_Compressor.shaftPower;
    H2_ref_duty = H2_MT_HeatExchanger.summary.Q_flow + H2_LT_HeatExchanger.summary.Q_flow;

    connect(highPressure_Controller.y, highPressureValve.effectiveFlowArea_in)
      annotation (Line(points={{-306.4,146},{-329,146}}, color={0,0,127}));
    connect(highPressureSetPoint.y, highPressure_Controller.u_s) annotation (
        Line(points={{-277,146},{-284,146},{-294.4,146}}, color={0,0,127}));
    connect(sensor_p.port, highPressureValve.portA) annotation (Line(
        points={{-312,162},{-334,162},{-334,154}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_p.sensorValue, highPressure_Controller.u_m) annotation (Line(
          points={{-312,168.2},{-300,168.2},{-300,151.8}}, color={0,0,127}));
    connect(sensor_T_degC2.port, pressureState.portB) annotation (Line(
        points={{-8,218},{-8,216},{24,216}},
        color={153,204,0},
        thickness=0.5));
    connect(statePoint1.sensorPort, pressureState.portB) annotation (Line(
        points={{8,218},{8,216},{24,216}},
        color={153,204,0},
        thickness=0.5));
    connect(MT_evaporator_fan.portB, MT_Evaporator.portB_gas) annotation (Line(
        points={{-58,-26},{-58,-26},{-58,-12},{-118,-12}},
        color={255,153,0},
        thickness=0.5));
    connect(MT_evaporator_fan.portA, volume.portB) annotation (Line(
        points={{-58,-42},{-58,-42},{-58,-66},{-160,-66}},
        color={255,153,0},
        thickness=0.5));
    connect(MT_Evaporator.portA_gas, volume.portA) annotation (Line(
        points={{-146,-12},{-180,-12},{-180,-36},{-180,-66},{-168,-66}},
        color={255,153,0},
        thickness=0.5));
    connect(heatBoundary.heatPort, volume.heatPort) annotation (Line(
        points={{-214,-50},{-214,-50},{-164,-50},{-164,-56}},
        color={204,0,0},
        thickness=0.5));
    connect(PI_MT_Fan.y, MT_evaporator_fan.V_flow_in) annotation (Line(points={
            {-113.6,-34},{-113.6,-34},{-108,-34},{-68,-34}}, color={0,0,127}));
    connect(MTSetpoint.y, PI_MT_Fan.u_s) annotation (Line(points={{-139,-34},{-139,
            -34},{-125.6,-34}}, color={0,0,127}));
    connect(sensor_q1.port, pressureState2.portB) annotation (Line(
        points={{-222,8},{-222,4},{-206,4}},
        color={153,204,0},
        thickness=0.5));
    connect(highPressure_Controller1.y, highPressureValve1.effectiveFlowArea_in)
      annotation (Line(points={{-70.4,110},{-70.4,110},{-77,110},{-77,101},{-78,
            101}}, color={0,0,127}));
    connect(Receiver_pressureSetpoint.y, highPressure_Controller1.u_s)
      annotation (Line(points={{-49,110},{-54,110},{-58.4,110}}, color={0,0,127}));
    connect(pressureState3.portA, highPressureReceiver.portInlet) annotation (
        Line(
        points={{-320,64},{-316,64},{-316,64.8},{-314.833,64.8}},
        color={153,204,0},
        thickness=0.5));
    connect(highPressureValve.portB, pressureState3.portB) annotation (Line(
        points={{-334,138},{-334,138},{-334,64},{-332,64}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_q3.port, highPressureValve1.portA) annotation (Line(
        points={{-116,100},{-116,96},{-86,96}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_p1.port, highPressureValve1.portA) annotation (Line(
        points={{-102,100},{-102,96},{-86,96}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_p1.sensorValue, highPressure_Controller1.u_m) annotation (
        Line(points={{-102,106.2},{-86,106.2},{-86,122},{-64,122},{-64,115.8}},
          color={0,0,127}));
    connect(MT_expansion_valve.portB, pressureState2.portB) annotation (Line(
        points={{-236,4},{-236,4},{-206,4}},
        color={153,204,0},
        thickness=0.5));
    connect(MT_SH_Setpoint.y, PI_MT_Control_Valve.u_s)
      annotation (Line(points={{-79,42},{-120.4,42}},color={0,0,127}));
    connect(sensor_superheating.sensorValue, PI_MT_Control_Valve.u_m)
      annotation (Line(points={{-76,16.2},{-76,18},{-126,18},{-126,36.2}},
          color={0,0,127}));
    connect(PI_MT_Control_Valve.y, MT_expansion_valve.effectiveFlowArea_in)
      annotation (Line(points={{-132.4,42},{-142,42},{-244,42},{-244,9}}, color
          ={0,0,127}));
    connect(statePoint5.sensorPort, pressureState3.portB) annotation (Line(
        points={{-356,100},{-334,100},{-334,64},{-332,64}},
        color={153,204,0},
        thickness=0.5));
    connect(refrigerantQualityreceiver.port, pressureState3.portB) annotation (
        Line(
        points={{-306,116},{-334,116},{-334,64},{-332,64}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_q4.port, MT_expansion_valve.portA) annotation (Line(
        points={{-276,10},{-276,4},{-252,4}},
        color={153,204,0},
        thickness=0.5));
    connect(highPressureValve1.portB, junction.portB) annotation (Line(
        points={{-70,96},{-70,96},{48,96}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_p2.port, MT_Compressor.portA) annotation (Line(
        points={{68,120},{68,114},{52,114},{52,140}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_p2.sensorValue, PI_MT_Compressor.u_m) annotation (Line(
          points={{68,126.2},{68,122},{100,122},{100,136.2}}, color={0,0,127}));
    connect(LT_evaporator_fan.portB, LT_Evaporator.portB_gas) annotation (Line(
        points={{-78,-278},{-78,-278},{-78,-254},{-108,-254}},
        color={255,153,0},
        thickness=0.5));
    connect(LT_evaporator_fan.portA, LT_Cabinet.portB) annotation (Line(
        points={{-78,-294},{-78,-310},{-82,-310},{-152,-310}},
        color={255,153,0},
        thickness=0.5));
    connect(LT_Evaporator.portA_gas, LT_Cabinet.portA) annotation (Line(
        points={{-136,-254},{-170,-254},{-170,-278},{-170,-310},{-160,-310}},
        color={255,153,0},
        thickness=0.5));
    connect(heatBoundary1.heatPort, LT_Cabinet.heatPort) annotation (Line(
        points={{-204,-288},{-156,-288},{-156,-300}},
        color={204,0,0},
        thickness=0.5));
    connect(PI_LT_fan.y, LT_evaporator_fan.V_flow_in) annotation (Line(points={
            {-99.6,-286},{-99.6,-286},{-88,-286}}, color={0,0,127}));
    connect(MTSetpoint1.y, PI_LT_fan.u_s) annotation (Line(points={{-119,-286},
            {-120,-286},{-118,-286},{-111.6,-286}}, color={0,0,127}));
    connect(sensor_q6.port, pressureState4.portB) annotation (Line(
        points={{-204,-234},{-204,-238},{-186,-238}},
        color={153,204,0},
        thickness=0.5));
    connect(LT_expansion_valve.portB, pressureState4.portB) annotation (Line(
        points={{-214,-238},{-214,-238},{-186,-238}},
        color={153,204,0},
        thickness=0.5));
    connect(LT_SH_Setpoint1.y, PI_LT_Control_Valve.u_s)
      annotation (Line(points={{-103,-200},{-110.4,-200}}, color={0,0,127}));
    connect(sensor_superheating1.sensorValue, PI_LT_Control_Valve.u_m)
      annotation (Line(points={{-60,-227.8},{-60,-226},{-70,-226},{-116,-226},{
            -116,-208},{-116,-205.8}}, color={0,0,127}));
    connect(PI_LT_Control_Valve.y, LT_expansion_valve.effectiveFlowArea_in)
      annotation (Line(points={{-122.4,-200},{-132,-200},{-222,-200},{-222,-233}},
          color={0,0,127}));
    connect(sensor_q7.port, LT_expansion_valve.portA) annotation (Line(
        points={{-294,-228},{-294,-238},{-230,-238}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_superheating1.port, LT_Compressor.portA) annotation (Line(
        points={{-60,-234},{-60,-238},{50,-238},{50,-200}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_p3.port, LT_Compressor.portA) annotation (Line(
        points={{88,-232},{88,-238},{50,-238},{50,-200}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_p3.sensorValue, PI_LT_Compressor.u_m) annotation (Line(
          points={{88,-225.8},{100,-225.8},{100,-211.8}}, color={0,0,127}));
    connect(LT_PressureSetPoint.y, PI_LT_Compressor.u_s) annotation (Line(
          points={{117,-206},{117,-206},{105.6,-206}}, color={0,0,127}));
    connect(highPressureReceiver.portGas, parallelCompressorValve.portA)
      annotation (Line(
        points={{-303.167,64.8},{-303.167,64.8},{-220,64.8},{-220,116},{-156,
            116}},
        color={153,204,0},
        thickness=0.5));

    connect(parallelComp_startup.y, PI_parallelValve.u_s)
      annotation (Line(points={{-201,144},{-179.6,144}}, color={0,0,127}));
    connect(PI_parallelValve.y, parallelCompressorValve.switchingPosition_in)
      annotation (Line(points={{-167.6,144},{-167.6,144},{-138,144},{-138,116},
            {-143.4,116}}, color={0,0,127}));
    connect(refrigerantQualityreceiver.sensorValue, PI_parallelValve.u_m)
      annotation (Line(points={{-306,122.2},{-174,122.2},{-174,126},{-174,138.2}},
          color={0,0,127}));
    connect(parallelCompressorValve.portC, sensor_m_flow.portA) annotation (
        Line(
        points={{-148,124},{-148,154},{-31,154}},
        color={153,204,0},
        thickness=0.5));
    connect(rotatoryBoundary.rotatoryFlange, MT_Compressor.rotatoryFlange)
      annotation (Line(
        points={{88,162},{88,162},{84,162},{72,162},{72,148},{60,148}},
        color={135,135,135},
        thickness=0.5));
    connect(rotatoryBoundary1.rotatoryFlange, LT_Compressor.rotatoryFlange)
      annotation (Line(
        points={{78,-192},{58,-192}},
        color={135,135,135},
        thickness=0.5));
    connect(pressureState2.portA, sensor_H_flow_MTin.portA) annotation (Line(
        points={{-194,4},{-181,4}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_H_flow_MTin.portB, MT_Evaporator.portA_vle) annotation (Line(
        points={{-175,4},{-146,4}},
        color={153,204,0},
        thickness=0.5));
    connect(MT_Evaporator.portB_vle, sensor_H_flow_MTout.portA) annotation (
        Line(
        points={{-118,4},{-101,4}},
        color={153,204,0},
        thickness=0.5));
    connect(pressureState4.portA, sensor_H_flow_LTin.portA) annotation (Line(
        points={{-174,-238},{-157,-238}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_H_flow_LTin.portB, LT_Evaporator.portA_vle) annotation (Line(
        points={{-151,-238},{-144,-238},{-136,-238}},
        color={153,204,0},
        thickness=0.5));
    connect(LT_Evaporator.portB_vle, sensor_H_flow_LTout.portA) annotation (
        Line(
        points={{-108,-238},{-102,-238},{-95,-238}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_H_flow_LTout.portB, LT_Compressor.portA) annotation (Line(
        points={{-89,-238},{50,-238},{50,-200}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_q8.port, parallelCompressorValve.portA) annotation (Line(
        points={{-240,98},{-240,96},{-220,96},{-220,116},{-156,116}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_m_flow.portB, parallelCompressor.portA) annotation (Line(
        points={{-25,154},{8,154},{8,162}},
        color={153,204,0},
        thickness=0.5));
    connect(parallelSetpoint.y, PI_parallelCompressor.u_s)
      annotation (Line(points={{-63,176},{-55.6,176}}, color={0,0,127}));
    connect(sensor_p4.port, sensor_m_flow.portA) annotation (Line(
        points={{-70,158},{-70,154},{-31,154}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_p4.sensorValue, PI_parallelCompressor.u_m) annotation (Line(
          points={{-70,164.2},{-56,164.2},{-56,164},{-50,164},{-50,170.2}},
          color={0,0,127}));
    connect(parallelCompressor.portB, highPressureJuntion.portB) annotation (
        Line(
        points={{8,178},{8,184},{48,184}},
        color={153,204,0},
        thickness=0.5));
    connect(highPressureJuntion.portC, pressureState.portA) annotation (Line(
        points={{52,188},{52,216},{36,216}},
        color={153,204,0},
        thickness=0.5));
    connect(MT_Compressor.portB, highPressureJuntion.portA) annotation (Line(
        points={{52,156},{52,180}},
        color={153,204,0},
        thickness=0.5));
    connect(rotatoryBoundary2.rotatoryFlange, parallelCompressor.rotatoryFlange)
      annotation (Line(
        points={{-14,170},{0,170}},
        color={135,135,135},
        thickness=0.5));
    connect(PI_parallelCompressor.y, rotatoryBoundary2.n_in) annotation (Line(
          points={{-43.6,176},{-24,176},{-24,170},{-18,170}}, color={0,0,127}));
    connect(parallelCompressorValve.portB, sensor_m_flow1.portA) annotation (
        Line(
        points={{-148,108},{-148,96},{-137,96}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_m_flow1.portB, highPressureValve1.portA) annotation (Line(
        points={{-131,96},{-86,96}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_T_degC9.sensorValue, PI_MT_Fan.u_m) annotation (Line(points=
            {{-138,-58},{-138,-58},{-120,-58},{-120,-39.8}}, color={0,0,127}));
    connect(sensor_T_degC9.port, volume.portB) annotation (Line(
        points={{-138,-64},{-138,-66},{-160,-66}},
        color={255,153,0},
        thickness=0.5));
    connect(sensor_T.port, volume.portA) annotation (Line(
        points={{-194,-28},{-180,-28},{-180,-66},{-168,-66}},
        color={255,153,0},
        thickness=0.5));
    connect(sensor_T_degC3.port, LT_Cabinet.portB) annotation (Line(
        points={{-138,-308},{-138,-310},{-152,-310}},
        color={255,153,0},
        thickness=0.5));
    connect(sensor_T1.port, LT_Cabinet.portA) annotation (Line(
        points={{-186,-276},{-170,-276},{-170,-310},{-160,-310}},
        color={255,153,0},
        thickness=0.5));
    connect(PI_LT_fan.u_m, sensor_T_degC3.sensorValue) annotation (Line(points=
            {{-106,-291.8},{-106,-291.8},{-106,-302},{-138,-302}}, color={0,0,
            127}));
    connect(DHW_tank_top.portB, sensor_H_flow.portA) annotation (Line(
        points={{-14,548},{-14,554},{-7,554}},
        color={0,170,238},
        thickness=0.5));
    connect(DHW_Consumer_temp.port, DHW_Consumer_port.port) annotation (Line(
        points={{34,556},{34,554},{46,554}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_H_flow.portB, sensor_m_flow2.portA) annotation (Line(
        points={{-1,554},{13,554}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_m_flow2.portB, DHW_Consumer_port.port) annotation (Line(
        points={{19,554},{46,554}},
        color={0,170,238},
        thickness=0.5));
    connect(DHW_tank_middle.portB, junction7.portB) annotation (Line(
        points={{-14,498},{-14,500},{-14,506}},
        color={0,170,238},
        thickness=0.5));
    connect(DHW_tank_middle.portA, junction8.portC) annotation (Line(
        points={{-14,466},{-14,466},{-14,458}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_T_degC16.port, junction8.portA) annotation (Line(
        points={{18,462},{18,454},{-10,454}},
        color={0,170,238},
        thickness=0.5));
    connect(junction8.portB, sensor_m_flow5.portB) annotation (Line(
        points={{-14,450},{-14,447}},
        color={0,170,238},
        thickness=0.5));
    connect(junction7.portC, sensor_m_flow6.portA) annotation (Line(
        points={{-14,514},{-14,519}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_m_flow6.portB, DHW_tank_top.portA) annotation (Line(
        points={{-14,525},{-14,532}},
        color={0,170,238},
        thickness=0.5));
    connect(cityWaterInlet.port, sensor_m_flow5.portA) annotation (Line(
        points={{6,434},{-4,434},{-14,434},{-14,441}},
        color={0,170,238},
        thickness=0.5));
    connect(boundary1.port, DryCooler_DHW.portB_gas) annotation (Line(
        points={{-206,474},{-206,448},{-222,448}},
        color={255,153,0},
        thickness=0.5));
    connect(simpleFan.portB, DryCooler_DHW.portA_gas) annotation (Line(
        points={{-260,448},{-260,448},{-250,448}},
        color={255,153,0},
        thickness=0.5));
    connect(boundary4.port, simpleFan.portA) annotation (Line(
        points={{-288,476},{-288,476},{-288,448},{-276,448}},
        color={255,153,0},
        thickness=0.5));
    connect(PI_Drycooler_DHW.y, simpleFan.V_flow_in) annotation (Line(points={{
            -305.6,504},{-305.6,504},{-268,504},{-268,458}}, color={0,0,127}));
    connect(DryCooler_DHW.portA_liq, sensor_H_flow_DHWin.portA) annotation (
        Line(
        points={{-250,432},{-250,432},{-374,432},{-374,294},{-329,294}},
        color={0,170,238},
        thickness=0.5));
    connect(Temperature_after_drycooler.port, DryCooler_DHW.portA_liq)
      annotation (Line(
        points={{-336,442},{-336,442},{-336,432},{-250,432}},
        color={0,170,238},
        thickness=0.5));
    connect(PI_DHW_Pump.y, simplePump.m_flow_in)
      annotation (Line(points={{-39.6,274},{-10,274}}, color={0,0,127}));
    connect(waterSetpoint.y, PI_DHW_Pump.u_s)
      annotation (Line(points={{-57,274},{-51.6,274}}, color={0,0,127}));
    connect(sensor_H_flow_DHWout.portB, simplePump.portA) annotation (Line(
        points={{-25,244},{0,244},{0,272}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_T_degC1.port, simplePump.portA) annotation (Line(
        points={{-18,258},{0,258},{0,272}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_T_degC1.sensorValue, PI_DHW_Pump.u_m) annotation (Line(
          points={{-18,264},{-46,264},{-46,268.2}}, color={0,0,127}));
    connect(sensor_m_flow8.portA, SpaceHeating_tank.portA) annotation (Line(
        points={{250,343},{250,338}},
        color={0,170,238},
        thickness=0.5));
    connect(SpaceHeating_tank.portB, sensor_m_flow7.portB) annotation (Line(
        points={{250,306},{250,289}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_m_flow7.portA, junction11.portC) annotation (Line(
        points={{250,283},{250,278}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_m_flow9.portB, SpaceHeating_tank_top.portB) annotation (Line(
        points={{250,391},{250,394.5},{250,398}},
        color={0,170,238},
        thickness=0.5));
    connect(SpaceHeating_tank_bottomTemp.port, SpaceHeating_tank.portB)
      annotation (Line(
        points={{276,298},{250,298},{250,306}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_T_degC10.sensorValue, PI_FH_pump1.u_m) annotation (Line(
          points={{86,386},{114,386},{114,328},{136.2,328}}, color={0,0,127}));
    connect(PI_FH_pump1.y, simplePump2.m_flow_in) annotation (Line(points={{142,
            334.4},{140,334.4},{140,366}}, color={0,0,127}));
    connect(floorHeatingSetpoint1.y, PI_FH_pump1.u_s) annotation (Line(points={
            {123,308},{142,308},{142,322.4}}, color={0,0,127}));
    connect(junction10.portB, sensor_m_flow9.portA) annotation (Line(
        points={{250,380},{250,385}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_T_degC10.port, simplePump2.portA) annotation (Line(
        points={{86,380},{86,376},{138,376}},
        color={0,170,238},
        thickness=0.5));
    connect(junction2.portC, junction11.portB) annotation (Line(
        points={{250,256},{250,263},{250,270}},
        color={0,170,238},
        thickness=0.5));
    connect(junction10.portC, junction3.portC) annotation (Line(
        points={{250,372},{250,364}},
        color={0,170,238},
        thickness=0.5));
    connect(junction3.portB, sensor_m_flow8.portB) annotation (Line(
        points={{250,356},{250,349}},
        color={0,170,238},
        thickness=0.5));
    connect(PI_R290_WaterPump.y, R290_WaterPump.m_flow_in) annotation (Line(
          points={{425.6,298},{414,298},{414,262}}, color={0,0,127}));
    connect(R290_WaterPump.portA, H_flow_W_outlet.portB) annotation (Line(
        points={{412,252},{401,252}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_q9.port, pressureState7.portA) annotation (Line(
        points={{456,212},{456,206},{416,206}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_p5.port, pressureState7.portA) annotation (Line(
        points={{432,212},{432,206},{416,206}},
        color={153,204,0},
        thickness=0.5));
    connect(FH_setpoint_HP.y, PI_R290_WaterPump.u_s) annotation (Line(points={{
            457,316},{446,316},{446,298},{437.6,298}}, color={0,0,127}));
    connect(R290_Evaporator.portB_a, pressureState9.portB) annotation (Line(
        points={{342,146},{362,146}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_superheating2.port, pressureState9.portB) annotation (Line(
        points={{352,152},{352,146},{362,146}},
        color={153,204,0},
        thickness=0.5));
    connect(R290_Expvalve.portB, R290_Evaporator.portA_a) annotation (Line(
        points={{270,180},{270,146},{314,146}},
        color={153,204,0},
        thickness=0.5));
    connect(condenser_outlet_quality.port, R290_Expvalve.portA) annotation (
        Line(
        points={{284,214},{270,214},{270,196}},
        color={153,204,0},
        thickness=0.5));
    connect(PI_R290_ExpValve.y, R290_Expvalve.effectiveFlowArea_in) annotation
      (Line(points={{283.6,188},{283.6,188},{275,188}}, color={0,0,127}));
    connect(boundary2.port, R290_Evaporator.portA_b) annotation (Line(
        points={{266,108},{294,108},{294,130},{314,130}},
        color={0,170,238},
        thickness=0.5));
    connect(R290_Evaporator.portB_b, boundary3.port) annotation (Line(
        points={{342,130},{358,130},{358,106},{384,106}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_T_degC11.port, R290_Evaporator.portA_b) annotation (Line(
        points={{278,112},{278,112},{294,112},{294,130},{314,130}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_T_degC12.port, boundary3.port) annotation (Line(
        points={{374,110},{374,106},{384,106}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_p6.port, sensor_m_flow10.portA) annotation (Line(
        points={{410,152},{410,146},{449,146}},
        color={153,204,0},
        thickness=0.5));
    connect(R290_Compressor.portB, pressureState7.portA) annotation (Line(
        points={{466,188},{466,206},{456,206},{416,206}},
        color={153,204,0},
        thickness=0.5));
    connect(R290_Compressor.portA, sensor_m_flow10.portB) annotation (Line(
        points={{466,172},{466,172},{466,146},{455,146}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_T_degC13.port, R290_Evaporator.portA_a) annotation (Line(
        points={{254,154},{256,154},{256,146},{314,146}},
        color={153,204,0},
        thickness=0.5));
    connect(rotatoryBoundary3.rotatoryFlange, R290_Compressor.rotatoryFlange)
      annotation (Line(
        points={{522,180},{522,180},{474,180}},
        color={135,135,135},
        thickness=0.5));
    connect(Superheat_setpoint.y, PI_R290_ExpValve.u_s) annotation (Line(points
          ={{317,190},{306,190},{306,188},{295.6,188}},color={0,0,127}));
    connect(hysteresis.y, not1.u) annotation (Line(points={{629,180},{626,180},
            {615.2,180}}, color={255,0,255}));
    connect(sensor_q10.port, sensor_m_flow10.portA) annotation (Line(
        points={{434,152},{434,146},{449,146}},
        color={153,204,0},
        thickness=0.5));
    connect(booleanExpression1.y, PI_R290_WaterPump.activeInput) annotation (
        Line(points={{481,302},{450,302},{450,294},{437.6,294},{437.6,294.2}},
          color={255,0,255}));
    connect(Pump_off_value.y, PI_R290_WaterPump.y_notActive) annotation (Line(
          points={{403,314},{420,314},{432,314},{432,303.8}}, color={0,0,127}));
    connect(pressureState9.portA, sensor_m_flow10.portA) annotation (Line(
        points={{374,146},{449,146}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_T_degC5.sensorValue, PI_R290_WaterPump.u_m) annotation (Line(
          points={{450,260},{432,260},{432,292.2}}, color={0,0,127}));
    connect(R290_WaterPump.portB, junction3.portA) annotation (Line(
        points={{428,252},{428,252},{512,252},{512,360},{254,360}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_T_degC5.port, R290_WaterPump.portB) annotation (Line(
        points={{450,254},{450,254},{450,252},{428,252}},
        color={0,170,238},
        thickness=0.5));
    connect(junction2.portA, H_flow_W_inlet.portA) annotation (Line(
        points={{254,252},{274,252},{292,252},{327,252}},
        color={0,170,238},
        thickness=0.5));
    connect(switch1.y, hysteresis.u)
      annotation (Line(points={{665,180},{652,180}}, color={0,0,127}));
    connect(not1.y, switch1.u2) annotation (Line(points={{601.4,180},{602,180},
            {602,164},{602,166},{694,166},{694,180},{688,180}}, color={255,0,
            255}));
    connect(On_off_trigger_HP.y, switch1.u1)
      annotation (Line(points={{709,188},{688,188}}, color={0,0,127}));
    connect(On_off_trigger_HP1.y, switch1.u3) annotation (Line(points={{709,172},
            {698,172},{688,172}}, color={0,0,127}));
    connect(sensor_superheating2.sensorValue, PI_R290_ExpValve.u_m) annotation
      (Line(points={{352,158.2},{290,158.2},{290,182.2}}, color={0,0,127}));
    connect(Valve_not_active.y, PI_R290_ExpValve.y_notActive) annotation (Line(
          points={{313,208},{306,208},{290,208},{290,193.8}}, color={0,0,127}));
    connect(booleanExpression.y, PI_R290_ExpValve.activeInput) annotation (Line(
          points={{313,172},{313,170},{306,170},{295.6,170},{295.6,178},{295.6,
            184.2}}, color={255,0,255}));
    connect(highPressureReceiver.portLiquid, junction4.portA) annotation (Line(
        points={{-309,48},{-310,48},{-310,8}},
        color={153,204,0},
        thickness=0.5));
    connect(junction4.portB, MT_expansion_valve.portA) annotation (Line(
        points={{-306,4},{-284,4},{-252,4}},
        color={153,204,0},
        thickness=0.5));
    connect(MT_evaporator_fan1.portB, MT_Evaporator1.portB_gas) annotation (
        Line(
        points={{-48,-154},{-48,-154},{-48,-132},{-110,-132}},
        color={255,153,0},
        thickness=0.5));
    connect(MT_evaporator_fan1.portA, volume1.portB) annotation (Line(
        points={{-48,-170},{-48,-170},{-48,-186},{-154,-186}},
        color={255,153,0},
        thickness=0.5));
    connect(MT_Evaporator1.portA_gas, volume1.portA) annotation (Line(
        points={{-138,-132},{-172,-132},{-172,-156},{-172,-186},{-162,-186}},
        color={255,153,0},
        thickness=0.5));
    connect(heatBoundary2.heatPort, volume1.heatPort) annotation (Line(
        points={{-200,-170},{-200,-170},{-158,-170},{-158,-176}},
        color={204,0,0},
        thickness=0.5));
    connect(MTSetpoint2.y, PI_MT_Fan1.u_s) annotation (Line(points={{-95,-162},
            {-95,-162},{-81.6,-162}}, color={0,0,127}));
    connect(sensor_superheating3.sensorValue, PI_MT_Control_Valve1.u_m)
      annotation (Line(points={{-68,-103.8},{-68,-102},{-118,-102},{-118,-97.8}},
          color={0,0,127}));
    connect(PI_MT_Control_Valve1.y, MT_expansion_valve1.effectiveFlowArea_in)
      annotation (Line(points={{-124.4,-92},{-134,-92},{-236,-92},{-236,-111}},
          color={0,0,127}));
    connect(sensor_H_flow_MTin1.portB, MT_Evaporator1.portA_vle) annotation (
        Line(
        points={{-167,-116},{-152,-116},{-138,-116}},
        color={153,204,0},
        thickness=0.5));
    connect(MT_Evaporator1.portB_vle, sensor_H_flow_MTout1.portA) annotation (
        Line(
        points={{-110,-116},{-102,-116},{-93,-116}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_T_degC14.sensorValue, PI_MT_Fan1.u_m) annotation (Line(
          points={{-130,-178},{-76,-178},{-76,-167.8}}, color={0,0,127}));
    connect(sensor_T_degC14.port, volume1.portB) annotation (Line(
        points={{-130,-184},{-130,-186},{-154,-186}},
        color={255,153,0},
        thickness=0.5));
    connect(sensor_T2.port, volume1.portA) annotation (Line(
        points={{-186,-148},{-172,-148},{-172,-186},{-162,-186}},
        color={255,153,0},
        thickness=0.5));
    connect(junction4.portC, junction5.portA) annotation (Line(
        points={{-310,0},{-310,0},{-310,-112}},
        color={153,204,0},
        thickness=0.5));
    connect(junction5.portB, MT_expansion_valve1.portA) annotation (Line(
        points={{-306,-116},{-276,-116},{-244,-116}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_q13.port, MT_expansion_valve1.portA) annotation (Line(
        points={{-280,-114},{-280,-116},{-244,-116}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_H_flow_MTout1.portB, junction6.portB) annotation (Line(
        points={{-87,-116},{-20,-116},{46,-116}},
        color={153,204,0},
        thickness=0.5));
    connect(LT_Compressor.portB, junction6.portA) annotation (Line(
        points={{50,-184},{50,-184},{50,-120}},
        color={153,204,0},
        thickness=0.5));
    connect(junction6.portC, junction1.portA) annotation (Line(
        points={{50,-112},{52,-112},{52,0}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_superheating3.port, junction6.portB) annotation (Line(
        points={{-68,-110},{-68,-116},{46,-116}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_q11.port, junction6.portB) annotation (Line(
        points={{-46,-112},{-46,-116},{46,-116}},
        color={153,204,0},
        thickness=0.5));
    connect(MT_SH_Setpoint1.y, PI_MT_Control_Valve1.u_s)
      annotation (Line(points={{-101,-92},{-112.4,-92}}, color={0,0,127}));
    connect(MT_expansion_valve1.portB, sensor_H_flow_MTin1.portA) annotation (
        Line(
        points={{-228,-116},{-173,-116},{-173,-116}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_q12.port, sensor_H_flow_MTin1.portA) annotation (Line(
        points={{-214,-112},{-214,-116},{-173,-116}},
        color={153,204,0},
        thickness=0.5));
    connect(SH_demand.value, boundary5.m_flow_in) annotation (Line(points={{360,
            436},{360,438},{342,438}}, color={0,0,127}));
    connect(MT_duty_output.value, heatBoundary.Q_flow_in) annotation (Line(
          points={{-332,-172},{-332,-172},{-252,-172},{-252,-170},{-252,-52},{-218,
            -52}}, color={0,0,127}));
    connect(MT_duty_output.value, heatBoundary2.Q_flow_in) annotation (Line(
          points={{-332,-172},{-252,-172},{-204,-172}}, color={0,0,127}));
    connect(Spaceheating_reader1.tfr_signals, MT_duty_output.tfr_signals)
      annotation (Line(points={{-360,-120},{-360,-136},{-348,-136},{-348,-150},
            {-348,-164},{-344,-164}}, color={127,0,0}));
    connect(Spaceheating_reader1.tfr_signals, LT_duty_output.tfr_signals)
      annotation (Line(points={{-360,-120},{-360,-120},{-360,-188},{-360,-282},
            {-364,-282}}, color={127,0,0}));
    connect(LT_duty_output.value, heatBoundary1.Q_flow_in) annotation (Line(
          points={{-352,-290},{-278,-290},{-208,-290}}, color={0,0,127}));
    connect(fileReader.tfr_signals, DHW_demand.tfr_signals)
      annotation (Line(points={{98,600},{98,564}}, color={127,0,0}));
    connect(DHW_demand.value, DHW_Consumer_port.m_flow_in)
      annotation (Line(points={{86,556},{76,556},{50,556}}, color={0,0,127}));
    connect(SpaceHeating_tank_top.portA, H_flow_SH_out.portA) annotation (Line(
        points={{250,430},{250,430},{250,438},{250,436},{291,436}},
        color={0,170,238},
        thickness=0.5));
    connect(H_flow_SH_out.portB, boundary5.port) annotation (Line(
        points={{297,436},{338,436}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_T_degC15.port, SpaceHeating_tank_top.portA) annotation (Line(
        points={{260,442},{250,442},{250,430}},
        color={0,170,238},
        thickness=0.5));
    connect(junction2.portB, H_flow_SH_in.portB) annotation (Line(
        points={{250,248},{250,236},{215,236}},
        color={0,170,238},
        thickness=0.5));
    connect(H_flow_SH_in.portA, boundary.port) annotation (Line(
        points={{209,236},{184,236}},
        color={0,170,238},
        thickness=0.5));
    connect(boundary7.port, DryCooler_FH.portB_gas) annotation (Line(
        points={{-152,404},{-152,404},{-152,368},{-170,368}},
        color={255,153,0},
        thickness=0.5));
    connect(simpleFan1.portB, DryCooler_FH.portA_gas) annotation (Line(
        points={{-228,368},{-210,368},{-198,368}},
        color={255,153,0},
        thickness=0.5));
    connect(sensor_T_degC4.port, DryCooler_FH.portB_liq) annotation (Line(
        points={{-140,360},{-140,352},{-170,352}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_T_degC17.port, DryCooler_FH.portA_liq) annotation (Line(
        points={{-234,328},{-214,328},{-214,352},{-198,352}},
        color={0,170,238},
        thickness=0.5));
    connect(boundary6.port, simpleFan1.portA) annotation (Line(
        points={{-280,368},{-262,368},{-244,368}},
        color={255,153,0},
        thickness=0.5));
    connect(PI_Drycooler_FH.y, simpleFan1.V_flow_in) annotation (Line(points={{
            -253.6,392},{-244,392},{-236,392},{-236,378}}, color={0,0,127}));
    connect(sensor_T_degC17.sensorValue, PI_Drycooler_FH.u_m) annotation (Line(
          points={{-234,334},{-260,334},{-260,386.2}}, color={0,0,127}));
    connect(ReturnTempSetpoint1.y, PI_Drycooler_FH.u_s) annotation (Line(points
          ={{-281,392},{-281,392},{-265.6,392}},color={0,0,127}));
    connect(sensor_T_degC18.port, DryCooler_FH.portB_gas) annotation (Line(
        points={{-176,384},{-166,384},{-166,368},{-170,368}},
        color={255,153,0},
        thickness=0.5));
    connect(Temperature_after_drycooler1.port, DryCooler_DHW.portB_liq)
      annotation (Line(
        points={{-188,486},{-168,486},{-168,432},{-222,432}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_T_degC19.port, DryCooler_DHW.portB_gas) annotation (Line(
        points={{-228,466},{-222,466},{-222,448}},
        color={255,153,0},
        thickness=0.5));
    connect(ReturnTempSetpoint3.y, PI_Drycooler_DHW.u_s) annotation (Line(
          points={{-401,504},{-401,504},{-317.6,504}}, color={0,0,127}));
    connect(Temperature_after_drycooler.sensorValue, PI_Drycooler_DHW.u_m)
      annotation (Line(points={{-336,448},{-312,448},{-312,498.2}}, color={0,0,
            127}));
    connect(simplePump.portB, sensor_m_flow3.portA) annotation (Line(
        points={{0,288},{0,410},{-68,410},{-68,510},{-47,510}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_m_flow3.portB, junction7.portA) annotation (Line(
        points={{-41,510},{-18,510}},
        color={0,170,238},
        thickness=0.5));
    connect(junction8.portA, DryCooler_DHW.portB_liq) annotation (Line(
        points={{-10,454},{66,454},{132,454},{132,580},{-168,580},{-168,432},{-222,
            432}},
        color={0,170,238},
        thickness=0.5));
    connect(H_flow_W_inlet.portB, R290_Condenser.portB_b) annotation (Line(
        points={{333,252},{346,252},{358,252}},
        color={0,170,238},
        thickness=0.5));
    connect(R290_Condenser.portA_b, H_flow_W_outlet.portA) annotation (Line(
        points={{386,252},{395,252}},
        color={0,170,238},
        thickness=0.5));
    connect(R290_Condenser.portA_a, pressureState7.portB) annotation (Line(
        points={{386,236},{396,236},{396,206},{404,206}},
        color={153,204,0},
        thickness=0.5));
    connect(R290_Condenser.portB_a, R290_Expvalve.portA) annotation (Line(
        points={{358,236},{270,236},{270,196}},
        color={153,204,0},
        thickness=0.5));
    connect(not1.y, switch2.u2) annotation (Line(points={{601.4,180},{578,180},
            {574,180}}, color={255,0,255}));
    connect(switch2.y, rotatoryBoundary3.n_in) annotation (Line(points={{551,
            180},{544,180},{526,180}}, color={0,0,127}));
    connect(On_frequenze.y, switch2.u1) annotation (Line(points={{601,144},{588,
            144},{588,172},{574,172}}, color={0,0,127}));
    connect(Off_frequenze.y, switch2.u3) annotation (Line(points={{599,206},{
            588,206},{588,188},{574,188}}, color={0,0,127}));
    connect(LT_dischargeTemp.port, LT_Compressor.portB) annotation (Line(
        points={{76,-168},{56,-168},{56,-184},{50,-184}},
        color={153,204,0},
        thickness=0.5));
    connect(MT_dischargeTemp.port, MT_Compressor.portB) annotation (Line(
        points={{74,168},{64,168},{64,156},{52,156}},
        color={153,204,0},
        thickness=0.5));
    connect(PI_R290_relDisp.y, R290_Compressor.relDisplacement_in) annotation (
        Line(points={{531.6,126},{488,126},{488,174},{477,174}}, color={0,0,127}));
    connect(SpaceHeatingTank_TopLayerTemp.y, PI_R290_relDisp.u_m) annotation (
        Line(points={{563,102},{563,102},{538,102},{538,120.2}}, color={0,0,127}));
    connect(SpaceHeatingTank_Setpoint.y, PI_R290_relDisp.u_s)
      annotation (Line(points={{563,126},{543.6,126}}, color={0,0,127}));
    connect(DryCooler_FH.portA_liq, sensor_H_flow_inFH.portA) annotation (Line(
        points={{-198,352},{-206,352},{-206,306},{-180,306},{-180,263}},
        color={0,170,238},
        thickness=0.5));
    connect(DryCooler_FH.portB_liq, junction11.portA) annotation (Line(
        points={{-170,352},{-68,352},{58,352},{58,274},{246,274}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_H_flow_outFH.portB, simplePump2.portA) annotation (Line(
        points={{-126,265},{-126,265},{-126,376},{82,376},{138,376}},
        color={0,170,238},
        thickness=0.5));
    connect(simplePump2.portB, junction10.portA) annotation (Line(
        points={{154,376},{202,376},{246,376}},
        color={0,170,238},
        thickness=0.5));
    connect(OutsideTemperatureInput.y, boundary4.T_in) annotation (Line(points=
            {{-401,412},{-350,412},{-350,480},{-294,480}}, color={0,0,127}));
    connect(OutsideTemperatureInput.y, boundary6.T_in) annotation (Line(points=
            {{-401,412},{-344,412},{-344,362},{-284,362}}, color={0,0,127}));
    connect(sensor_H_flow_MTout.portB, junction1.portB) annotation (Line(
        points={{-95,4},{48,4}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_superheating.port, junction1.portB) annotation (Line(
        points={{-76,10},{-76,4},{48,4}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_q.port, junction1.portB) annotation (Line(
        points={{-60,10},{-60,4},{48,4}},
        color={153,204,0},
        thickness=0.5));
    connect(junction.portC, MT_Compressor.portA) annotation (Line(
        points={{52,100},{52,140}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_q2.port, junction.portC) annotation (Line(
        points={{68,82},{60,82},{60,100},{52,100}},
        color={153,204,0},
        thickness=0.5));
    connect(PI_MT_Fan1.y, MT_evaporator_fan1.V_flow_in) annotation (Line(points
          ={{-69.6,-162},{-64,-162},{-58,-162}},color={0,0,127}));
    connect(PI_LT_Compressor.y, LT_Compressor.relDisplacement_in) annotation (
        Line(points={{93.6,-206},{80,-206},{68,-206},{68,-198},{61,-198}},
          color={0,0,127}));
    connect(PI_MT_Compressor.y, MT_Compressor.relDisplacement_in) annotation (
        Line(points={{93.6,142},{92,142},{63,142}}, color={0,0,127}));
    connect(MT_pressureSetpoint.y, PI_MT_Compressor.u_s)
      annotation (Line(points={{117,142},{105.6,142}}, color={0,0,127}));
    connect(reheatHX.portA_b, sensor_H_flow_DHWout.portA) annotation (Line(
        points={{-50,232},{-40,232},{-40,244},{-31,244}},
        color={0,170,238},
        thickness=0.5));
    connect(reheatHX.portA_a, sensor_T_degC2.port) annotation (Line(
        points={{-50,216},{-8,216},{-8,218}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_T_degC7.port, reheatHX.portB_a) annotation (Line(
        points={{-122,194},{-98,194},{-98,216},{-78,216}},
        color={153,204,0},
        thickness=0.5));
    connect(reheatHX.portB_a, mediumTempHX.portA_a) annotation (Line(
        points={{-78,216},{-110,216},{-140,216}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_T_degC6.port, mediumTempHX.portB_a) annotation (Line(
        points={{-202,194},{-186,194},{-186,216},{-168,216}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_H_flow_inFH.portB, mediumTempHX.portB_b) annotation (Line(
        points={{-180,257},{-180,257},{-180,234},{-168,234},{-168,232}},
        color={0,170,238},
        thickness=0.5));
    connect(mediumTempHX.portA_b, sensor_H_flow_outFH.portA) annotation (Line(
        points={{-140,232},{-126,232},{-126,259}},
        color={0,170,238},
        thickness=0.5));
    connect(preheatHX.portA_a, mediumTempHX.portB_a) annotation (Line(
        points={{-228,216},{-200,216},{-168,216}},
        color={153,204,0},
        thickness=0.5));
    connect(preheatHX.portB_a, highPressureValve.portA) annotation (Line(
        points={{-256,216},{-296,216},{-334,216},{-334,154}},
        color={153,204,0},
        thickness=0.5));
    connect(CO2_GC_OutletTemp.port, preheatHX.portB_a) annotation (Line(
        points={{-284,222},{-284,222},{-284,216},{-256,216}},
        color={153,204,0},
        thickness=0.5));
    connect(reheatHX.portB_b, preheatHX.portA_b) annotation (Line(
        points={{-78,232},{-86,232},{-86,244},{-192,244},{-192,232},{-228,232}},

        color={0,170,238},
        thickness=0.5));

    connect(sensor_T_degC8.port, preheatHX.portA_b) annotation (Line(
        points={{-222,248},{-226,248},{-226,232},{-228,232}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_H_flow_DHWin.portB, preheatHX.portB_b) annotation (Line(
        points={{-323,294},{-292,294},{-266,294},{-266,232},{-256,232}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_T_degC.port, preheatHX.portB_b) annotation (Line(
        points={{-244,256},{-266,256},{-266,232},{-256,232}},
        color={0,170,238},
        thickness=0.5));
    connect(PI_H2_LT_Pump.y, simplePump1.m_flow_in) annotation (Line(points={{
            440.4,-290},{440.4,-290},{460,-290}}, color={0,0,127}));
    connect(sensor_T_degC20.port, tube.portB) annotation (Line(
        points={{428,-314},{424,-314},{424,-320},{420,-320}},
        color={0,170,238},
        thickness=0.5));
    connect(Setpoint_H2_LT.y, PI_H2_LT_Pump.u_s) annotation (Line(points={{415,
            -286},{420,-286},{420,-290},{428.4,-290}}, color={0,0,127}));
    connect(simplePump1.portB, H2_LT_HeatExchanger.portB_b) annotation (Line(
        points={{470,-276},{470,-262},{412,-262}},
        color={0,170,238},
        thickness=0.5));
    connect(H2_LT_HeatExchanger.portA_b, tube.portA) annotation (Line(
        points={{384,-262},{360,-262},{360,-320},{404,-320}},
        color={0,170,238},
        thickness=0.5));
    connect(tube.portB, hydraulicCapacitor.portA) annotation (Line(
        points={{420,-320},{450,-320}},
        color={0,170,238},
        thickness=0.5));
    connect(hydraulicCapacitor.portB, simplePump1.portA) annotation (Line(
        points={{458,-320},{470,-320},{470,-292}},
        color={0,170,238},
        thickness=0.5));
    connect(H2_LT_valve.portB, pressureState1.portB) annotation (Line(
        points={{314,-246},{314,-246},{344,-246}},
        color={153,204,0},
        thickness=0.5));
    connect(pressureState1.portA, H2_LT_HeatExchanger.portA_a) annotation (Line(
        points={{356,-246},{356,-246},{384,-246}},
        color={153,204,0},
        thickness=0.5));
    connect(PI_H2_LT_Valve.y, H2_LT_valve.effectiveFlowArea_in) annotation (
        Line(points={{359.6,-206},{344,-206},{306,-206},{306,-241}}, color={0,0,
            127}));
    connect(Setpoint_H2_LT_superheat.y, PI_H2_LT_Valve.u_s) annotation (Line(
          points={{387,-206},{386,-206},{371.6,-206}}, color={0,0,127}));
    connect(sensor_superheating4.port, H2_LT_HeatExchanger.portB_a) annotation
      (Line(
        points={{418,-240},{418,-240},{418,-246},{412,-246}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_superheating4.sensorValue, PI_H2_LT_Valve.u_m) annotation (
        Line(points={{418,-233.8},{404,-233.8},{404,-224},{366,-224},{366,-211.8}},
          color={0,0,127}));
    connect(sensor_q14.port, pressureState1.portB) annotation (Line(
        points={{324,-234},{324,-246},{344,-246}},
        color={153,204,0},
        thickness=0.5));
    connect(H2_LT_Compressor.portA, H2_LT_HeatExchanger.portB_a) annotation (
        Line(
        points={{460,-202},{460,-246},{412,-246}},
        color={153,204,0},
        thickness=0.5));
    connect(rotatoryBoundary4.rotatoryFlange, H2_LT_Compressor.rotatoryFlange)
      annotation (Line(
        points={{488,-180},{488,-180},{482,-180},{476,-180},{476,-194},{468,-194}},

        color={135,135,135},
        thickness=0.5));

    connect(sensor_p7.port, H2_LT_HeatExchanger.portB_a) annotation (Line(
        points={{484,-234},{460,-234},{460,-246},{412,-246}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_p7.sensorValue, PI_H2_LT_Compressor.u_m) annotation (Line(
          points={{484,-227.8},{500,-227.8},{500,-213.8}}, color={0,0,127}));
    connect(Setpoint_H2_LT_pressure.y, PI_H2_LT_Compressor.u_s) annotation (
        Line(points={{515,-208},{515,-208},{505.6,-208}}, color={0,0,127}));
    connect(sensor_T_degC22.port, H2_LT_HeatExchanger.portA_a) annotation (Line(
        points={{374,-244},{374,-244},{374,-246},{384,-246}},
        color={153,204,0},
        thickness=0.5));
    connect(junction9.portC, H2_LT_valve.portA) annotation (Line(
        points={{260,-246},{260,-246},{298,-246}},
        color={153,204,0},
        thickness=0.5));
    connect(PI_H2_MT_Pump.y, simplePump3.m_flow_in) annotation (Line(points={{
            412.4,-138},{412.4,-138},{424,-138}}, color={0,0,127}));
    connect(H2_MT_boundary.heatPort, H2_MT_bath.heatPort[2]) annotation (Line(
        points={{352,-178},{362,-178},{376,-178},{376,-170}},
        color={204,0,0},
        thickness=0.5));
    connect(sensor_T_degC23.port, H2_MT_bath.portB) annotation (Line(
        points={{392,-162},{388,-162},{388,-168},{384,-168}},
        color={0,170,238},
        thickness=0.5));
    connect(sensor_T_degC24.port, H2_MT_bath.portA) annotation (Line(
        points={{354,-158},{360,-158},{360,-168},{368,-168}},
        color={0,170,238},
        thickness=0.5));
    connect(Setpoint_H2_MT.y, PI_H2_MT_Pump.u_s) annotation (Line(points={{389,
            -138},{384,-138},{400.4,-138}}, color={0,0,127}));
    connect(simplePump3.portB, H2_MT_HeatExchanger.portB_b) annotation (Line(
        points={{434,-124},{434,-110},{376,-110}},
        color={0,170,238},
        thickness=0.5));
    connect(H2_MT_HeatExchanger.portA_b, H2_MT_bath.portA) annotation (Line(
        points={{348,-110},{324,-110},{324,-168},{368,-168}},
        color={0,170,238},
        thickness=0.5));
    connect(H2_MT_bath.portB, hydraulicCapacitor1.portA) annotation (Line(
        points={{384,-168},{414,-168}},
        color={0,170,238},
        thickness=0.5));
    connect(hydraulicCapacitor1.portB, simplePump3.portA) annotation (Line(
        points={{422,-168},{434,-168},{434,-140}},
        color={0,170,238},
        thickness=0.5));
    connect(pressureState6.portA, H2_MT_HeatExchanger.portA_a) annotation (Line(
        points={{320,-94},{320,-94},{348,-94}},
        color={153,204,0},
        thickness=0.5));
    connect(Setpoint_H2_LT_superheat1.y, PI_H2_MT_Valve.u_s) annotation (Line(
          points={{351,-54},{350,-54},{335.6,-54}}, color={0,0,127}));
    connect(PI_H2_MT_Pump.u_m, sensor_T_degC23.sensorValue) annotation (Line(
          points={{406,-143.8},{406,-143.8},{406,-156},{392,-156}}, color={0,0,
            127}));
    connect(sensor_T_degC25.port, H2_MT_HeatExchanger.portA_a) annotation (Line(
        points={{338,-92},{338,-92},{338,-94},{348,-94}},
        color={153,204,0},
        thickness=0.5));
    connect(H2_MT_valve.portB, pressureState6.portB) annotation (Line(
        points={{290,-94},{298,-94},{308,-94}},
        color={153,204,0},
        thickness=0.5));
    connect(PI_H2_MT_Valve.y, H2_MT_valve.effectiveFlowArea_in) annotation (
        Line(points={{323.6,-54},{304,-54},{282,-54},{282,-89}}, color={0,0,127}));
    connect(junction9.portB, H2_MT_valve.portA) annotation (Line(
        points={{256,-242},{256,-242},{256,-162},{256,-152},{256,-94},{274,-94}},

        color={153,204,0},
        thickness=0.5));

    connect(rotatoryBoundary5.rotatoryFlange, H2_MT_Compressor.rotatoryFlange)
      annotation (Line(
        points={{508,-34},{500,-34},{500,-60},{492,-60}},
        color={135,135,135},
        thickness=0.5));
    connect(sensor_superheating5.port, H2_MT_HeatExchanger.portB_a) annotation
      (Line(
        points={{386,-88},{380,-88},{380,-94},{376,-94}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_superheating5.sensorValue, PI_H2_MT_Valve.u_m) annotation (
        Line(points={{386,-81.8},{362,-81.8},{362,-68},{330,-68},{330,-59.8}},
          color={0,0,127}));
    connect(H2_MT_HeatExchanger.portB_a, junction12.portA) annotation (Line(
        points={{376,-94},{456,-94}},
        color={153,204,0},
        thickness=0.5));
    connect(junction12.portB, H2_LT_Compressor.portB) annotation (Line(
        points={{460,-98},{460,-98},{460,-186}},
        color={153,204,0},
        thickness=0.5));
    connect(junction12.portC, H2_MT_Compressor.portA) annotation (Line(
        points={{464,-94},{484,-94},{484,-68}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_p8.port, junction12.portC) annotation (Line(
        points={{500,-88},{500,-88},{500,-92},{500,-94},{464,-94}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_T_degC26.port, H2_MT_Compressor.portA) annotation (Line(
        points={{466,-76},{478,-76},{478,-68},{484,-68}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_q15.port, pressureState6.portB) annotation (Line(
        points={{300,-86},{304,-86},{304,-94},{308,-94}},
        color={153,204,0},
        thickness=0.5));
    connect(Desuperheater.portB_b, boundary9.port) annotation (Line(
        points={{170,58},{152,58},{152,70},{134,70}},
        color={0,170,238},
        thickness=0.5));
    connect(Desuperheater.portA_b, boundary8.port) annotation (Line(
        points={{198,58},{222,58},{222,68},{242,68}},
        color={0,170,238},
        thickness=0.5));
    connect(MT_dischargeTemp1.port, Desuperheater.portB_a) annotation (Line(
        points={{100,48},{136,48},{136,42},{170,42}},
        color={153,204,0},
        thickness=0.5));
    connect(junction13.portB, LT_expansion_valve.portA) annotation (Line(
        points={{-306,-238},{-230,-238}},
        color={153,204,0},
        thickness=0.5));
    connect(junction5.portC, junction13.portA) annotation (Line(
        points={{-310,-120},{-310,-120},{-310,-234}},
        color={153,204,0},
        thickness=0.5));
    connect(junction13.portC, junction9.portA) annotation (Line(
        points={{-310,-242},{-310,-242},{-310,-318},{-310,-336},{-310,-338},{
            228,-338},{228,-246},{252,-246}},
        color={153,204,0},
        thickness=0.5));
    connect(junction1.portC, junction14.portA) annotation (Line(
        points={{52,8},{52,38}},
        color={153,204,0},
        thickness=0.5));
    connect(junction14.portC, junction.portA) annotation (Line(
        points={{52,46},{52,92}},
        color={153,204,0},
        thickness=0.5));
    connect(PI_H2_LT_Compressor.y, H2_LT_Compressor.relDisplacement_in)
      annotation (Line(points={{493.6,-208},{488,-208},{488,-200},{471,-200}},
          color={0,0,127}));
    connect(Setpoint_H2_LT_pressure1.y, PI_H2_MT_Compressor.u_s) annotation (
        Line(points={{535,-66},{535,-66},{527.6,-66}}, color={0,0,127}));
    connect(sensor_p8.sensorValue, PI_H2_MT_Compressor.u_m) annotation (Line(
          points={{500,-81.8},{522,-81.8},{522,-71.8}}, color={0,0,127}));
    connect(PI_H2_MT_Compressor.y, H2_MT_Compressor.relDisplacement_in)
      annotation (Line(points={{515.6,-66},{516,-66},{495,-66}}, color={0,0,127}));
    connect(Desuperheater.portB_a, junction14.portB) annotation (Line(
        points={{170,42},{113,42},{56,42}},
        color={153,204,0},
        thickness=0.5));
    connect(Desuperheater.portA_a, H2_MT_Compressor.portB) annotation (Line(
        points={{198,42},{484,42},{484,-52}},
        color={153,204,0},
        thickness=0.5));
    connect(sensor_T_degC21.port, H2_LT_HeatExchanger.portA_b) annotation (Line(
        points={{390,-310},{360,-310},{360,-262},{384,-262}},
        color={0,170,238},
        thickness=0.5));
    connect(PI_H2_LT_Pump.u_m, sensor_T_degC20.sensorValue) annotation (Line(
          points={{434,-295.8},{434,-308},{428,-308}}, color={0,0,127}));
    connect(H2_LT_boundary.heatPort, tube.heatPort[1]) annotation (Line(
        points={{394,-336},{412,-336},{412,-321.333}},
        color={204,0,0},
        thickness=0.5));
    connect(SH_demand.tfr_signals, Spaceheating_winter.tfr_signals) annotation
      (Line(points={{372,444},{406,444},{444,444},{444,460}}, color={127,0,0}));
    connect(OutsideTemperature.tfr_signals, Spaceheating_winter.tfr_signals)
      annotation (Line(points={{388,410},{414,410},{444,410},{444,460}}, color=
            {127,0,0}));
    connect(H2_40_cars.y, H2_MT_boundary.Q_flow_in) annotation (Line(points={{
            189,-190},{292,-190},{292,-180},{348,-180}}, color={0,0,127}));
    connect(H2_40_cars.y, H2_LT_boundary.Q_flow_in) annotation (Line(points={{
            189,-190},{236,-190},{284,-190},{284,-338},{390,-338}}, color={0,0,
            127}));
    annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-460,
              -360},{780,680}})), Diagram(coordinateSystem(preserveAspectRatio=
              false, extent={{-460,-360},{780,680}}), graphics={Text(
              extent={{18,502},{66,456}},
              lineColor={28,108,200},
              textString="DHW Storage
Tank
"),Text(      extent={{296,118},{398,42}},
              lineColor={28,108,200},
              textString="Backup R290
Heat pump
"),Text(      extent={{300,342},{348,296}},
              lineColor={28,108,200},
              textString="Space Heating
Storage Tank
"),Text(      extent={{524,690},{586,630}},
              lineColor={28,108,200},
              textString="Measured data"),Text(
              extent={{690,690},{752,630}},
              lineColor={28,108,200},
              textString="Calculated data")}));
  end Case3_Direct_H2;
  annotation (uses(
      TILMedia(version="3.4.0"),
      TIL(version="3.4.0"),
      Modelica(version="3.2.1"),
      TILFileReader(version="3.3.2")));
end Simulation_models;
